com.microfocus.awm.meta.impl

## Class TaurusPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - com.microfocus.awm.meta.impl.TaurusPackageImpl

- All Implemented Interfaces:
    TaurusPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

      public class TaurusPackageImpl
      extends org.eclipse.emf.ecore.impl.EPackageImpl
      implements TaurusPackage

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface com.microfocus.awm.meta.TaurusPackage

      `TaurusPackage.Literals`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from interface com.microfocus.awm.meta.TaurusPackage

      `ACTION_DESCRIPTOR, ACTION_DESCRIPTOR__COMMENT, ACTION_DESCRIPTOR__CUSTOM_ERROR_MESSAGE, ACTION_DESCRIPTOR__EXECUTION_MODE, ACTION_DESCRIPTOR__EXTENSION_ID, ACTION_DESCRIPTOR__HAS_ELEMENTLIST, ACTION_DESCRIPTOR__HAS_TOOL, ACTION_DESCRIPTOR__ICON, ACTION_DESCRIPTOR__ID, ACTION_DESCRIPTOR__KEY_BINDING_CONTEXT, ACTION_DESCRIPTOR__KEY_SEQUENCE, ACTION_DESCRIPTOR__LABEL, ACTION_DESCRIPTOR__LINK_ELEMENT_LIST, ACTION_DESCRIPTOR__MASS_PROCESSING, ACTION_DESCRIPTOR__MODEL_EDITOR_GROUP, ACTION_DESCRIPTOR__REFRESH_LIST, ACTION_DESCRIPTOR__RELATED_CLOSE_ACTION, ACTION_DESCRIPTOR__RELATED_SAVE_ACTION, ACTION_DESCRIPTOR__SHOW_PROGRESS_MONITOR, ACTION_DESCRIPTOR__TABLE_VIEW_ID, ACTION_DESCRIPTOR__TABLE_VIEW_LABEL, ACTION_DESCRIPTOR_FEATURE_COUNT, APPLICATION_OPTIONS, APPLICATION_OPTIONS__APPLICATION_ACTION, APPLICATION_OPTIONS__APPLICATION_PROPERTY, APPLICATION_OPTIONS__CACHE_ELEMENTS, APPLICATION_OPTIONS__COMMENT, APPLICATION_OPTIONS__CUSTOM_OPTION, APPLICATION_OPTIONS__DEFAULT_GENERIC_SYMBOL, APPLICATION_OPTIONS__END_REFERENCE, APPLICATION_OPTIONS__EXITPARM, APPLICATION_OPTIONS__GENERIC_SYMBOLS, APPLICATION_OPTIONS__INDEPENDENT_AFFECTED_RESOURCE_CONTEXTS, APPLICATION_OPTIONS__LAST_EDIT_CLIENT_VERSION, APPLICATION_OPTIONS__MAX_RC, APPLICATION_OPTIONS__MODEL_ID, APPLICATION_OPTIONS__ROOT_CONTAINERS_ACTION, APPLICATION_OPTIONS__START_REFERENCE, APPLICATION_OPTIONS__VERSION, APPLICATION_OPTIONS_FEATURE_COUNT, AWM_IDENTIFIABLE_OBJECT, AWM_IDENTIFIABLE_OBJECT__COMMENT, AWM_IDENTIFIABLE_OBJECT__EXTENSION_ID, AWM_IDENTIFIABLE_OBJECT__ID, AWM_IDENTIFIABLE_OBJECT__MODEL_EDITOR_GROUP, AWM_IDENTIFIABLE_OBJECT_FEATURE_COUNT, AWM_OBJECT, AWM_OBJECT__COMMENT, AWM_OBJECT_FEATURE_COUNT, CACTION_DESCRIPTORS, CACTION_DESCRIPTORS__ACTION_DESCRIPTOR, CACTION_DESCRIPTORS__COMMENT, CACTION_DESCRIPTORS_FEATURE_COUNT, CELEMENT_LIST_STRUCTURES, CELEMENT_LIST_STRUCTURES__COMMENT, CELEMENT_LIST_STRUCTURES__ELEMENT_LIST_STRUCTURE, CELEMENT_LIST_STRUCTURES_FEATURE_COUNT, CELEMENT_TYPES, CELEMENT_TYPES__COMMENT, CELEMENT_TYPES__ELEMENT_TYPE, CELEMENT_TYPES_FEATURE_COUNT, CFILE_DESCRIPTORS, CFILE_DESCRIPTORS__COMMENT, CFILE_DESCRIPTORS__FILE_DESCRIPTOR, CFILE_DESCRIPTORS_FEATURE_COUNT, CFILTER_TYPES, CFILTER_TYPES__COMMENT, CFILTER_TYPES__FILTER_TYPE, CFILTER_TYPES_FEATURE_COUNT, CFUNCTION_PACKAGES, CFUNCTION_PACKAGES__COMMENT, CFUNCTION_PACKAGES__FUNCTION_PACKAGE, CFUNCTION_PACKAGES_FEATURE_COUNT, CGLOBAL_ACTIONS, CGLOBAL_ACTIONS__COMMENT, CGLOBAL_ACTIONS__GLOBAL_ACTION, CGLOBAL_ACTIONS_FEATURE_COUNT, CICONS, CICONS__COMMENT, CICONS__ICON, CICONS_FEATURE_COUNT, CID_DEFINITIONS, CID_DEFINITIONS__COMMENT, CID_DEFINITIONS__ID_DEFINITION, CID_DEFINITIONS_FEATURE_COUNT, COMPLEX_ATTRIBUTE, COMPLEX_ATTRIBUTE__COMMENT, COMPLEX_ATTRIBUTE__COMPLEX_ATTRIBUTE, COMPLEX_ATTRIBUTE__ID, COMPLEX_ATTRIBUTE__LABEL, COMPLEX_ATTRIBUTE_BASE, COMPLEX_ATTRIBUTE_BASE__COMMENT, COMPLEX_ATTRIBUTE_BASE__COMPLEX_ATTRIBUTE, COMPLEX_ATTRIBUTE_BASE__ID, COMPLEX_ATTRIBUTE_BASE__LABEL, COMPLEX_ATTRIBUTE_BASE_FEATURE_COUNT, COMPLEX_ATTRIBUTE_FEATURE_COUNT, CPROPERTIES, CPROPERTIES__COMMENT, CPROPERTIES__PROPERTY, CPROPERTIES_FEATURE_COUNT, CTOOL_CATEGORY, CTOOL_CATEGORY__COMMENT, CTOOL_CATEGORY__NAME, CTOOL_CATEGORY__TOOL_DESCRIPTOR, CTOOL_CATEGORY_FEATURE_COUNT, CTOOL_DESCRIPTORS, CTOOL_DESCRIPTORS__CATEGORY, CTOOL_DESCRIPTORS__COMMENT, CTOOL_DESCRIPTORS__TOOL_DESCRIPTOR, CTOOL_DESCRIPTORS_FEATURE_COUNT, DOCUMENT_ROOT, DOCUMENT_ROOT__ID, DOCUMENT_ROOT__LABEL, DOCUMENT_ROOT__MIXED, DOCUMENT_ROOT__NAME, DOCUMENT_ROOT__NC_NAME, DOCUMENT_ROOT__SEQ_NO, DOCUMENT_ROOT__SORT_BY, DOCUMENT_ROOT__TABLE_VIEW_ID, DOCUMENT_ROOT__TABLE_VIEW_LABEL, DOCUMENT_ROOT__TAURUS_CONFIGURATION, DOCUMENT_ROOT__TYPE, DOCUMENT_ROOT__XMLNS_PREFIX_MAP, DOCUMENT_ROOT__XSI_SCHEMA_LOCATION, DOCUMENT_ROOT_FEATURE_COUNT, DYNAMIC_MODEL_EXTENSION_OBJECT, DYNAMIC_MODEL_EXTENSION_OBJECT_FEATURE_COUNT, DYNAMIC_OBJECT, DYNAMIC_OBJECT__COMMENT, DYNAMIC_OBJECT_FEATURE_COUNT, DYNAMIC_TOOL_DESCRIPTOR, DYNAMIC_TOOL_DESCRIPTOR__AFTER_JOB_ACTION, DYNAMIC_TOOL_DESCRIPTOR__COMMENT, DYNAMIC_TOOL_DESCRIPTOR__COMPLEX_ATTRIBUTE, DYNAMIC_TOOL_DESCRIPTOR__EXTENSION_ID, DYNAMIC_TOOL_DESCRIPTOR__HELP_TEXT, DYNAMIC_TOOL_DESCRIPTOR__ID, DYNAMIC_TOOL_DESCRIPTOR__IN_PARM_SEPARATOR, DYNAMIC_TOOL_DESCRIPTOR__INPUT_PARM, DYNAMIC_TOOL_DESCRIPTOR__INTEGRATED_TOOL, DYNAMIC_TOOL_DESCRIPTOR__ISA_PLUG_IN, DYNAMIC_TOOL_DESCRIPTOR__ISAISPF_PANEL, DYNAMIC_TOOL_DESCRIPTOR__ISAISPF_PANEL_COMMAND, DYNAMIC_TOOL_DESCRIPTOR__ISAISPF_TOOL, DYNAMIC_TOOL_DESCRIPTOR__MODEL_EDITOR_GROUP, DYNAMIC_TOOL_DESCRIPTOR__OUT_PARM_SEPARATOR, DYNAMIC_TOOL_DESCRIPTOR__OUTPUT_PARM, DYNAMIC_TOOL_DESCRIPTOR__REFRESH_RESOURCE, DYNAMIC_TOOL_DESCRIPTOR__RESOURCE_PROCESSING, DYNAMIC_TOOL_DESCRIPTOR__RUN_AS_JOB, DYNAMIC_TOOL_DESCRIPTOR__SPECIFIC_ATTRIBUTE, DYNAMIC_TOOL_DESCRIPTOR__TOOL_TYPE, DYNAMIC_TOOL_DESCRIPTOR__VALIDATE_ACTION, DYNAMIC_TOOL_DESCRIPTOR_FEATURE_COUNT, EACTION_EXECUTION_MODE, EACTION_EXECUTION_MODE_OBJECT, EAPPLICATION_ACTION_EXECUTION_TYPE, EAPPLICATION_ACTION_EXECUTION_TYPE_OBJECT, ECONDITION_OPERATORS, ECONDITION_OPERATORS_OBJECT, eCONTENT_TYPE, EEDITOR_SELECTION_TYPE, EEDITOR_SELECTION_TYPE_OBJECT, EEXECUTION_POINT, EEXECUTION_POINT_OBJECT, EEXECUTION_RATE, EEXECUTION_RATE_OBJECT, EFILE_ATTRIBUTE_TYPE, EFILE_ELEMENT_TYPE, EFILE_STRUCTURES, EFILE_STRUCTURES_OBJECT, EFILE_TYPES, EFILE_TYPES_OBJECT, EICONS, EICONS_OBJECT, eINSTANCE, EINTEGRATED_TOOLS, EINTEGRATED_TOOLS_OBJECT, EINVOKE_FORMS, EINVOKE_FORMS_OBJECT, ELEMENT_LIST_STRUCTURE, ELEMENT_LIST_STRUCTURE__COMMENT, ELEMENT_LIST_STRUCTURE__EXTENSION_ID, ELEMENT_LIST_STRUCTURE__HAS_ACTION, ELEMENT_LIST_STRUCTURE__HAS_COLUMN_PROPERTY, ELEMENT_LIST_STRUCTURE__HAS_LIST_PROPERTY, ELEMENT_LIST_STRUCTURE__ID, ELEMENT_LIST_STRUCTURE__LABEL, ELEMENT_LIST_STRUCTURE__MODEL_EDITOR_GROUP, ELEMENT_LIST_STRUCTURE__TABLE_VIEW_ID, ELEMENT_LIST_STRUCTURE__TABLE_VIEW_LABEL, ELEMENT_LIST_STRUCTURE_FEATURE_COUNT, ELEMENT_TYPE, ELEMENT_TYPE__COMMENT, ELEMENT_TYPE__EXTENSION_ID, ELEMENT_TYPE__HAS_ACTION, ELEMENT_TYPE__HAS_FILTER, ELEMENT_TYPE__HAS_GET_CHILDREN_ACTION, ELEMENT_TYPE__HAS_GET_PROPERTIES_ACTION, ELEMENT_TYPE__HAS_PROPERTY, ELEMENT_TYPE__HAS_TEXT_DECORATION, ELEMENT_TYPE__ICON, ELEMENT_TYPE__ID, ELEMENT_TYPE__ID_DEFINITION, ELEMENT_TYPE__MATCHNAME, ELEMENT_TYPE__MODEL_EDITOR_GROUP, ELEMENT_TYPE_FEATURE_COUNT, EMASS_PROCESSING, EMASS_PROCESSING_OBJECT, eNAME, eNS_PREFIX, eNS_URI, EOPERATORS, EOPERATORS_OBJECT, EPARAMETER_TYPES, EPARAMETER_TYPES_OBJECT, EPARM_FROM_TYPES, EPARM_FROM_TYPES_OBJECT, ERELATIVE_POSITION, ERELATIVE_POSITION_OBJECT, ERESOURCE_PROCESSING_TYPES, ERESOURCE_PROCESSING_TYPES_OBJECT, ERETRIEVE_ALL_VALUES, ERROR_VIEW, ERROR_VIEW__COMMENT, ERROR_VIEW__HAS_ACTION, ERROR_VIEW_FEATURE_COUNT, ERUN_AS_JOB_TYPES, ERUN_AS_JOB_TYPES_OBJECT, ESORT_DIRECTION, ESORT_DIRECTION_OBJECT, ESPECIAL_PROPERTIES, ESPECIAL_PROPERTIES_OBJECT, ETABLE_MODE, ETABLE_MODE_OBJECT, ETEXT_DECORATION_POSITION, ETYPES, ETYPES_OBJECT, EWORKBENCH_ACTION_TYPE, EWORKBENCH_ACTION_TYPE_OBJECT, FILE_DESCRIPTOR, FILE_DESCRIPTOR__COMMENT, FILE_DESCRIPTOR__EXTENSION_ID, FILE_DESCRIPTOR__HAS_ACTION, FILE_DESCRIPTOR__HAS_FILE_ATTRIBUTE, FILE_DESCRIPTOR__HAS_FILE_ELEMENT, FILE_DESCRIPTOR__HAS_PROPERTY, FILE_DESCRIPTOR__ID, FILE_DESCRIPTOR__MODEL_EDITOR_GROUP, FILE_DESCRIPTOR__NAME_PHYSICAL, FILE_DESCRIPTOR__PROP_DELIMITER, FILE_DESCRIPTOR__STRUCTURE, FILE_DESCRIPTOR__TYPE, FILE_DESCRIPTOR_FEATURE_COUNT, FILTER_TYPE, FILTER_TYPE__COMMENT, FILTER_TYPE__EXTENSION_ID, FILTER_TYPE__HAS_ACTION, FILTER_TYPE__HAS_FILTERCRITERION, FILTER_TYPE__ID, FILTER_TYPE__LABEL, FILTER_TYPE__MODEL_EDITOR_GROUP, FILTER_TYPE_FEATURE_COUNT, FUNCTION_PACKAGE, FUNCTION_PACKAGE__COMMENT, FUNCTION_PACKAGE__COMPLEX_ATTRIBUTE, FUNCTION_PACKAGE__EXTENSION_ID, FUNCTION_PACKAGE__ID, FUNCTION_PACKAGE__LABEL, FUNCTION_PACKAGE__MODEL_EDITOR_GROUP, FUNCTION_PACKAGE_FEATURE_COUNT, FUNCTION_PACKAGE_ICON, FUNCTION_PACKAGE_ICON__COMMENT, FUNCTION_PACKAGE_ICON__EXTENSION_ID, FUNCTION_PACKAGE_ICON__FUNCTION_PACKAGE_ICON_ID, FUNCTION_PACKAGE_ICON__ICON_NAME, FUNCTION_PACKAGE_ICON__ID, FUNCTION_PACKAGE_ICON__MODEL_EDITOR_GROUP, FUNCTION_PACKAGE_ICON_FEATURE_COUNT, GENERIC_SYMBOLS, GENERIC_SYMBOLS__COMMENT, GENERIC_SYMBOLS__DEFAULT_SYMBOL, GENERIC_SYMBOLS__GENERIC_SYMBOLS, GENERIC_SYMBOLS_FEATURE_COUNT, GLOBAL_ACTION, GLOBAL_ACTION__ACTION_ENABLED_CONDITION, GLOBAL_ACTION__ACTION_VISIBLE_CONDITION, GLOBAL_ACTION__COMMENT, GLOBAL_ACTION__EXTENSION_ID, GLOBAL_ACTION__ICON, GLOBAL_ACTION__ID, GLOBAL_ACTION__ISA_EDITOR_ACTION, GLOBAL_ACTION__ISA_WORKBENCH_ACTION, GLOBAL_ACTION__LABEL, GLOBAL_ACTION__MODEL_EDITOR_GROUP, GLOBAL_ACTION__SEPARATOR_AFTER, GLOBAL_ACTION__SEQ_NO, GLOBAL_ACTION__SUBMENU, GLOBAL_ACTION__TARGET_ID, GLOBAL_ACTION_FEATURE_COUNT, ICON, ICON__COMMENT, ICON__EXTENSION_ID, ICON__ID, ICON__MODEL_EDITOR_GROUP, ICON_FEATURE_COUNT, ID_DEFINITION, ID_DEFINITION__COMMENT, ID_DEFINITION__EXTENSION_ID, ID_DEFINITION__ID, ID_DEFINITION__KEY_PROPERTY, ID_DEFINITION__MODEL_EDITOR_GROUP, ID_DEFINITION_FEATURE_COUNT, IFUNCTION_PACKAGE_DEFINABLE, IFUNCTION_PACKAGE_DEFINABLE__EXTENSION_ID, IFUNCTION_PACKAGE_DEFINABLE_FEATURE_COUNT, ISA_EDITOR_ACTION, ISA_EDITOR_ACTION__COMMENT, ISA_EDITOR_ACTION__EDITOR_SUFFIXES, ISA_EDITOR_ACTION__MODELLED_EDIT_SESSIONS_ONLY, ISA_EDITOR_ACTION__PROPERTY_MAPPING, ISA_EDITOR_ACTION__UPDATE_EDIT_CONTEXT, ISA_EDITOR_ACTION_FEATURE_COUNT, ISA_PANEL_COMMAND, ISA_PANEL_COMMAND__COMMAND_NAME, ISA_PANEL_COMMAND__COMMAND_VARIABLE, ISA_PANEL_COMMAND__COMMENT, ISA_PANEL_COMMAND_FEATURE_COUNT, ISA_PLUG_IN, ISA_PLUG_IN__COMMENT, ISA_PLUG_IN__DESCRIPTION, ISA_PLUG_IN__PLUG_IN_ID, ISA_PLUG_IN__TITLE, ISA_PLUG_IN_FEATURE_COUNT, ISA_WORKBENCH_ACTION, ISA_WORKBENCH_ACTION__COMMENT, ISA_WORKBENCH_ACTION__TOOL_TIP, ISA_WORKBENCH_ACTION__TYPE, ISA_WORKBENCH_ACTION_FEATURE_COUNT, ISAISPF_PANEL, ISAISPF_PANEL__COMMENT, ISAISPF_PANEL__HAS_ACTION, ISAISPF_PANEL__HAS_PANEL_FIELD, ISAISPF_PANEL__PANEL_NAME, ISAISPF_PANEL__PROGRAM_ID, ISAISPF_PANEL_FEATURE_COUNT, ISAISPF_TOOL, ISAISPF_TOOL__COMMENT, ISAISPF_TOOL__HAS_PANEL, ISAISPF_TOOL__IN_PARM_SEPARATOR, ISAISPF_TOOL__INVOKE_FORM, ISAISPF_TOOL__OUT_PARM_SEPARATOR, ISAISPF_TOOL__PROGRAM_ID, ISAISPF_TOOL_FEATURE_COUNT, ISELECTION_CONDITION, ISELECTION_CONDITION__SELECTION_COUNT, ISELECTION_CONDITION_FEATURE_COUNT, LINKED_ELEMENT_TYPE, LINKED_ELEMENT_TYPE__COMMENT, LINKED_ELEMENT_TYPE__EXTENSION_ID, LINKED_ELEMENT_TYPE__HAS_ACTION, LINKED_ELEMENT_TYPE__HAS_FILTER, LINKED_ELEMENT_TYPE__HAS_GET_CHILDREN_ACTION, LINKED_ELEMENT_TYPE__HAS_GET_PROPERTIES_ACTION, LINKED_ELEMENT_TYPE__HAS_PROPERTY, LINKED_ELEMENT_TYPE__HAS_TEXT_DECORATION, LINKED_ELEMENT_TYPE__ICON, LINKED_ELEMENT_TYPE__ID, LINKED_ELEMENT_TYPE__ID_DEFINITION, LINKED_ELEMENT_TYPE__LINKED_ELEMENT_TYPE_ID, LINKED_ELEMENT_TYPE__LINKED_ELEMENT_TYPE_LABEL, LINKED_ELEMENT_TYPE__MATCHNAME, LINKED_ELEMENT_TYPE__MODEL_EDITOR_GROUP, LINKED_ELEMENT_TYPE_FEATURE_COUNT, LINKED_PROPERTY, LINKED_PROPERTY__CHARS_PER_LINE, LINKED_PROPERTY__COMMENT, LINKED_PROPERTY__DATE_FORMAT, LINKED_PROPERTY__DEFAULT_VALUE, LINKED_PROPERTY__EXTENSION_ID, LINKED_PROPERTY__FALSE_VALUE, LINKED_PROPERTY__ID, LINKED_PROPERTY__LABEL, LINKED_PROPERTY__LABEL_KEYS, LINKED_PROPERTY__LINKED_PROPERTY_CATEGORY, LINKED_PROPERTY__LINKED_PROPERTY_ID, LINKED_PROPERTY__LINKED_PROPERTY_LABEL, LINKED_PROPERTY__MAX_LINES, LINKED_PROPERTY__MODEL_EDITOR_GROUP, LINKED_PROPERTY__REQUIRES_RESOURCE_IDENTIFIER, LINKED_PROPERTY__RESOURCE_IDENTIFIER, LINKED_PROPERTY__RETRIEVE_ALL_VALUES, LINKED_PROPERTY__RETRIEVE_ALL_VALUES_ACTION_LABEL_PROPERTY, LINKED_PROPERTY__RETRIEVE_ALL_VALUES_ACTION_VALUE_PROPERTY, LINKED_PROPERTY__RETRIEVE_ALL_VALUES_ACTION_VALUES_FROM, LINKED_PROPERTY__SPECIAL_PROPERTY, LINKED_PROPERTY__STRING_DELIMITER, LINKED_PROPERTY__TRUE_VALUE, LINKED_PROPERTY__TYPE, LINKED_PROPERTY__UPPER_CASE, LINKED_PROPERTY__VALUE_KEYS, LINKED_PROPERTY__VALUE_MAX_LENGTH, LINKED_PROPERTY__VALUE_MIN_LENGTH, LINKED_PROPERTY_FEATURE_COUNT, PREDEFINED_ICON, PREDEFINED_ICON__COMMENT, PREDEFINED_ICON__EXTENSION_ID, PREDEFINED_ICON__ID, PREDEFINED_ICON__MODEL_EDITOR_GROUP, PREDEFINED_ICON__PREDEFINED, PREDEFINED_ICON_FEATURE_COUNT, PROPERTY, PROPERTY__CHARS_PER_LINE, PROPERTY__COMMENT, PROPERTY__DATE_FORMAT, PROPERTY__DEFAULT_VALUE, PROPERTY__EXTENSION_ID, PROPERTY__FALSE_VALUE, PROPERTY__ID, PROPERTY__LABEL, PROPERTY__LABEL_KEYS, PROPERTY__MAX_LINES, PROPERTY__MODEL_EDITOR_GROUP, PROPERTY__RETRIEVE_ALL_VALUES, PROPERTY__RETRIEVE_ALL_VALUES_ACTION_LABEL_PROPERTY, PROPERTY__RETRIEVE_ALL_VALUES_ACTION_VALUE_PROPERTY, PROPERTY__RETRIEVE_ALL_VALUES_ACTION_VALUES_FROM, PROPERTY__SPECIAL_PROPERTY, PROPERTY__STRING_DELIMITER, PROPERTY__TRUE_VALUE, PROPERTY__TYPE, PROPERTY__UPPER_CASE, PROPERTY__VALUE_KEYS, PROPERTY__VALUE_MAX_LENGTH, PROPERTY__VALUE_MIN_LENGTH, PROPERTY_FEATURE_COUNT, RACTION_COMPLEX_CONDITION, RACTION_COMPLEX_CONDITION__COMMENT, RACTION_COMPLEX_CONDITION__COMPLEX_CONDITION, RACTION_COMPLEX_CONDITION__OPERATOR, RACTION_COMPLEX_CONDITION__SIMPLE_CONDITION, RACTION_COMPLEX_CONDITION_FEATURE_COUNT, RACTION_PARM_OVERRIDE, RACTION_PARM_OVERRIDE__COMMENT, RACTION_PARM_OVERRIDE__NEW_PARM_FROM, RACTION_PARM_OVERRIDE__NEW_STATIC_VALUE, RACTION_PARM_OVERRIDE__PARM_TO_OVERRIDE, RACTION_PARM_OVERRIDE__REMOVE_PARM, RACTION_PARM_OVERRIDE_FEATURE_COUNT, RACTION_SIMPLE_CONDITION, RACTION_SIMPLE_CONDITION__COMMENT, RACTION_SIMPLE_CONDITION__OPERATOR, RACTION_SIMPLE_CONDITION__TARGET_ID, RACTION_SIMPLE_CONDITION__VALUE, RACTION_SIMPLE_CONDITION_FEATURE_COUNT, RACTION_TOOL, RACTION_TOOL__AFFECTED_RESOURCE_NAME, RACTION_TOOL__COMMENT, RACTION_TOOL__PARM_FROM_OVERRIDE, RACTION_TOOL__SEQ_NO, RACTION_TOOL__TARGET_ID, RACTION_TOOL__TOOL_ENABLED_CONDITION, RACTION_TOOL_FEATURE_COUNT, RAPPLICATION_ACTION, RAPPLICATION_ACTION__ACTION_ENABLED_CONDITION, RAPPLICATION_ACTION__ACTION_VISIBLE_CONDITION, RAPPLICATION_ACTION__COMMENT, RAPPLICATION_ACTION__DEFAULT_ACTION, RAPPLICATION_ACTION__EXECUTION_TYPE, RAPPLICATION_ACTION__LABEL, RAPPLICATION_ACTION__SEPARATOR_AFTER, RAPPLICATION_ACTION__SEQ_NO, RAPPLICATION_ACTION__SKIP_MODEL_UPDATE_CHECK, RAPPLICATION_ACTION__TARGET_ID, RAPPLICATION_ACTION_FEATURE_COUNT, RAPPLICATION_PROPERTY, RAPPLICATION_PROPERTY__COMMENT, RAPPLICATION_PROPERTY__CONSTANT, RAPPLICATION_PROPERTY__MANDATORY, RAPPLICATION_PROPERTY__SEQ_NO, RAPPLICATION_PROPERTY__TARGET_ID, RAPPLICATION_PROPERTY_FEATURE_COUNT, RDECORATION_VALUE, RDECORATION_VALUE__COMMENT, RDECORATION_VALUE__DECORATION_VALUE_VISIBLE_CONDITION, RDECORATION_VALUE__SEQ_NO, RDECORATION_VALUE__STATIC_VALUE, RDECORATION_VALUE__TARGET_ID, RDECORATION_VALUE_FEATURE_COUNT, RELEMENT_ACTION, RELEMENT_ACTION__ACTION_ENABLED_CONDITION, RELEMENT_ACTION__ACTION_VISIBLE_CONDITION, RELEMENT_ACTION__COMMENT, RELEMENT_ACTION__DEFAULT_ACTION, RELEMENT_ACTION__LABEL, RELEMENT_ACTION__SEPARATOR_AFTER, RELEMENT_ACTION__SEQ_NO, RELEMENT_ACTION__SHOW_IN_ELEMENT_VIEW, RELEMENT_ACTION__SHOW_IN_TREE_VIEW, RELEMENT_ACTION__TARGET_ID, RELEMENT_ACTION_BASE, RELEMENT_ACTION_BASE__COMMENT, RELEMENT_ACTION_BASE__TARGET_ID, RELEMENT_ACTION_BASE_FEATURE_COUNT, RELEMENT_ACTION_FEATURE_COUNT, RELEMENT_FILTER, RELEMENT_FILTER__COMMENT, RELEMENT_FILTER__LABEL, RELEMENT_FILTER__SEQ_NO, RELEMENT_FILTER__SHOW_IN_ELEMENT_VIEW, RELEMENT_FILTER__SHOW_IN_TREE_VIEW, RELEMENT_FILTER__TARGET_ID, RELEMENT_FILTER_FEATURE_COUNT, RELEMENT_GET_CHILDREN_ACTION, RELEMENT_GET_CHILDREN_ACTION__COMMENT, RELEMENT_GET_CHILDREN_ACTION__GET_CHILDREN_ACTION_ENABLED_CONDITION, RELEMENT_GET_CHILDREN_ACTION__TARGET_ID, RELEMENT_GET_CHILDREN_ACTION_FEATURE_COUNT, RELEMENT_GET_PROPERTIES, RELEMENT_GET_PROPERTIES__COMMENT, RELEMENT_GET_PROPERTIES__EXECUTION_POINT, RELEMENT_GET_PROPERTIES__EXECUTION_RATE, RELEMENT_GET_PROPERTIES__GET_PROPERTIES_ACTION_ENABLED_CONDITION, RELEMENT_GET_PROPERTIES__TARGET_ID, RELEMENT_GET_PROPERTIES_FEATURE_COUNT, RELEMENT_PROPERTY, RELEMENT_PROPERTY__CATEGORY, RELEMENT_PROPERTY__COMMENT, RELEMENT_PROPERTY__ELEMENT_NAME, RELEMENT_PROPERTY__LABEL, RELEMENT_PROPERTY__PROPERTY_VISIBLE_CONDITION, RELEMENT_PROPERTY__SEQ_NO, RELEMENT_PROPERTY__SORT_DIRECTION, RELEMENT_PROPERTY__TARGET_ID, RELEMENT_PROPERTY__TREE_VIEW_LABEL, RELEMENT_PROPERTY_FEATURE_COUNT, RELEMENT_TEXT_DECORATION, RELEMENT_TEXT_DECORATION__COMMENT, RELEMENT_TEXT_DECORATION__END_CHARACTER, RELEMENT_TEXT_DECORATION__HAS_VALUE, RELEMENT_TEXT_DECORATION__SEPARATOR, RELEMENT_TEXT_DECORATION__SEQ_NO, RELEMENT_TEXT_DECORATION__START_CHARACTER, RELEMENT_TEXT_DECORATION__TEXT_DECORATION_POSITION, RELEMENT_TEXT_DECORATION_FEATURE_COUNT, RELEMENTLIST_ACTION, RELEMENTLIST_ACTION__ACTION_ENABLED_CONDITION, RELEMENTLIST_ACTION__ACTION_VISIBLE_CONDITION, RELEMENTLIST_ACTION__COMMENT, RELEMENTLIST_ACTION__LABEL, RELEMENTLIST_ACTION__SEQ_NO, RELEMENTLIST_ACTION__SHOW_IN_CONTEXT_MENU, RELEMENTLIST_ACTION__SHOW_IN_TOOLBAR, RELEMENTLIST_ACTION__TARGET_ID, RELEMENTLIST_ACTION_FEATURE_COUNT, RELEMENTLIST_COLUMN, RELEMENTLIST_COLUMN__COL_NO, RELEMENTLIST_COLUMN__COMMENT, RELEMENTLIST_COLUMN__DELIMITER, RELEMENTLIST_COLUMN__LABEL, RELEMENTLIST_COLUMN__TARGET_ID, RELEMENTLIST_COLUMN__TARGET_IDS, RELEMENTLIST_COLUMN__VISIBLE, RELEMENTLIST_COLUMN__WIDTH, RELEMENTLIST_COLUMN_FEATURE_COUNT, RELEMENTLIST_PROPERTY, RELEMENTLIST_PROPERTY__COMMENT, RELEMENTLIST_PROPERTY__LABEL, RELEMENTLIST_PROPERTY__SEQ_NO, RELEMENTLIST_PROPERTY__TARGET_ID, RELEMENTLIST_PROPERTY_FEATURE_COUNT, RENABLED_CONDITION, RENABLED_CONDITION__COMMENT, RENABLED_CONDITION__COMPLEX_CONDITION, RENABLED_CONDITION__SIMPLE_CONDITION, RENABLED_CONDITION_BASE, RENABLED_CONDITION_BASE__COMMENT, RENABLED_CONDITION_BASE__COMPLEX_CONDITION, RENABLED_CONDITION_BASE__SIMPLE_CONDITION, RENABLED_CONDITION_BASE_FEATURE_COUNT, RENABLED_CONDITION_FEATURE_COUNT, RERROR_VIEW_ACTION, RERROR_VIEW_ACTION__COMMENT, RERROR_VIEW_ACTION__DEFAULT_ACTION, RERROR_VIEW_ACTION__LABEL, RERROR_VIEW_ACTION__SEQ_NO, RERROR_VIEW_ACTION__TARGET_ID, RERROR_VIEW_ACTION_FEATURE_COUNT, RFILE_ACTION, RFILE_ACTION__ACTION_ENABLED_CONDITION, RFILE_ACTION__ACTION_VISIBLE_CONDITION, RFILE_ACTION__COMMENT, RFILE_ACTION__DEFAULT_ACTION, RFILE_ACTION__LABEL, RFILE_ACTION__SEPARATOR_AFTER, RFILE_ACTION__SEQ_NO, RFILE_ACTION__TARGET_ID, RFILE_ACTION_FEATURE_COUNT, RFILE_ATTRIBUTE, RFILE_ATTRIBUTE__COMMENT, RFILE_ATTRIBUTE__ID, RFILE_ATTRIBUTE__MANDATORY, RFILE_ATTRIBUTE__STATIC_VALUE, RFILE_ATTRIBUTE__TARGET_ID, RFILE_ATTRIBUTE__TYPE, RFILE_ATTRIBUTE_FEATURE_COUNT, RFILE_ELEMENT, RFILE_ELEMENT__COMMENT, RFILE_ELEMENT__HAS_FILE_ATTRIBUTE, RFILE_ELEMENT__HAS_FILE_ELEMENT, RFILE_ELEMENT__ID, RFILE_ELEMENT__MANDATORY, RFILE_ELEMENT__TYPE, RFILE_ELEMENT_FEATURE_COUNT, RFILE_PROPERTY, RFILE_PROPERTY__COMMENT, RFILE_PROPERTY__EDITABLE, RFILE_PROPERTY__LABEL, RFILE_PROPERTY__SEQ_NO, RFILE_PROPERTY__TARGET_ID, RFILE_PROPERTY__VISIBLE, RFILE_PROPERTY_FEATURE_COUNT, RFILTER_ACTION, RFILTER_ACTION__COMMENT, RFILTER_ACTION__DEFAULT_ACTION, RFILTER_ACTION__LABEL, RFILTER_ACTION__TARGET_ID, RFILTER_ACTION_FEATURE_COUNT, RFILTER_FILTERCRITERION, RFILTER_FILTERCRITERION__CATEGORY, RFILTER_FILTERCRITERION__COMMENT, RFILTER_FILTERCRITERION__GENERIC, RFILTER_FILTERCRITERION__LABEL, RFILTER_FILTERCRITERION__MANDATORY, RFILTER_FILTERCRITERION__SEQ_NO, RFILTER_FILTERCRITERION__TARGET_ID, RFILTER_FILTERCRITERION_FEATURE_COUNT, RID_PROPERTY, RID_PROPERTY__COMMENT, RID_PROPERTY__SEQ_NO, RID_PROPERTY__TARGET_ID, RID_PROPERTY_FEATURE_COUNT, RISPF_TOOL_PANEL, RISPF_TOOL_PANEL__COMMENT, RISPF_TOOL_PANEL__TARGET_ID, RISPF_TOOL_PANEL_FEATURE_COUNT, RPANEL_FIELD, RPANEL_FIELD__COMMENT, RPANEL_FIELD__SEQ_NO, RPANEL_FIELD__TARGET_ID_PARM, RPANEL_FIELD_FEATURE_COUNT, RSELECTION_ENABLED_CONDITION, RSELECTION_ENABLED_CONDITION__COMMENT, RSELECTION_ENABLED_CONDITION__COMPLEX_CONDITION, RSELECTION_ENABLED_CONDITION__SELECTION_COUNT, RSELECTION_ENABLED_CONDITION__SIMPLE_CONDITION, RSELECTION_ENABLED_CONDITION_FEATURE_COUNT, RSELECTION_VISIBLE_CONDITION, RSELECTION_VISIBLE_CONDITION__COMMENT, RSELECTION_VISIBLE_CONDITION__COMPLEX_CONDITION, RSELECTION_VISIBLE_CONDITION__SELECTION_COUNT, RSELECTION_VISIBLE_CONDITION__SIMPLE_CONDITION, RSELECTION_VISIBLE_CONDITION_FEATURE_COUNT, RTOOL_IN_PARAMETER, RTOOL_IN_PARAMETER__COMMENT, RTOOL_IN_PARAMETER__COMPLEX_ATTRIBUTE, RTOOL_IN_PARAMETER__DEFAULT_VALUE, RTOOL_IN_PARAMETER__EXTENSION_ID, RTOOL_IN_PARAMETER__LABEL, RTOOL_IN_PARAMETER__MASS_PROCESSING, RTOOL_IN_PARAMETER__PARAMETER_ENABLED_CONDITION, RTOOL_IN_PARAMETER__PARAMETER_FROM, RTOOL_IN_PARAMETER__PARAMETER_VISIBLE_CONDITION, RTOOL_IN_PARAMETER__SEQ_NO, RTOOL_IN_PARAMETER__STATIC_VALUE, RTOOL_IN_PARAMETER__TARGET_ID_FILE, RTOOL_IN_PARAMETER__TARGET_ID_PARM, RTOOL_IN_PARAMETER__TYPE, RTOOL_IN_PARAMETER__UI_CATEGORY, RTOOL_IN_PARAMETER__UI_EDITABLE, RTOOL_IN_PARAMETER__UI_FORM, RTOOL_IN_PARAMETER__UI_GENERIC_ALLOWED, RTOOL_IN_PARAMETER__UI_HELP_TEXT, RTOOL_IN_PARAMETER__UI_MANDATORY, RTOOL_IN_PARAMETER__UI_MULTI_SELECTION, RTOOL_IN_PARAMETER__UI_RESIZABLE, RTOOL_IN_PARAMETER__UI_TAB, RTOOL_IN_PARAMETER__UI_TOOL_TIP, RTOOL_IN_PARAMETER_FEATURE_COUNT, RTOOL_OUT_PARAMETER, RTOOL_OUT_PARAMETER__COMMENT, RTOOL_OUT_PARAMETER__COMPLEX_ATTRIBUTE, RTOOL_OUT_PARAMETER__EXTENSION_ID, RTOOL_OUT_PARAMETER__LABEL, RTOOL_OUT_PARAMETER__MASS_PROCESSING, RTOOL_OUT_PARAMETER__SEQ_NO, RTOOL_OUT_PARAMETER__TARGET_ID_FILE, RTOOL_OUT_PARAMETER__TARGET_ID_PARM, RTOOL_OUT_PARAMETER__TO_OUTPUT_DIALOG, RTOOL_OUT_PARAMETER__TYPE, RTOOL_OUT_PARAMETER__UI_CATEGORY, RTOOL_OUT_PARAMETER__UI_RESIZABLE, RTOOL_OUT_PARAMETER_FEATURE_COUNT, RTOOL_PARAMETER, RTOOL_PARAMETER__COMMENT, RTOOL_PARAMETER__COMPLEX_ATTRIBUTE, RTOOL_PARAMETER__EXTENSION_ID, RTOOL_PARAMETER__LABEL, RTOOL_PARAMETER__MASS_PROCESSING, RTOOL_PARAMETER__SEQ_NO, RTOOL_PARAMETER__TARGET_ID_FILE, RTOOL_PARAMETER__TARGET_ID_PARM, RTOOL_PARAMETER__TYPE, RTOOL_PARAMETER__UI_CATEGORY, RTOOL_PARAMETER__UI_RESIZABLE, RTOOL_PARAMETER_FEATURE_COUNT, RTOOL_VALIDATE_ACTION, RTOOL_VALIDATE_ACTION__COMMENT, RTOOL_VALIDATE_ACTION__TARGET_ID, RTOOL_VALIDATE_ACTION_FEATURE_COUNT, RVISIBLE_CONDITION, RVISIBLE_CONDITION__COMMENT, RVISIBLE_CONDITION__COMPLEX_CONDITION, RVISIBLE_CONDITION__SIMPLE_CONDITION, RVISIBLE_CONDITION_FEATURE_COUNT, SELECTION_PROPERTY_MAPPING, SELECTION_PROPERTY_MAPPING__COMMENT, SELECTION_PROPERTY_MAPPING__KEYWORD, SELECTION_PROPERTY_MAPPING__MANDATORY, SELECTION_PROPERTY_MAPPING__TARGET_ID, SELECTION_PROPERTY_MAPPING__VALUE_FROM, SELECTION_PROPERTY_MAPPING_FEATURE_COUNT, SPECIFIC_ATTRIBUTE, SPECIFIC_ATTRIBUTE__COMMENT, SPECIFIC_ATTRIBUTE__NAME, SPECIFIC_ATTRIBUTE__VALUE, SPECIFIC_ATTRIBUTE_FEATURE_COUNT, TAURUS_CONFIGURATION, TAURUS_CONFIGURATION__ACTION_DESCRIPTORS, TAURUS_CONFIGURATION__APPLICATION_OPTIONS, TAURUS_CONFIGURATION__COMMENT, TAURUS_CONFIGURATION__ELEMENT_LIST_STRUCTURES, TAURUS_CONFIGURATION__ELEMENT_TYPES, TAURUS_CONFIGURATION__FILE_DESCRIPTORS, TAURUS_CONFIGURATION__FILTER_TYPES, TAURUS_CONFIGURATION__FUNCTION_PACKAGES, TAURUS_CONFIGURATION__GLOBAL_ACTIONS, TAURUS_CONFIGURATION__ICONS, TAURUS_CONFIGURATION__ID_DEFINITIONS, TAURUS_CONFIGURATION__PROPERTIES, TAURUS_CONFIGURATION__TOOL_DESCRIPTORS, TAURUS_CONFIGURATION_FEATURE_COUNT, TOOL_DESCRIPTOR, TOOL_DESCRIPTOR__AFTER_JOB_ACTION, TOOL_DESCRIPTOR__COMMENT, TOOL_DESCRIPTOR__EXTENSION_ID, TOOL_DESCRIPTOR__HELP_TEXT, TOOL_DESCRIPTOR__ID, TOOL_DESCRIPTOR__IN_PARM_SEPARATOR, TOOL_DESCRIPTOR__INPUT_PARM, TOOL_DESCRIPTOR__INTEGRATED_TOOL, TOOL_DESCRIPTOR__ISA_PLUG_IN, TOOL_DESCRIPTOR__ISAISPF_PANEL, TOOL_DESCRIPTOR__ISAISPF_PANEL_COMMAND, TOOL_DESCRIPTOR__ISAISPF_TOOL, TOOL_DESCRIPTOR__MODEL_EDITOR_GROUP, TOOL_DESCRIPTOR__OUT_PARM_SEPARATOR, TOOL_DESCRIPTOR__OUTPUT_PARM, TOOL_DESCRIPTOR__REFRESH_RESOURCE, TOOL_DESCRIPTOR__RESOURCE_PROCESSING, TOOL_DESCRIPTOR__RUN_AS_JOB, TOOL_DESCRIPTOR__SPECIFIC_ATTRIBUTE, TOOL_DESCRIPTOR__TOOL_TYPE, TOOL_DESCRIPTOR__VALIDATE_ACTION, TOOL_DESCRIPTOR_FEATURE_COUNT`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addMessageToConflictLog(java.lang.StringBuilder pConfigLog, java.lang.String pObjectTypeLabel, ModelExtensionObject pObject1, ModelExtensionObject pObject2)` Adds an error message to the internal log (which is only a string builder).
    `void` | `createFunctionPackageContents(FunctionPackageExtension pFpe)` Creates dynamic classes for the given function package.
    `void` | `createPackageContents()` Creates the meta-model objects for the package.
    `org.eclipse.emf.ecore.EAttribute` | `getActionDescriptor_CustomErrorMessage()`
    `org.eclipse.emf.ecore.EAttribute` | `getActionDescriptor_ExecutionMode()`
    `org.eclipse.emf.ecore.EReference` | `getActionDescriptor_HasElementlist()`
    `org.eclipse.emf.ecore.EReference` | `getActionDescriptor_HasTool()`
    `org.eclipse.emf.ecore.EReference` | `getActionDescriptor_Icon()`
    `org.eclipse.emf.ecore.EAttribute` | `getActionDescriptor_KeyBindingContext()`
    `org.eclipse.emf.ecore.EAttribute` | `getActionDescriptor_KeySequence()`
    `org.eclipse.emf.ecore.EAttribute` | `getActionDescriptor_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getActionDescriptor_LinkElementList()`
    `org.eclipse.emf.ecore.EAttribute` | `getActionDescriptor_MassProcessing()`
    `org.eclipse.emf.ecore.EAttribute` | `getActionDescriptor_RefreshList()`
    `org.eclipse.emf.ecore.EReference` | `getActionDescriptor_RelatedCloseAction()`
    `org.eclipse.emf.ecore.EReference` | `getActionDescriptor_RelatedSaveAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getActionDescriptor_ShowProgressMonitor()`
    `org.eclipse.emf.ecore.EAttribute` | `getActionDescriptor_TableViewID()`
    `org.eclipse.emf.ecore.EAttribute` | `getActionDescriptor_TableViewLabel()`
    `org.eclipse.emf.ecore.EClass` | `getActionDescriptor()`
    `org.eclipse.emf.ecore.EReference` | `getApplicationOptions_ApplicationAction()`
    `org.eclipse.emf.ecore.EReference` | `getApplicationOptions_ApplicationProperty()`
    `org.eclipse.emf.ecore.EAttribute` | `getApplicationOptions_CacheElements()`
    `org.eclipse.emf.ecore.EReference` | `getApplicationOptions_CustomOption()`
    `org.eclipse.emf.ecore.EAttribute` | `getApplicationOptions_DefaultGenericSymbol()`
    `org.eclipse.emf.ecore.EAttribute` | `getApplicationOptions_EndReference()`
    `org.eclipse.emf.ecore.EAttribute` | `getApplicationOptions_EXITPARM()`
    `org.eclipse.emf.ecore.EAttribute` | `getApplicationOptions_GenericSymbols()`
    `org.eclipse.emf.ecore.EAttribute` | `getApplicationOptions_IndependentAffectedResourceContexts()`
    `org.eclipse.emf.ecore.EAttribute` | `getApplicationOptions_LastEditClientVersion()`
    `org.eclipse.emf.ecore.EAttribute` | `getApplicationOptions_MaxRC()`
    `org.eclipse.emf.ecore.EAttribute` | `getApplicationOptions_ModelID()`
    `org.eclipse.emf.ecore.EReference` | `getApplicationOptions_RootContainersAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getApplicationOptions_StartReference()`
    `org.eclipse.emf.ecore.EAttribute` | `getApplicationOptions_Version()`
    `org.eclipse.emf.ecore.EClass` | `getApplicationOptions()`
    `org.eclipse.emf.ecore.EAttribute` | `getAWMIdentifiableObject_ID()`
    `org.eclipse.emf.ecore.EAttribute` | `getAWMIdentifiableObject_ModelEditorGroup()`
    `org.eclipse.emf.ecore.EClass` | `getAWMIdentifiableObject()`
    `org.eclipse.emf.ecore.EAttribute` | `getAWMObject_Comment()`
    `org.eclipse.emf.ecore.EClass` | `getAWMObject()`
    `org.eclipse.emf.ecore.EReference` | `getCActionDescriptors_ActionDescriptor()`
    `org.eclipse.emf.ecore.EClass` | `getCActionDescriptors()`
    `org.eclipse.emf.ecore.EReference` | `getCElementListStructures_ElementListStructure()`
    `org.eclipse.emf.ecore.EClass` | `getCElementListStructures()`
    `org.eclipse.emf.ecore.EReference` | `getCElementTypes_ElementType()`
    `org.eclipse.emf.ecore.EClass` | `getCElementTypes()`
    `org.eclipse.emf.ecore.EReference` | `getCFileDescriptors_FileDescriptor()`
    `org.eclipse.emf.ecore.EClass` | `getCFileDescriptors()`
    `org.eclipse.emf.ecore.EReference` | `getCFilterTypes_FilterType()`
    `org.eclipse.emf.ecore.EClass` | `getCFilterTypes()`
    `org.eclipse.emf.ecore.EReference` | `getCFunctionPackages_FunctionPackage()`
    `org.eclipse.emf.ecore.EClass` | `getCFunctionPackages()`
    `org.eclipse.emf.ecore.EReference` | `getCGlobalActions_GlobalAction()`
    `org.eclipse.emf.ecore.EClass` | `getCGlobalActions()`
    `org.eclipse.emf.ecore.EReference` | `getCIcons_Icon()`
    `org.eclipse.emf.ecore.EClass` | `getCIcons()`
    `org.eclipse.emf.ecore.EReference` | `getCIDDefinitions_IDDefinition()`
    `org.eclipse.emf.ecore.EClass` | `getCIDDefinitions()`
    `org.eclipse.emf.ecore.EClass` | `getComplexAttribute()`
    `org.eclipse.emf.ecore.EReference` | `getComplexAttributeBase_ComplexAttribute()`
    `org.eclipse.emf.ecore.EAttribute` | `getComplexAttributeBase_ID()`
    `org.eclipse.emf.ecore.EAttribute` | `getComplexAttributeBase_Label()`
    `org.eclipse.emf.ecore.EClass` | `getComplexAttributeBase()`
    `org.eclipse.emf.ecore.EReference` | `getCProperties_Property()`
    `org.eclipse.emf.ecore.EClass` | `getCProperties()`
    `org.eclipse.emf.ecore.EAttribute` | `getCToolCategory_Name()`
    `org.eclipse.emf.ecore.EReference` | `getCToolCategory_ToolDescriptor()`
    `org.eclipse.emf.ecore.EClass` | `getCToolCategory()`
    `org.eclipse.emf.ecore.EReference` | `getCToolDescriptors_Category()`
    `org.eclipse.emf.ecore.EReference` | `getCToolDescriptors_ToolDescriptor()`
    `org.eclipse.emf.ecore.EClass` | `getCToolDescriptors()`
    `org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_ID()`
    `org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()`
    `org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Name()`
    `org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_NCName()`
    `org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_SeqNo()`
    `org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_SortBy()`
    `org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_TableViewID()`
    `org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_TableViewLabel()`
    `org.eclipse.emf.ecore.EReference` | `getDocumentRoot_TaurusConfiguration()`
    `org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Type()`
    `org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()`
    `org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()`
    `org.eclipse.emf.ecore.EClass` | `getDocumentRoot()`
    `org.eclipse.emf.ecore.EClass` | `getDynamicModelExtensionObject()`
    `org.eclipse.emf.ecore.EClass` | `getDynamicObject()`
    `org.eclipse.emf.ecore.EReference` | `getDynamicToolDescriptor_ComplexAttribute()`
    `org.eclipse.emf.ecore.EClass` | `getDynamicToolDescriptor()`
    `org.eclipse.emf.ecore.EEnum` | `getEActionExecutionMode()`
    `org.eclipse.emf.ecore.EDataType` | `getEActionExecutionModeObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEApplicationActionExecutionType()`
    `org.eclipse.emf.ecore.EDataType` | `getEApplicationActionExecutionTypeObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEConditionOperators()`
    `org.eclipse.emf.ecore.EDataType` | `getEConditionOperatorsObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEEditorSelectionType()`
    `org.eclipse.emf.ecore.EDataType` | `getEEditorSelectionTypeObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEExecutionPoint()`
    `org.eclipse.emf.ecore.EDataType` | `getEExecutionPointObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEExecutionRate()`
    `org.eclipse.emf.ecore.EDataType` | `getEExecutionRateObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEFileAttributeType()`
    `org.eclipse.emf.ecore.EEnum` | `getEFileElementType()`
    `org.eclipse.emf.ecore.EEnum` | `getEFileStructures()`
    `org.eclipse.emf.ecore.EDataType` | `getEFileStructuresObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEFileTypes()`
    `org.eclipse.emf.ecore.EDataType` | `getEFileTypesObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEIcons()`
    `org.eclipse.emf.ecore.EDataType` | `getEIconsObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEIntegratedTools()`
    `org.eclipse.emf.ecore.EDataType` | `getEIntegratedToolsObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEInvokeForms()`
    `org.eclipse.emf.ecore.EDataType` | `getEInvokeFormsObject()`
    `org.eclipse.emf.ecore.EReference` | `getElementListStructure_HasAction()`
    `org.eclipse.emf.ecore.EReference` | `getElementListStructure_HasColumnProperty()`
    `org.eclipse.emf.ecore.EReference` | `getElementListStructure_HasListProperty()`
    `org.eclipse.emf.ecore.EAttribute` | `getElementListStructure_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getElementListStructure_TableViewID()`
    `org.eclipse.emf.ecore.EAttribute` | `getElementListStructure_TableViewLabel()`
    `org.eclipse.emf.ecore.EClass` | `getElementListStructure()`
    `org.eclipse.emf.ecore.EReference` | `getElementType_HasAction()`
    `org.eclipse.emf.ecore.EReference` | `getElementType_HasFilter()`
    `org.eclipse.emf.ecore.EReference` | `getElementType_HasGetChildrenAction()`
    `org.eclipse.emf.ecore.EReference` | `getElementType_HasGetPropertiesAction()`
    `org.eclipse.emf.ecore.EReference` | `getElementType_HasProperty()`
    `org.eclipse.emf.ecore.EReference` | `getElementType_HasTextDecoration()`
    `org.eclipse.emf.ecore.EReference` | `getElementType_Icon()`
    `org.eclipse.emf.ecore.EReference` | `getElementType_IDDefinition()`
    `org.eclipse.emf.ecore.EAttribute` | `getElementType_Matchname()`
    `org.eclipse.emf.ecore.EClass` | `getElementType()`
    `org.eclipse.emf.ecore.EEnum` | `getEMassProcessing()`
    `org.eclipse.emf.ecore.EDataType` | `getEMassProcessingObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEOperators()`
    `org.eclipse.emf.ecore.EDataType` | `getEOperatorsObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEParameterTypes()`
    `org.eclipse.emf.ecore.EDataType` | `getEParameterTypesObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEParmFromTypes()`
    `org.eclipse.emf.ecore.EDataType` | `getEParmFromTypesObject()`
    `org.eclipse.emf.ecore.EEnum` | `getERelativePosition()`
    `org.eclipse.emf.ecore.EDataType` | `getERelativePositionObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEResourceProcessingTypes()`
    `org.eclipse.emf.ecore.EDataType` | `getEResourceProcessingTypesObject()`
    `org.eclipse.emf.ecore.EEnum` | `getERetrieveAllValues()`
    `org.eclipse.emf.ecore.EReference` | `getErrorView_HasAction()`
    `org.eclipse.emf.ecore.EClass` | `getErrorView()`
    `org.eclipse.emf.ecore.EEnum` | `getERunAsJobTypes()`
    `org.eclipse.emf.ecore.EDataType` | `getERunAsJobTypesObject()`
    `org.eclipse.emf.ecore.EEnum` | `getESortDirection()`
    `org.eclipse.emf.ecore.EDataType` | `getESortDirectionObject()`
    `org.eclipse.emf.ecore.EEnum` | `getESpecialProperties()`
    `org.eclipse.emf.ecore.EDataType` | `getESpecialPropertiesObject()`
    `org.eclipse.emf.ecore.EEnum` | `getETableMode()`
    `org.eclipse.emf.ecore.EDataType` | `getETableModeObject()`
    `org.eclipse.emf.ecore.EEnum` | `getETextDecorationPosition()`
    `org.eclipse.emf.ecore.EEnum` | `getETypes()`
    `org.eclipse.emf.ecore.EDataType` | `getETypesObject()`
    `org.eclipse.emf.ecore.EEnum` | `getEWorkbenchActionType()`
    `org.eclipse.emf.ecore.EDataType` | `getEWorkbenchActionTypeObject()`
    `org.eclipse.emf.ecore.EReference` | `getFileDescriptor_HasAction()`
    `org.eclipse.emf.ecore.EReference` | `getFileDescriptor_HasFileAttribute()`
    `org.eclipse.emf.ecore.EReference` | `getFileDescriptor_HasFileElement()`
    `org.eclipse.emf.ecore.EReference` | `getFileDescriptor_HasProperty()`
    `org.eclipse.emf.ecore.EAttribute` | `getFileDescriptor_NamePhysical()`
    `org.eclipse.emf.ecore.EAttribute` | `getFileDescriptor_PropDelimiter()`
    `org.eclipse.emf.ecore.EAttribute` | `getFileDescriptor_Structure()`
    `org.eclipse.emf.ecore.EAttribute` | `getFileDescriptor_Type()`
    `org.eclipse.emf.ecore.EClass` | `getFileDescriptor()`
    `org.eclipse.emf.ecore.EReference` | `getFilterType_HasAction()`
    `org.eclipse.emf.ecore.EReference` | `getFilterType_HasFiltercriterion()`
    `org.eclipse.emf.ecore.EAttribute` | `getFilterType_Label()`
    `org.eclipse.emf.ecore.EClass` | `getFilterType()`
    `org.eclipse.emf.ecore.EReference` | `getFunctionPackage_ComplexAttribute()`
    `org.eclipse.emf.ecore.EAttribute` | `getFunctionPackage_Label()`
    `org.eclipse.emf.ecore.EClass` | `getFunctionPackage()`
    `org.eclipse.emf.ecore.EAttribute` | `getFunctionPackageIcon_FunctionPackageIconID()`
    `org.eclipse.emf.ecore.EAttribute` | `getFunctionPackageIcon_IconName()`
    `org.eclipse.emf.ecore.EClass` | `getFunctionPackageIcon()`
    `org.eclipse.emf.ecore.EAttribute` | `getGenericSymbols_DefaultSymbol()`
    `org.eclipse.emf.ecore.EAttribute` | `getGenericSymbols_GenericSymbols()`
    `org.eclipse.emf.ecore.EClass` | `getGenericSymbols()`
    `org.eclipse.emf.ecore.EReference` | `getGlobalAction_ActionEnabledCondition()`
    `org.eclipse.emf.ecore.EReference` | `getGlobalAction_ActionVisibleCondition()`
    `org.eclipse.emf.ecore.EReference` | `getGlobalAction_Icon()`
    `org.eclipse.emf.ecore.EReference` | `getGlobalAction_ISAEditorAction()`
    `org.eclipse.emf.ecore.EReference` | `getGlobalAction_ISAWorkbenchAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getGlobalAction_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getGlobalAction_SeparatorAfter()`
    `org.eclipse.emf.ecore.EAttribute` | `getGlobalAction_SeqNo()`
    `org.eclipse.emf.ecore.EAttribute` | `getGlobalAction_Submenu()`
    `org.eclipse.emf.ecore.EReference` | `getGlobalAction_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getGlobalAction()`
    `org.eclipse.emf.ecore.EClass` | `getIcon()`
    `org.eclipse.emf.ecore.EReference` | `getIDDefinition_KeyProperty()`
    `org.eclipse.emf.ecore.EClass` | `getIDDefinition()`
    `org.eclipse.emf.ecore.EAttribute` | `getIFunctionPackageDefinable_ExtensionID()`
    `org.eclipse.emf.ecore.EClass` | `getIFunctionPackageDefinable()`
    `java.lang.Throwable` | `getInitializeException()` If an exception occurred during initializing dynamic model contents, the exception can be obtained through this method.
    `org.eclipse.emf.ecore.EAttribute` | `getISAEditorAction_EditorSuffixes()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAEditorAction_ModelledEditSessionsOnly()`
    `org.eclipse.emf.ecore.EReference` | `getISAEditorAction_PropertyMapping()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAEditorAction_UpdateEditContext()`
    `org.eclipse.emf.ecore.EClass` | `getISAEditorAction()`
    `org.eclipse.emf.ecore.EReference` | `getISAISPFPanel_HasAction()`
    `org.eclipse.emf.ecore.EReference` | `getISAISPFPanel_HasPanelField()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAISPFPanel_PanelName()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAISPFPanel_ProgramID()`
    `org.eclipse.emf.ecore.EClass` | `getISAISPFPanel()`
    `org.eclipse.emf.ecore.EReference` | `getISAISPFTool_HasPanel()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAISPFTool_InParmSeparator()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAISPFTool_InvokeForm()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAISPFTool_OutParmSeparator()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAISPFTool_ProgramID()`
    `org.eclipse.emf.ecore.EClass` | `getISAISPFTool()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAPanelCommand_CommandName()`
    `org.eclipse.emf.ecore.EReference` | `getISAPanelCommand_CommandVariable()`
    `org.eclipse.emf.ecore.EClass` | `getISAPanelCommand()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAPlugIn_Description()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAPlugIn_PlugInID()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAPlugIn_Title()`
    `org.eclipse.emf.ecore.EClass` | `getISAPlugIn()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAWorkbenchAction_ToolTip()`
    `org.eclipse.emf.ecore.EAttribute` | `getISAWorkbenchAction_Type()`
    `org.eclipse.emf.ecore.EClass` | `getISAWorkbenchAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getISelectionCondition_SelectionCount()`
    `org.eclipse.emf.ecore.EClass` | `getISelectionCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getLinkedElementType_LinkedElementTypeID()`
    `org.eclipse.emf.ecore.EAttribute` | `getLinkedElementType_LinkedElementTypeLabel()`
    `org.eclipse.emf.ecore.EClass` | `getLinkedElementType()`
    `org.eclipse.emf.ecore.EAttribute` | `getLinkedProperty_LinkedPropertyCategory()`
    `org.eclipse.emf.ecore.EAttribute` | `getLinkedProperty_LinkedPropertyID()`
    `org.eclipse.emf.ecore.EAttribute` | `getLinkedProperty_LinkedPropertyLabel()`
    `org.eclipse.emf.ecore.EAttribute` | `getLinkedProperty_RequiresResourceIdentifier()`
    `org.eclipse.emf.ecore.EReference` | `getLinkedProperty_ResourceIdentifier()`
    `org.eclipse.emf.ecore.EClass` | `getLinkedProperty()`
    `java.util.Map<java.lang.String,ModelExtensionObject>` | `getModelExtensionObjects()` Gets a map with all model extension objects with their full qualified ID as key.
    `org.eclipse.emf.ecore.EAttribute` | `getPredefinedIcon_Predefined()`
    `org.eclipse.emf.ecore.EClass` | `getPredefinedIcon()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_CharsPerLine()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_DateFormat()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_DefaultValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_FalseValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_LabelKeys()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_MaxLines()`
    `org.eclipse.emf.ecore.EReference` | `getProperty_RetrieveAllValues()`
    `org.eclipse.emf.ecore.EReference` | `getProperty_RetrieveAllValuesActionLabelProperty()`
    `org.eclipse.emf.ecore.EReference` | `getProperty_RetrieveAllValuesActionValueProperty()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_RetrieveAllValuesActionValuesFrom()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_SpecialProperty()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_StringDelimiter()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_TrueValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_Type()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_UpperCase()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_ValueKeys()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_ValueMaxLength()`
    `org.eclipse.emf.ecore.EAttribute` | `getProperty_ValueMinLength()`
    `org.eclipse.emf.ecore.EClass` | `getProperty()`
    `org.eclipse.emf.ecore.EReference` | `getRActionComplexCondition_ComplexCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getRActionComplexCondition_Operator()`
    `org.eclipse.emf.ecore.EReference` | `getRActionComplexCondition_SimpleCondition()`
    `org.eclipse.emf.ecore.EClass` | `getRActionComplexCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getRActionParmOverride_NewParmFrom()`
    `org.eclipse.emf.ecore.EAttribute` | `getRActionParmOverride_NewStaticValue()`
    `org.eclipse.emf.ecore.EReference` | `getRActionParmOverride_ParmToOverride()`
    `org.eclipse.emf.ecore.EAttribute` | `getRActionParmOverride_RemoveParm()`
    `org.eclipse.emf.ecore.EClass` | `getRActionParmOverride()`
    `org.eclipse.emf.ecore.EAttribute` | `getRActionSimpleCondition_Operator()`
    `org.eclipse.emf.ecore.EReference` | `getRActionSimpleCondition_TargetID()`
    `org.eclipse.emf.ecore.EAttribute` | `getRActionSimpleCondition_Value()`
    `org.eclipse.emf.ecore.EClass` | `getRActionSimpleCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getRActionTool_AffectedResourceName()`
    `org.eclipse.emf.ecore.EReference` | `getRActionTool_ParmFromOverride()`
    `org.eclipse.emf.ecore.EAttribute` | `getRActionTool_SeqNo()`
    `org.eclipse.emf.ecore.EReference` | `getRActionTool_TargetID()`
    `org.eclipse.emf.ecore.EReference` | `getRActionTool_ToolEnabledCondition()`
    `org.eclipse.emf.ecore.EClass` | `getRActionTool()`
    `org.eclipse.emf.ecore.EReference` | `getRApplicationAction_ActionEnabledCondition()`
    `org.eclipse.emf.ecore.EReference` | `getRApplicationAction_ActionVisibleCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getRApplicationAction_DefaultAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getRApplicationAction_ExecutionType()`
    `org.eclipse.emf.ecore.EAttribute` | `getRApplicationAction_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getRApplicationAction_SeparatorAfter()`
    `org.eclipse.emf.ecore.EAttribute` | `getRApplicationAction_SeqNo()`
    `org.eclipse.emf.ecore.EAttribute` | `getRApplicationAction_SkipModelUpdateCheck()`
    `org.eclipse.emf.ecore.EReference` | `getRApplicationAction_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRApplicationAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getRApplicationProperty_Constant()`
    `org.eclipse.emf.ecore.EAttribute` | `getRApplicationProperty_Mandatory()`
    `org.eclipse.emf.ecore.EAttribute` | `getRApplicationProperty_SeqNo()`
    `org.eclipse.emf.ecore.EReference` | `getRApplicationProperty_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRApplicationProperty()`
    `org.eclipse.emf.ecore.EReference` | `getRDecorationValue_DecorationValueVisibleCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getRDecorationValue_SeqNo()`
    `org.eclipse.emf.ecore.EAttribute` | `getRDecorationValue_StaticValue()`
    `org.eclipse.emf.ecore.EReference` | `getRDecorationValue_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRDecorationValue()`
    `org.eclipse.emf.ecore.EReference` | `getRElementAction_ActionEnabledCondition()`
    `org.eclipse.emf.ecore.EReference` | `getRElementAction_ActionVisibleCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementAction_DefaultAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementAction_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementAction_SeparatorAfter()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementAction_SeqNo()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementAction_ShowInElementView()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementAction_ShowInTreeView()`
    `org.eclipse.emf.ecore.EClass` | `getRElementAction()`
    `org.eclipse.emf.ecore.EReference` | `getRElementActionBase_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRElementActionBase()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementFilter_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementFilter_SeqNo()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementFilter_ShowInElementView()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementFilter_ShowInTreeView()`
    `org.eclipse.emf.ecore.EReference` | `getRElementFilter_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRElementFilter()`
    `org.eclipse.emf.ecore.EReference` | `getRElementGetChildrenAction_GetChildrenActionEnabledCondition()`
    `org.eclipse.emf.ecore.EClass` | `getRElementGetChildrenAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementGetProperties_ExecutionPoint()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementGetProperties_ExecutionRate()`
    `org.eclipse.emf.ecore.EReference` | `getRElementGetProperties_GetPropertiesActionEnabledCondition()`
    `org.eclipse.emf.ecore.EClass` | `getRElementGetProperties()`
    `org.eclipse.emf.ecore.EReference` | `getRElementlistAction_ActionEnabledCondition()`
    `org.eclipse.emf.ecore.EReference` | `getRElementlistAction_ActionVisibleCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementlistAction_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementlistAction_SeqNo()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementlistAction_ShowInContextMenu()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementlistAction_ShowInToolbar()`
    `org.eclipse.emf.ecore.EReference` | `getRElementlistAction_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRElementlistAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementlistColumn_ColNo()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementlistColumn_Delimiter()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementlistColumn_Label()`
    `org.eclipse.emf.ecore.EReference` | `getRElementlistColumn_TargetID()` Deprecated.
    `org.eclipse.emf.ecore.EReference` | `getRElementlistColumn_TargetIDs()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementlistColumn_Visible()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementlistColumn_Width()`
    `org.eclipse.emf.ecore.EClass` | `getRElementlistColumn()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementlistProperty_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementlistProperty_SeqNo()`
    `org.eclipse.emf.ecore.EReference` | `getRElementlistProperty_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRElementlistProperty()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementProperty_Category()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementProperty_ElementName()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementProperty_Label()`
    `org.eclipse.emf.ecore.EReference` | `getRElementProperty_PropertyVisibleCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementProperty_SeqNo()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementProperty_SortDirection()`
    `org.eclipse.emf.ecore.EReference` | `getRElementProperty_TargetID()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementProperty_TreeViewLabel()`
    `org.eclipse.emf.ecore.EClass` | `getRElementProperty()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementTextDecoration_EndCharacter()`
    `org.eclipse.emf.ecore.EReference` | `getRElementTextDecoration_HasValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementTextDecoration_Separator()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementTextDecoration_SeqNo()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementTextDecoration_StartCharacter()`
    `org.eclipse.emf.ecore.EAttribute` | `getRElementTextDecoration_TextDecorationPosition()`
    `org.eclipse.emf.ecore.EClass` | `getRElementTextDecoration()`
    `org.eclipse.emf.ecore.EClass` | `getREnabledCondition()`
    `org.eclipse.emf.ecore.EReference` | `getREnabledConditionBase_ComplexCondition()`
    `org.eclipse.emf.ecore.EReference` | `getREnabledConditionBase_SimpleCondition()`
    `org.eclipse.emf.ecore.EClass` | `getREnabledConditionBase()`
    `org.eclipse.emf.ecore.EAttribute` | `getRErrorViewAction_DefaultAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getRErrorViewAction_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getRErrorViewAction_SeqNo()`
    `org.eclipse.emf.ecore.EReference` | `getRErrorViewAction_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRErrorViewAction()`
    `org.eclipse.emf.ecore.EReference` | `getRFileAction_ActionEnabledCondition()`
    `org.eclipse.emf.ecore.EReference` | `getRFileAction_ActionVisibleCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileAction_DefaultAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileAction_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileAction_SeparatorAfter()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileAction_SeqNo()`
    `org.eclipse.emf.ecore.EReference` | `getRFileAction_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRFileAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileAttribute_ID()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileAttribute_Mandatory()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileAttribute_StaticValue()`
    `org.eclipse.emf.ecore.EReference` | `getRFileAttribute_TargetID()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileAttribute_Type()`
    `org.eclipse.emf.ecore.EClass` | `getRFileAttribute()`
    `org.eclipse.emf.ecore.EReference` | `getRFileElement_HasFileAttribute()`
    `org.eclipse.emf.ecore.EReference` | `getRFileElement_HasFileElement()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileElement_ID()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileElement_Mandatory()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileElement_Type()`
    `org.eclipse.emf.ecore.EClass` | `getRFileElement()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileProperty_Editable()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileProperty_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileProperty_SeqNo()`
    `org.eclipse.emf.ecore.EReference` | `getRFileProperty_TargetID()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFileProperty_Visible()`
    `org.eclipse.emf.ecore.EClass` | `getRFileProperty()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFilterAction_DefaultAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFilterAction_Label()`
    `org.eclipse.emf.ecore.EReference` | `getRFilterAction_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRFilterAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFilterFiltercriterion_Category()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFilterFiltercriterion_Generic()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFilterFiltercriterion_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFilterFiltercriterion_Mandatory()`
    `org.eclipse.emf.ecore.EAttribute` | `getRFilterFiltercriterion_SeqNo()`
    `org.eclipse.emf.ecore.EReference` | `getRFilterFiltercriterion_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRFilterFiltercriterion()`
    `org.eclipse.emf.ecore.EAttribute` | `getRIDProperty_SeqNo()`
    `org.eclipse.emf.ecore.EReference` | `getRIDProperty_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRIDProperty()`
    `org.eclipse.emf.ecore.EReference` | `getRISPFToolPanel_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRISPFToolPanel()`
    `org.eclipse.emf.ecore.EAttribute` | `getRPanelField_SeqNo()`
    `org.eclipse.emf.ecore.EReference` | `getRPanelField_TargetIDParm()`
    `org.eclipse.emf.ecore.EClass` | `getRPanelField()`
    `org.eclipse.emf.ecore.EClass` | `getRSelectionEnabledCondition()`
    `org.eclipse.emf.ecore.EClass` | `getRSelectionVisibleCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolInParameter_DefaultValue()`
    `org.eclipse.emf.ecore.EReference` | `getRToolInParameter_ParameterEnabledCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolInParameter_ParameterFrom()`
    `org.eclipse.emf.ecore.EReference` | `getRToolInParameter_ParameterVisibleCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolInParameter_StaticValue()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolInParameter_UiEditable()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolInParameter_UiForm()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolInParameter_UiGenericAllowed()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolInParameter_UiHelpText()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolInParameter_UiMandatory()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolInParameter_UiMultiSelection()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolInParameter_UiTab()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolInParameter_UiToolTip()`
    `org.eclipse.emf.ecore.EClass` | `getRToolInParameter()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolOutParameter_ToOutputDialog()`
    `org.eclipse.emf.ecore.EClass` | `getRToolOutParameter()`
    `org.eclipse.emf.ecore.EReference` | `getRToolParameter_ComplexAttribute()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolParameter_Label()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolParameter_MassProcessing()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolParameter_SeqNo()`
    `org.eclipse.emf.ecore.EReference` | `getRToolParameter_TargetIDFile()`
    `org.eclipse.emf.ecore.EReference` | `getRToolParameter_TargetIDParm()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolParameter_Type()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolParameter_UiCategory()`
    `org.eclipse.emf.ecore.EAttribute` | `getRToolParameter_UiResizable()`
    `org.eclipse.emf.ecore.EClass` | `getRToolParameter()`
    `org.eclipse.emf.ecore.EReference` | `getRToolValidateAction_TargetID()`
    `org.eclipse.emf.ecore.EClass` | `getRToolValidateAction()`
    `org.eclipse.emf.ecore.EClass` | `getRVisibleCondition()`
    `org.eclipse.emf.ecore.EAttribute` | `getSelectionPropertyMapping_Keyword()`
    `org.eclipse.emf.ecore.EAttribute` | `getSelectionPropertyMapping_Mandatory()`
    `org.eclipse.emf.ecore.EReference` | `getSelectionPropertyMapping_TargetID()`
    `org.eclipse.emf.ecore.EAttribute` | `getSelectionPropertyMapping_ValueFrom()`
    `org.eclipse.emf.ecore.EClass` | `getSelectionPropertyMapping()`
    `org.eclipse.emf.ecore.EAttribute` | `getSpecificAttribute_Name()`
    `org.eclipse.emf.ecore.EAttribute` | `getSpecificAttribute_Value()`
    `org.eclipse.emf.ecore.EClass` | `getSpecificAttribute()`
    `org.eclipse.emf.ecore.EReference` | `getTAURUSConfiguration_ActionDescriptors()`
    `org.eclipse.emf.ecore.EReference` | `getTAURUSConfiguration_ApplicationOptions()`
    `org.eclipse.emf.ecore.EReference` | `getTAURUSConfiguration_ElementListStructures()`
    `org.eclipse.emf.ecore.EReference` | `getTAURUSConfiguration_ElementTypes()`
    `org.eclipse.emf.ecore.EReference` | `getTAURUSConfiguration_FileDescriptors()`
    `org.eclipse.emf.ecore.EReference` | `getTAURUSConfiguration_FilterTypes()`
    `org.eclipse.emf.ecore.EReference` | `getTAURUSConfiguration_FunctionPackages()`
    `org.eclipse.emf.ecore.EReference` | `getTAURUSConfiguration_GlobalActions()`
    `org.eclipse.emf.ecore.EReference` | `getTAURUSConfiguration_Icons()`
    `org.eclipse.emf.ecore.EReference` | `getTAURUSConfiguration_IDDefinitions()`
    `org.eclipse.emf.ecore.EReference` | `getTAURUSConfiguration_Properties()`
    `org.eclipse.emf.ecore.EReference` | `getTAURUSConfiguration_ToolDescriptors()`
    `org.eclipse.emf.ecore.EClass` | `getTAURUSConfiguration()`
    `TaurusFactory` | `getTaurusFactory()`
    `org.eclipse.emf.ecore.EReference` | `getToolDescriptor_AfterJobAction()`
    `org.eclipse.emf.ecore.EAttribute` | `getToolDescriptor_HelpText()`
    `org.eclipse.emf.ecore.EAttribute` | `getToolDescriptor_InParmSeparator()`
    `org.eclipse.emf.ecore.EReference` | `getToolDescriptor_InputParm()`
    `org.eclipse.emf.ecore.EAttribute` | `getToolDescriptor_IntegratedTool()`
    `org.eclipse.emf.ecore.EReference` | `getToolDescriptor_ISAISPFPanel()`
    `org.eclipse.emf.ecore.EReference` | `getToolDescriptor_ISAISPFPanelCommand()`
    `org.eclipse.emf.ecore.EReference` | `getToolDescriptor_ISAISPFTool()`
    `org.eclipse.emf.ecore.EReference` | `getToolDescriptor_ISAPlugIn()`
    `org.eclipse.emf.ecore.EAttribute` | `getToolDescriptor_OutParmSeparator()`
    `org.eclipse.emf.ecore.EReference` | `getToolDescriptor_OutputParm()`
    `org.eclipse.emf.ecore.EAttribute` | `getToolDescriptor_RefreshResource()`
    `org.eclipse.emf.ecore.EAttribute` | `getToolDescriptor_ResourceProcessing()`
    `org.eclipse.emf.ecore.EAttribute` | `getToolDescriptor_RunAsJob()`
    `org.eclipse.emf.ecore.EReference` | `getToolDescriptor_SpecificAttribute()`
    `org.eclipse.emf.ecore.EAttribute` | `getToolDescriptor_ToolType()`
    `org.eclipse.emf.ecore.EReference` | `getToolDescriptor_ValidateAction()`
    `org.eclipse.emf.ecore.EClass` | `getToolDescriptor()`
    `static TaurusPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
    `void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

      `basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

      `eContents, eCrossReferences, getName, getNameGen, setName`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

      `eURIFragmentSegment, getEAnnotation, getEAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getInitializeException

          public java.lang.Throwable getInitializeException()

      Description copied from interface: `TaurusPackage`
      If an exception occurred during initializing dynamic model contents, the exception can be obtained through this method. The occurred exception could not be logged before since it was created before the plug-in (and many other plug-ins) were initialized.
      Specified by:
        `getInitializeException` in interface `TaurusPackage`
      Returns:
        the initialize exception or `null` if no exception occurred

    - #### getModelExtensionObjects

          public java.util.Map<java.lang.String,ModelExtensionObject> getModelExtensionObjects()

      Description copied from interface: `TaurusPackage`
      Gets a map with all model extension objects with their full qualified ID as key.
      Specified by:
        `getModelExtensionObjects` in interface `TaurusPackage`
      Returns:
        the model extension objects

    - #### addMessageToConflictLog

          public static void addMessageToConflictLog(java.lang.StringBuilder pConfigLog,
                                                     java.lang.String pObjectTypeLabel,
                                                     ModelExtensionObject pObject1,
                                                     ModelExtensionObject pObject2)

      Adds an error message to the internal log (which is only a string builder).
      Parameters:
        `pConfigLog` - string builder containing all conflicts
        `pObjectTypeLabel` - the type of objects which are conflicting (e.g. "Function Package" or "Tool Type Attribute")
        `pObject1` - the first conflicting object
        `pObject2` - the second conflicting object

    - #### init

          public static TaurusPackage init()

      Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

      This method is used to initialize `TaurusPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

      Returns:
        the initialized `TaurusPackage`
      See Also:
        `TaurusPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

    - #### getActionDescriptor

          public org.eclipse.emf.ecore.EClass getActionDescriptor()

      Specified by:
        `getActionDescriptor` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Action Descriptor'.
      See Also:
        `ActionDescriptor`

    - #### getActionDescriptor_HasTool

          public org.eclipse.emf.ecore.EReference getActionDescriptor_HasTool()

      Specified by:
        `getActionDescriptor_HasTool` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Tool'.
      See Also:
        `ActionDescriptor.getHasTool()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_ExecutionMode

          public org.eclipse.emf.ecore.EAttribute getActionDescriptor_ExecutionMode()

      Specified by:
        `getActionDescriptor_ExecutionMode` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Execution Mode'.
      See Also:
        `ActionDescriptor.getExecutionMode()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_HasElementlist

          public org.eclipse.emf.ecore.EReference getActionDescriptor_HasElementlist()

      Specified by:
        `getActionDescriptor_HasElementlist` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Has Elementlist'.
      See Also:
        `ActionDescriptor.getHasElementlist()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_Icon

          public org.eclipse.emf.ecore.EReference getActionDescriptor_Icon()

      Specified by:
        `getActionDescriptor_Icon` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Icon'.
      See Also:
        `ActionDescriptor.getIcon()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_KeyBindingContext

          public org.eclipse.emf.ecore.EAttribute getActionDescriptor_KeyBindingContext()

      Specified by:
        `getActionDescriptor_KeyBindingContext` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Key Binding Context'.
      See Also:
        `ActionDescriptor.getKeyBindingContext()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_KeySequence

          public org.eclipse.emf.ecore.EAttribute getActionDescriptor_KeySequence()

      Specified by:
        `getActionDescriptor_KeySequence` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Key Sequence'.
      See Also:
        `ActionDescriptor.getKeySequence()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_Label

          public org.eclipse.emf.ecore.EAttribute getActionDescriptor_Label()

      Specified by:
        `getActionDescriptor_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `ActionDescriptor.getLabel()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_LinkElementList

          public org.eclipse.emf.ecore.EAttribute getActionDescriptor_LinkElementList()

      Specified by:
        `getActionDescriptor_LinkElementList` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Link Element List'.
      See Also:
        `ActionDescriptor.isLinkElementList()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_MassProcessing

          public org.eclipse.emf.ecore.EAttribute getActionDescriptor_MassProcessing()

      Specified by:
        `getActionDescriptor_MassProcessing` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Mass Processing'.
      See Also:
        `ActionDescriptor.isMassProcessing()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_RefreshList

          public org.eclipse.emf.ecore.EAttribute getActionDescriptor_RefreshList()

      Specified by:
        `getActionDescriptor_RefreshList` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Refresh List'.
      See Also:
        `ActionDescriptor.isRefreshList()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_RelatedCloseAction

          public org.eclipse.emf.ecore.EReference getActionDescriptor_RelatedCloseAction()

      Specified by:
        `getActionDescriptor_RelatedCloseAction` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Related Close Action'.
      See Also:
        `ActionDescriptor.getRelatedCloseAction()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_RelatedSaveAction

          public org.eclipse.emf.ecore.EReference getActionDescriptor_RelatedSaveAction()

      Specified by:
        `getActionDescriptor_RelatedSaveAction` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Related Save Action'.
      See Also:
        `ActionDescriptor.getRelatedSaveAction()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_TableViewID

          public org.eclipse.emf.ecore.EAttribute getActionDescriptor_TableViewID()

      Specified by:
        `getActionDescriptor_TableViewID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Table View ID'.
      See Also:
        `ActionDescriptor.getTableViewID()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_TableViewLabel

          public org.eclipse.emf.ecore.EAttribute getActionDescriptor_TableViewLabel()

      Specified by:
        `getActionDescriptor_TableViewLabel` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Table View Label'.
      See Also:
        `ActionDescriptor.getTableViewLabel()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_ShowProgressMonitor

          public org.eclipse.emf.ecore.EAttribute getActionDescriptor_ShowProgressMonitor()

      Specified by:
        `getActionDescriptor_ShowProgressMonitor` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Show Progress Monitor'.
      See Also:
        `ActionDescriptor.isShowProgressMonitor()`, `TaurusPackage.getActionDescriptor()`

    - #### getActionDescriptor_CustomErrorMessage

          public org.eclipse.emf.ecore.EAttribute getActionDescriptor_CustomErrorMessage()

      Specified by:
        `getActionDescriptor_CustomErrorMessage` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Custom Error Message'.
      See Also:
        `ActionDescriptor.getCustomErrorMessage()`, `TaurusPackage.getActionDescriptor()`

    - #### getApplicationOptions

          public org.eclipse.emf.ecore.EClass getApplicationOptions()

      Specified by:
        `getApplicationOptions` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Application Options'.
      See Also:
        `ApplicationOptions`

    - #### getApplicationOptions_GenericSymbols

          public org.eclipse.emf.ecore.EAttribute getApplicationOptions_GenericSymbols()

      Specified by:
        `getApplicationOptions_GenericSymbols` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute list 'Generic Symbols'.
      See Also:
        `ApplicationOptions.getGenericSymbols()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_CustomOption

          public org.eclipse.emf.ecore.EReference getApplicationOptions_CustomOption()

      Specified by:
        `getApplicationOptions_CustomOption` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Custom Option'.
      See Also:
        `ApplicationOptions.getCustomOption()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_ApplicationAction

          public org.eclipse.emf.ecore.EReference getApplicationOptions_ApplicationAction()

      Specified by:
        `getApplicationOptions_ApplicationAction` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Application Action'.
      See Also:
        `ApplicationOptions.getApplicationAction()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_ApplicationProperty

          public org.eclipse.emf.ecore.EReference getApplicationOptions_ApplicationProperty()

      Specified by:
        `getApplicationOptions_ApplicationProperty` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Application Property'.
      See Also:
        `ApplicationOptions.getApplicationProperty()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_DefaultGenericSymbol

          public org.eclipse.emf.ecore.EAttribute getApplicationOptions_DefaultGenericSymbol()

      Specified by:
        `getApplicationOptions_DefaultGenericSymbol` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Default Generic Symbol'.
      See Also:
        `ApplicationOptions.getDefaultGenericSymbol()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_EndReference

          public org.eclipse.emf.ecore.EAttribute getApplicationOptions_EndReference()

      Specified by:
        `getApplicationOptions_EndReference` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'End Reference'.
      See Also:
        `ApplicationOptions.getEndReference()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_EXITPARM

          public org.eclipse.emf.ecore.EAttribute getApplicationOptions_EXITPARM()

      Specified by:
        `getApplicationOptions_EXITPARM` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'EXITPARM'.
      See Also:
        `ApplicationOptions.getEXITPARM()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_MaxRC

          public org.eclipse.emf.ecore.EAttribute getApplicationOptions_MaxRC()

      Specified by:
        `getApplicationOptions_MaxRC` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Max RC'.
      See Also:
        `ApplicationOptions.getMaxRC()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_ModelID

          public org.eclipse.emf.ecore.EAttribute getApplicationOptions_ModelID()

      Specified by:
        `getApplicationOptions_ModelID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Model ID'.
      See Also:
        `ApplicationOptions.getModelID()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_RootContainersAction

          public org.eclipse.emf.ecore.EReference getApplicationOptions_RootContainersAction()

      Specified by:
        `getApplicationOptions_RootContainersAction` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Root Containers Action'.
      See Also:
        `ApplicationOptions.getRootContainersAction()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_StartReference

          public org.eclipse.emf.ecore.EAttribute getApplicationOptions_StartReference()

      Specified by:
        `getApplicationOptions_StartReference` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Start Reference'.
      See Also:
        `ApplicationOptions.getStartReference()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_Version

          public org.eclipse.emf.ecore.EAttribute getApplicationOptions_Version()

      Specified by:
        `getApplicationOptions_Version` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Version'.
      See Also:
        `ApplicationOptions.getVersion()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_LastEditClientVersion

          public org.eclipse.emf.ecore.EAttribute getApplicationOptions_LastEditClientVersion()

      Specified by:
        `getApplicationOptions_LastEditClientVersion` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Last Edit Client Version'.
      See Also:
        `ApplicationOptions.getLastEditClientVersion()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_IndependentAffectedResourceContexts

          public org.eclipse.emf.ecore.EAttribute getApplicationOptions_IndependentAffectedResourceContexts()

      Specified by:
        `getApplicationOptions_IndependentAffectedResourceContexts` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Independent Affected Resource Contexts'.
      See Also:
        `ApplicationOptions.isIndependentAffectedResourceContexts()`, `TaurusPackage.getApplicationOptions()`

    - #### getApplicationOptions_CacheElements

          public org.eclipse.emf.ecore.EAttribute getApplicationOptions_CacheElements()

      Specified by:
        `getApplicationOptions_CacheElements` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Cache Elements'.
      See Also:
        `ApplicationOptions.isCacheElements()`, `TaurusPackage.getApplicationOptions()`

    - #### getCActionDescriptors

          public org.eclipse.emf.ecore.EClass getCActionDescriptors()

      Specified by:
        `getCActionDescriptors` in interface `TaurusPackage`
      Returns:
        the meta object for class 'CAction Descriptors'.
      See Also:
        `CActionDescriptors`

    - #### getCActionDescriptors_ActionDescriptor

          public org.eclipse.emf.ecore.EReference getCActionDescriptors_ActionDescriptor()

      Specified by:
        `getCActionDescriptors_ActionDescriptor` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Action Descriptor'.
      See Also:
        `CActionDescriptors.getActionDescriptor()`, `TaurusPackage.getCActionDescriptors()`

    - #### getCElementListStructures

          public org.eclipse.emf.ecore.EClass getCElementListStructures()

      Specified by:
        `getCElementListStructures` in interface `TaurusPackage`
      Returns:
        the meta object for class 'CElement List Structures'.
      See Also:
        `CElementListStructures`

    - #### getCElementListStructures_ElementListStructure

          public org.eclipse.emf.ecore.EReference getCElementListStructures_ElementListStructure()

      Specified by:
        `getCElementListStructures_ElementListStructure` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Element List Structure'.
      See Also:
        `CElementListStructures.getElementListStructure()`, `TaurusPackage.getCElementListStructures()`

    - #### getCElementTypes

          public org.eclipse.emf.ecore.EClass getCElementTypes()

      Specified by:
        `getCElementTypes` in interface `TaurusPackage`
      Returns:
        the meta object for class 'CElement Types'.
      See Also:
        `CElementTypes`

    - #### getCElementTypes_ElementType

          public org.eclipse.emf.ecore.EReference getCElementTypes_ElementType()

      Specified by:
        `getCElementTypes_ElementType` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Element Type'.
      See Also:
        `CElementTypes.getElementType()`, `TaurusPackage.getCElementTypes()`

    - #### getCFileDescriptors

          public org.eclipse.emf.ecore.EClass getCFileDescriptors()

      Specified by:
        `getCFileDescriptors` in interface `TaurusPackage`
      Returns:
        the meta object for class 'CFile Descriptors'.
      See Also:
        `CFileDescriptors`

    - #### getCFileDescriptors_FileDescriptor

          public org.eclipse.emf.ecore.EReference getCFileDescriptors_FileDescriptor()

      Specified by:
        `getCFileDescriptors_FileDescriptor` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'File Descriptor'.
      See Also:
        `CFileDescriptors.getFileDescriptor()`, `TaurusPackage.getCFileDescriptors()`

    - #### getCFilterTypes

          public org.eclipse.emf.ecore.EClass getCFilterTypes()

      Specified by:
        `getCFilterTypes` in interface `TaurusPackage`
      Returns:
        the meta object for class 'CFilter Types'.
      See Also:
        `CFilterTypes`

    - #### getCFilterTypes_FilterType

          public org.eclipse.emf.ecore.EReference getCFilterTypes_FilterType()

      Specified by:
        `getCFilterTypes_FilterType` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Filter Type'.
      See Also:
        `CFilterTypes.getFilterType()`, `TaurusPackage.getCFilterTypes()`

    - #### getCFunctionPackages

          public org.eclipse.emf.ecore.EClass getCFunctionPackages()

      Specified by:
        `getCFunctionPackages` in interface `TaurusPackage`
      Returns:
        the meta object for class 'CFunction Packages'.
      See Also:
        `CFunctionPackages`

    - #### getCFunctionPackages_FunctionPackage

          public org.eclipse.emf.ecore.EReference getCFunctionPackages_FunctionPackage()

      Specified by:
        `getCFunctionPackages_FunctionPackage` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Function Package'.
      See Also:
        `CFunctionPackages.getFunctionPackage()`, `TaurusPackage.getCFunctionPackages()`

    - #### getCGlobalActions

          public org.eclipse.emf.ecore.EClass getCGlobalActions()

      Specified by:
        `getCGlobalActions` in interface `TaurusPackage`
      Returns:
        the meta object for class 'CGlobal Actions'.
      See Also:
        `CGlobalActions`

    - #### getCGlobalActions_GlobalAction

          public org.eclipse.emf.ecore.EReference getCGlobalActions_GlobalAction()

      Specified by:
        `getCGlobalActions_GlobalAction` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Global Action'.
      See Also:
        `CGlobalActions.getGlobalAction()`, `TaurusPackage.getCGlobalActions()`

    - #### getCIcons

          public org.eclipse.emf.ecore.EClass getCIcons()

      Specified by:
        `getCIcons` in interface `TaurusPackage`
      Returns:
        the meta object for class 'CIcons'.
      See Also:
        `CIcons`

    - #### getCIcons_Icon

          public org.eclipse.emf.ecore.EReference getCIcons_Icon()

      Specified by:
        `getCIcons_Icon` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Icon'.
      See Also:
        `CIcons.getIcon()`, `TaurusPackage.getCIcons()`

    - #### getCIDDefinitions

          public org.eclipse.emf.ecore.EClass getCIDDefinitions()

      Specified by:
        `getCIDDefinitions` in interface `TaurusPackage`
      Returns:
        the meta object for class 'CID Definitions'.
      See Also:
        `CIDDefinitions`

    - #### getCIDDefinitions_IDDefinition

          public org.eclipse.emf.ecore.EReference getCIDDefinitions_IDDefinition()

      Specified by:
        `getCIDDefinitions_IDDefinition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'ID Definition'.
      See Also:
        `CIDDefinitions.getIDDefinition()`, `TaurusPackage.getCIDDefinitions()`

    - #### getComplexAttribute

          public org.eclipse.emf.ecore.EClass getComplexAttribute()

      Specified by:
        `getComplexAttribute` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Complex Attribute'.
      See Also:
        `ComplexAttributeBase`

    - #### getComplexAttributeBase

          public org.eclipse.emf.ecore.EClass getComplexAttributeBase()

      Specified by:
        `getComplexAttributeBase` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Complex Attribute Base'.
      See Also:
        `ComplexAttributeBase`

    - #### getComplexAttributeBase_ComplexAttribute

          public org.eclipse.emf.ecore.EReference getComplexAttributeBase_ComplexAttribute()

      Specified by:
        `getComplexAttributeBase_ComplexAttribute` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Complex Attribute'.
      See Also:
        `ComplexAttributeBase.getComplexAttribute()`, `TaurusPackage.getComplexAttributeBase()`

    - #### getComplexAttributeBase_ID

          public org.eclipse.emf.ecore.EAttribute getComplexAttributeBase_ID()

      Specified by:
        `getComplexAttributeBase_ID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `ComplexAttributeBase.getID()`, `TaurusPackage.getComplexAttributeBase()`

    - #### getComplexAttributeBase_Label

          public org.eclipse.emf.ecore.EAttribute getComplexAttributeBase_Label()

      Specified by:
        `getComplexAttributeBase_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `ComplexAttributeBase.getLabel()`, `TaurusPackage.getComplexAttributeBase()`

    - #### getCProperties

          public org.eclipse.emf.ecore.EClass getCProperties()

      Specified by:
        `getCProperties` in interface `TaurusPackage`
      Returns:
        the meta object for class 'CProperties'.
      See Also:
        `CProperties`

    - #### getCProperties_Property

          public org.eclipse.emf.ecore.EReference getCProperties_Property()

      Specified by:
        `getCProperties_Property` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Property'.
      See Also:
        `CProperties.getProperty()`, `TaurusPackage.getCProperties()`

    - #### getCToolCategory

          public org.eclipse.emf.ecore.EClass getCToolCategory()

      Specified by:
        `getCToolCategory` in interface `TaurusPackage`
      Returns:
        the meta object for class 'CTool Category'.
      See Also:
        `CToolCategory`

    - #### getCToolCategory_ToolDescriptor

          public org.eclipse.emf.ecore.EReference getCToolCategory_ToolDescriptor()

      Specified by:
        `getCToolCategory_ToolDescriptor` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Tool Descriptor'.
      See Also:
        `CToolCategory.getToolDescriptor()`, `TaurusPackage.getCToolCategory()`

    - #### getCToolCategory_Name

          public org.eclipse.emf.ecore.EAttribute getCToolCategory_Name()

      Specified by:
        `getCToolCategory_Name` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `CToolCategory.getName()`, `TaurusPackage.getCToolCategory()`

    - #### getCToolDescriptors

          public org.eclipse.emf.ecore.EClass getCToolDescriptors()

      Specified by:
        `getCToolDescriptors` in interface `TaurusPackage`
      Returns:
        the meta object for class 'CTool Descriptors'.
      See Also:
        `CToolDescriptors`

    - #### getCToolDescriptors_ToolDescriptor

          public org.eclipse.emf.ecore.EReference getCToolDescriptors_ToolDescriptor()

      Specified by:
        `getCToolDescriptors_ToolDescriptor` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Tool Descriptor'.
      See Also:
        `CToolDescriptors.getToolDescriptor()`, `TaurusPackage.getCToolDescriptors()`

    - #### getCToolDescriptors_Category

          public org.eclipse.emf.ecore.EReference getCToolDescriptors_Category()

      Specified by:
        `getCToolDescriptors_Category` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Category'.
      See Also:
        `CToolDescriptors.getCategory()`, `TaurusPackage.getCToolDescriptors()`

    - #### getDocumentRoot

          public org.eclipse.emf.ecore.EClass getDocumentRoot()

      Specified by:
        `getDocumentRoot` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Document Root'.
      See Also:
        `DocumentRoot`

    - #### getDocumentRoot_Mixed

          public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

      Specified by:
        `getDocumentRoot_Mixed` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute list 'Mixed'.
      See Also:
        `DocumentRoot.getMixed()`, `TaurusPackage.getDocumentRoot()`

    - #### getDocumentRoot_XMLNSPrefixMap

          public org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

      Specified by:
        `getDocumentRoot_XMLNSPrefixMap` in interface `TaurusPackage`
      Returns:
        the meta object for the map 'XMLNS Prefix Map'.
      See Also:
        `DocumentRoot.getXMLNSPrefixMap()`, `TaurusPackage.getDocumentRoot()`

    - #### getDocumentRoot_XSISchemaLocation

          public org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

      Specified by:
        `getDocumentRoot_XSISchemaLocation` in interface `TaurusPackage`
      Returns:
        the meta object for the map 'XSI Schema Location'.
      See Also:
        `DocumentRoot.getXSISchemaLocation()`, `TaurusPackage.getDocumentRoot()`

    - #### getDocumentRoot_TaurusConfiguration

          public org.eclipse.emf.ecore.EReference getDocumentRoot_TaurusConfiguration()

      Specified by:
        `getDocumentRoot_TaurusConfiguration` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Taurus Configuration'.
      See Also:
        `DocumentRoot.getTaurusConfiguration()`, `TaurusPackage.getDocumentRoot()`

    - #### getDocumentRoot_ID

          public org.eclipse.emf.ecore.EAttribute getDocumentRoot_ID()

      Specified by:
        `getDocumentRoot_ID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `DocumentRoot.getID()`, `TaurusPackage.getDocumentRoot()`

    - #### getDocumentRoot_Label

          public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Label()

      Specified by:
        `getDocumentRoot_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `DocumentRoot.getLabel()`, `TaurusPackage.getDocumentRoot()`

    - #### getDocumentRoot_Name

          public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Name()

      Specified by:
        `getDocumentRoot_Name` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `DocumentRoot.getName()`, `TaurusPackage.getDocumentRoot()`

    - #### getDocumentRoot_NCName

          public org.eclipse.emf.ecore.EAttribute getDocumentRoot_NCName()

      Specified by:
        `getDocumentRoot_NCName` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'NC Name'.
      See Also:
        `DocumentRoot.getNCName()`, `TaurusPackage.getDocumentRoot()`

    - #### getDocumentRoot_SeqNo

          public org.eclipse.emf.ecore.EAttribute getDocumentRoot_SeqNo()

      Specified by:
        `getDocumentRoot_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `DocumentRoot.getSeqNo()`, `TaurusPackage.getDocumentRoot()`

    - #### getDocumentRoot_SortBy

          public org.eclipse.emf.ecore.EAttribute getDocumentRoot_SortBy()

      Specified by:
        `getDocumentRoot_SortBy` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Sort By'.
      See Also:
        `DocumentRoot.getSortBy()`, `TaurusPackage.getDocumentRoot()`

    - #### getDocumentRoot_TableViewID

          public org.eclipse.emf.ecore.EAttribute getDocumentRoot_TableViewID()

      Specified by:
        `getDocumentRoot_TableViewID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Table View ID'.
      See Also:
        `DocumentRoot.getTableViewID()`, `TaurusPackage.getDocumentRoot()`

    - #### getDocumentRoot_TableViewLabel

          public org.eclipse.emf.ecore.EAttribute getDocumentRoot_TableViewLabel()

      Specified by:
        `getDocumentRoot_TableViewLabel` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Table View Label'.
      See Also:
        `DocumentRoot.getTableViewLabel()`, `TaurusPackage.getDocumentRoot()`

    - #### getDocumentRoot_Type

          public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Type()

      Specified by:
        `getDocumentRoot_Type` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `DocumentRoot.getType()`, `TaurusPackage.getDocumentRoot()`

    - #### getDynamicObject

          public org.eclipse.emf.ecore.EClass getDynamicObject()

      Specified by:
        `getDynamicObject` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Dynamic Object'.
      See Also:
        `DynamicObject`

    - #### getDynamicModelExtensionObject

          public org.eclipse.emf.ecore.EClass getDynamicModelExtensionObject()

      Specified by:
        `getDynamicModelExtensionObject` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Dynamic Model Extension Object'.
      See Also:
        `EObject`

    - #### getElementListStructure

          public org.eclipse.emf.ecore.EClass getElementListStructure()

      Specified by:
        `getElementListStructure` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Element List Structure'.
      See Also:
        `ElementListStructure`

    - #### getElementListStructure_HasColumnProperty

          public org.eclipse.emf.ecore.EReference getElementListStructure_HasColumnProperty()

      Specified by:
        `getElementListStructure_HasColumnProperty` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Column Property'.
      See Also:
        `ElementListStructure.getHasColumnProperty()`, `TaurusPackage.getElementListStructure()`

    - #### getElementListStructure_HasListProperty

          public org.eclipse.emf.ecore.EReference getElementListStructure_HasListProperty()

      Specified by:
        `getElementListStructure_HasListProperty` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has List Property'.
      See Also:
        `ElementListStructure.getHasListProperty()`, `TaurusPackage.getElementListStructure()`

    - #### getElementListStructure_HasAction

          public org.eclipse.emf.ecore.EReference getElementListStructure_HasAction()

      Specified by:
        `getElementListStructure_HasAction` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Action'.
      See Also:
        `ElementListStructure.getHasAction()`, `TaurusPackage.getElementListStructure()`

    - #### getElementListStructure_Label

          public org.eclipse.emf.ecore.EAttribute getElementListStructure_Label()

      Specified by:
        `getElementListStructure_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `ElementListStructure.getLabel()`, `TaurusPackage.getElementListStructure()`

    - #### getElementListStructure_TableViewID

          public org.eclipse.emf.ecore.EAttribute getElementListStructure_TableViewID()

      Specified by:
        `getElementListStructure_TableViewID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Table View ID'.
      See Also:
        `ElementListStructure.getTableViewID()`, `TaurusPackage.getElementListStructure()`

    - #### getElementListStructure_TableViewLabel

          public org.eclipse.emf.ecore.EAttribute getElementListStructure_TableViewLabel()

      Specified by:
        `getElementListStructure_TableViewLabel` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Table View Label'.
      See Also:
        `ElementListStructure.getTableViewLabel()`, `TaurusPackage.getElementListStructure()`

    - #### getElementType

          public org.eclipse.emf.ecore.EClass getElementType()

      Specified by:
        `getElementType` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Element Type'.
      See Also:
        `ElementType`

    - #### getElementType_HasAction

          public org.eclipse.emf.ecore.EReference getElementType_HasAction()

      Specified by:
        `getElementType_HasAction` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Action'.
      See Also:
        `ElementType.getHasAction()`, `TaurusPackage.getElementType()`

    - #### getElementType_HasProperty

          public org.eclipse.emf.ecore.EReference getElementType_HasProperty()

      Specified by:
        `getElementType_HasProperty` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Property'.
      See Also:
        `ElementType.getHasProperty()`, `TaurusPackage.getElementType()`

    - #### getElementType_HasFilter

          public org.eclipse.emf.ecore.EReference getElementType_HasFilter()

      Specified by:
        `getElementType_HasFilter` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Filter'.
      See Also:
        `ElementType.getHasFilter()`, `TaurusPackage.getElementType()`

    - #### getElementType_HasTextDecoration

          public org.eclipse.emf.ecore.EReference getElementType_HasTextDecoration()

      Specified by:
        `getElementType_HasTextDecoration` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Text Decoration'.
      See Also:
        `ElementType.getHasTextDecoration()`, `TaurusPackage.getElementType()`

    - #### getElementType_HasGetChildrenAction

          public org.eclipse.emf.ecore.EReference getElementType_HasGetChildrenAction()

      Specified by:
        `getElementType_HasGetChildrenAction` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Has Get Children Action'.
      See Also:
        `ElementType.getHasGetChildrenAction()`, `TaurusPackage.getElementType()`

    - #### getElementType_HasGetPropertiesAction

          public org.eclipse.emf.ecore.EReference getElementType_HasGetPropertiesAction()

      Specified by:
        `getElementType_HasGetPropertiesAction` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Has Get Properties Action'.
      See Also:
        `ElementType.getHasGetPropertiesAction()`, `TaurusPackage.getElementType()`

    - #### getElementType_Icon

          public org.eclipse.emf.ecore.EReference getElementType_Icon()

      Specified by:
        `getElementType_Icon` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Icon'.
      See Also:
        `ElementType.getIcon()`, `TaurusPackage.getElementType()`

    - #### getElementType_IDDefinition

          public org.eclipse.emf.ecore.EReference getElementType_IDDefinition()

      Specified by:
        `getElementType_IDDefinition` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'ID Definition'.
      See Also:
        `ElementType.getIDDefinition()`, `TaurusPackage.getElementType()`

    - #### getElementType_Matchname

          public org.eclipse.emf.ecore.EAttribute getElementType_Matchname()

      Specified by:
        `getElementType_Matchname` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Matchname'.
      See Also:
        `ElementType.getMatchname()`, `TaurusPackage.getElementType()`

    - #### getErrorView

          public org.eclipse.emf.ecore.EClass getErrorView()

      Specified by:
        `getErrorView` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Error View'.
      See Also:
        `ErrorView`

    - #### getErrorView_HasAction

          public org.eclipse.emf.ecore.EReference getErrorView_HasAction()

      Specified by:
        `getErrorView_HasAction` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Action'.
      See Also:
        `ErrorView.getHasAction()`, `TaurusPackage.getErrorView()`

    - #### getFileDescriptor

          public org.eclipse.emf.ecore.EClass getFileDescriptor()

      Specified by:
        `getFileDescriptor` in interface `TaurusPackage`
      Returns:
        the meta object for class 'File Descriptor'.
      See Also:
        `FileDescriptor`

    - #### getFileDescriptor_HasProperty

          public org.eclipse.emf.ecore.EReference getFileDescriptor_HasProperty()

      Specified by:
        `getFileDescriptor_HasProperty` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Property'.
      See Also:
        `FileDescriptor.getHasProperty()`, `TaurusPackage.getFileDescriptor()`

    - #### getFileDescriptor_HasAction

          public org.eclipse.emf.ecore.EReference getFileDescriptor_HasAction()

      Specified by:
        `getFileDescriptor_HasAction` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Action'.
      See Also:
        `FileDescriptor.getHasAction()`, `TaurusPackage.getFileDescriptor()`

    - #### getFileDescriptor_HasFileAttribute

          public org.eclipse.emf.ecore.EReference getFileDescriptor_HasFileAttribute()

      Specified by:
        `getFileDescriptor_HasFileAttribute` in interface `TaurusPackage`
      Returns:
        the meta object for the reference list 'Has File Attribute'.
      See Also:
        `FileDescriptor.getHasFileAttribute()`, `TaurusPackage.getFileDescriptor()`

    - #### getFileDescriptor_HasFileElement

          public org.eclipse.emf.ecore.EReference getFileDescriptor_HasFileElement()

      Specified by:
        `getFileDescriptor_HasFileElement` in interface `TaurusPackage`
      Returns:
        the meta object for the reference list 'Has File Element'.
      See Also:
        `FileDescriptor.getHasFileElement()`, `TaurusPackage.getFileDescriptor()`

    - #### getFileDescriptor_NamePhysical

          public org.eclipse.emf.ecore.EAttribute getFileDescriptor_NamePhysical()

      Specified by:
        `getFileDescriptor_NamePhysical` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Name Physical'.
      See Also:
        `FileDescriptor.getNamePhysical()`, `TaurusPackage.getFileDescriptor()`

    - #### getFileDescriptor_PropDelimiter

          public org.eclipse.emf.ecore.EAttribute getFileDescriptor_PropDelimiter()

      Specified by:
        `getFileDescriptor_PropDelimiter` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Prop Delimiter'.
      See Also:
        `FileDescriptor.getPropDelimiter()`, `TaurusPackage.getFileDescriptor()`

    - #### getFileDescriptor_Structure

          public org.eclipse.emf.ecore.EAttribute getFileDescriptor_Structure()

      Specified by:
        `getFileDescriptor_Structure` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Structure'.
      See Also:
        `FileDescriptor.getStructure()`, `TaurusPackage.getFileDescriptor()`

    - #### getFileDescriptor_Type

          public org.eclipse.emf.ecore.EAttribute getFileDescriptor_Type()

      Specified by:
        `getFileDescriptor_Type` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `FileDescriptor.getType()`, `TaurusPackage.getFileDescriptor()`

    - #### getFilterType

          public org.eclipse.emf.ecore.EClass getFilterType()

      Specified by:
        `getFilterType` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Filter Type'.
      See Also:
        `FilterType`

    - #### getFilterType_HasFiltercriterion

          public org.eclipse.emf.ecore.EReference getFilterType_HasFiltercriterion()

      Specified by:
        `getFilterType_HasFiltercriterion` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Filtercriterion'.
      See Also:
        `FilterType.getHasFiltercriterion()`, `TaurusPackage.getFilterType()`

    - #### getFilterType_HasAction

          public org.eclipse.emf.ecore.EReference getFilterType_HasAction()

      Specified by:
        `getFilterType_HasAction` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Action'.
      See Also:
        `FilterType.getHasAction()`, `TaurusPackage.getFilterType()`

    - #### getFilterType_Label

          public org.eclipse.emf.ecore.EAttribute getFilterType_Label()

      Specified by:
        `getFilterType_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `FilterType.getLabel()`, `TaurusPackage.getFilterType()`

    - #### getFunctionPackage

          public org.eclipse.emf.ecore.EClass getFunctionPackage()

      Specified by:
        `getFunctionPackage` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Function Package'.
      See Also:
        `FunctionPackage`

    - #### getFunctionPackage_Label

          public org.eclipse.emf.ecore.EAttribute getFunctionPackage_Label()

      Specified by:
        `getFunctionPackage_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `FunctionPackage.getLabel()`, `TaurusPackage.getFunctionPackage()`

    - #### getFunctionPackage_ComplexAttribute

          public org.eclipse.emf.ecore.EReference getFunctionPackage_ComplexAttribute()

      Specified by:
        `getFunctionPackage_ComplexAttribute` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Complex Attribute'.
      See Also:
        `FunctionPackage.getComplexAttribute()`, `TaurusPackage.getFunctionPackage()`

    - #### getFunctionPackageIcon

          public org.eclipse.emf.ecore.EClass getFunctionPackageIcon()

      Specified by:
        `getFunctionPackageIcon` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Function Package Icon'.
      See Also:
        `FunctionPackageIcon`

    - #### getFunctionPackageIcon_FunctionPackageIconID

          public org.eclipse.emf.ecore.EAttribute getFunctionPackageIcon_FunctionPackageIconID()

      Specified by:
        `getFunctionPackageIcon_FunctionPackageIconID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Function Package Icon ID'.
      See Also:
        `FunctionPackageIcon.getFunctionPackageIconID()`, `TaurusPackage.getFunctionPackageIcon()`

    - #### getFunctionPackageIcon_IconName

          public org.eclipse.emf.ecore.EAttribute getFunctionPackageIcon_IconName()

      Specified by:
        `getFunctionPackageIcon_IconName` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Icon Name'.
      See Also:
        `FunctionPackageIcon.getIconName()`, `TaurusPackage.getFunctionPackageIcon()`

    - #### getGenericSymbols

          public org.eclipse.emf.ecore.EClass getGenericSymbols()

      Specified by:
        `getGenericSymbols` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Generic Symbols'.
      See Also:
        `GenericSymbols`

    - #### getGenericSymbols_DefaultSymbol

          public org.eclipse.emf.ecore.EAttribute getGenericSymbols_DefaultSymbol()

      Specified by:
        `getGenericSymbols_DefaultSymbol` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Default Symbol'.
      See Also:
        `GenericSymbols.getDefaultSymbol()`, `TaurusPackage.getGenericSymbols()`

    - #### getGenericSymbols_GenericSymbols

          public org.eclipse.emf.ecore.EAttribute getGenericSymbols_GenericSymbols()

      Specified by:
        `getGenericSymbols_GenericSymbols` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Generic Symbols'.
      See Also:
        `GenericSymbols.getGenericSymbols()`, `TaurusPackage.getGenericSymbols()`

    - #### getGlobalAction

          public org.eclipse.emf.ecore.EClass getGlobalAction()

      Specified by:
        `getGlobalAction` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Global Action'.
      See Also:
        `GlobalAction`

    - #### getGlobalAction_ActionEnabledCondition

          public org.eclipse.emf.ecore.EReference getGlobalAction_ActionEnabledCondition()

      Specified by:
        `getGlobalAction_ActionEnabledCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Action Enabled Condition'.
      See Also:
        `GlobalAction.getActionEnabledCondition()`, `TaurusPackage.getGlobalAction()`

    - #### getGlobalAction_ActionVisibleCondition

          public org.eclipse.emf.ecore.EReference getGlobalAction_ActionVisibleCondition()

      Specified by:
        `getGlobalAction_ActionVisibleCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Action Visible Condition'.
      See Also:
        `GlobalAction.getActionVisibleCondition()`, `TaurusPackage.getGlobalAction()`

    - #### getGlobalAction_ISAEditorAction

          public org.eclipse.emf.ecore.EReference getGlobalAction_ISAEditorAction()

      Specified by:
        `getGlobalAction_ISAEditorAction` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'ISA Editor Action'.
      See Also:
        `GlobalAction.getISAEditorAction()`, `TaurusPackage.getGlobalAction()`

    - #### getGlobalAction_ISAWorkbenchAction

          public org.eclipse.emf.ecore.EReference getGlobalAction_ISAWorkbenchAction()

      Specified by:
        `getGlobalAction_ISAWorkbenchAction` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'ISA Workbench Action'.
      See Also:
        `GlobalAction.getISAWorkbenchAction()`, `TaurusPackage.getGlobalAction()`

    - #### getGlobalAction_Icon

          public org.eclipse.emf.ecore.EReference getGlobalAction_Icon()

      Specified by:
        `getGlobalAction_Icon` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Icon'.
      See Also:
        `GlobalAction.getIcon()`, `TaurusPackage.getGlobalAction()`

    - #### getGlobalAction_Label

          public org.eclipse.emf.ecore.EAttribute getGlobalAction_Label()

      Specified by:
        `getGlobalAction_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `GlobalAction.getLabel()`, `TaurusPackage.getGlobalAction()`

    - #### getGlobalAction_SeqNo

          public org.eclipse.emf.ecore.EAttribute getGlobalAction_SeqNo()

      Specified by:
        `getGlobalAction_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `GlobalAction.getSeqNo()`, `TaurusPackage.getGlobalAction()`

    - #### getGlobalAction_Submenu

          public org.eclipse.emf.ecore.EAttribute getGlobalAction_Submenu()

      Specified by:
        `getGlobalAction_Submenu` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Submenu'.
      See Also:
        `GlobalAction.getSubmenu()`, `TaurusPackage.getGlobalAction()`

    - #### getGlobalAction_TargetID

          public org.eclipse.emf.ecore.EReference getGlobalAction_TargetID()

      Specified by:
        `getGlobalAction_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `GlobalAction.getTargetID()`, `TaurusPackage.getGlobalAction()`

    - #### getGlobalAction_SeparatorAfter

          public org.eclipse.emf.ecore.EAttribute getGlobalAction_SeparatorAfter()

      Specified by:
        `getGlobalAction_SeparatorAfter` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Separator After'.
      See Also:
        `GlobalAction.isSeparatorAfter()`, `TaurusPackage.getGlobalAction()`

    - #### getIcon

          public org.eclipse.emf.ecore.EClass getIcon()

      Specified by:
        `getIcon` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Icon'.
      See Also:
        `Icon`

    - #### getIDDefinition

          public org.eclipse.emf.ecore.EClass getIDDefinition()

      Specified by:
        `getIDDefinition` in interface `TaurusPackage`
      Returns:
        the meta object for class 'ID Definition'.
      See Also:
        `IDDefinition`

    - #### getIDDefinition_KeyProperty

          public org.eclipse.emf.ecore.EReference getIDDefinition_KeyProperty()

      Specified by:
        `getIDDefinition_KeyProperty` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Key Property'.
      See Also:
        `IDDefinition.getKeyProperty()`, `TaurusPackage.getIDDefinition()`

    - #### getISAEditorAction

          public org.eclipse.emf.ecore.EClass getISAEditorAction()

      Specified by:
        `getISAEditorAction` in interface `TaurusPackage`
      Returns:
        the meta object for class 'ISA Editor Action'.
      See Also:
        `ISAEditorAction`

    - #### getISAEditorAction_PropertyMapping

          public org.eclipse.emf.ecore.EReference getISAEditorAction_PropertyMapping()

      Specified by:
        `getISAEditorAction_PropertyMapping` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Property Mapping'.
      See Also:
        `ISAEditorAction.getPropertyMapping()`, `TaurusPackage.getISAEditorAction()`

    - #### getISAEditorAction_EditorSuffixes

          public org.eclipse.emf.ecore.EAttribute getISAEditorAction_EditorSuffixes()

      Specified by:
        `getISAEditorAction_EditorSuffixes` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Editor Suffixes'.
      See Also:
        `ISAEditorAction.getEditorSuffixes()`, `TaurusPackage.getISAEditorAction()`

    - #### getISAEditorAction_UpdateEditContext

          public org.eclipse.emf.ecore.EAttribute getISAEditorAction_UpdateEditContext()

      Specified by:
        `getISAEditorAction_UpdateEditContext` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Update Edit Context'.
      See Also:
        `ISAEditorAction.isUpdateEditContext()`, `TaurusPackage.getISAEditorAction()`

    - #### getISAEditorAction_ModelledEditSessionsOnly

          public org.eclipse.emf.ecore.EAttribute getISAEditorAction_ModelledEditSessionsOnly()

      Specified by:
        `getISAEditorAction_ModelledEditSessionsOnly` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Modelled Edit Sessions Only'.
      See Also:
        `ISAEditorAction.isModelledEditSessionsOnly()`, `TaurusPackage.getISAEditorAction()`

    - #### getISAISPFPanel

          public org.eclipse.emf.ecore.EClass getISAISPFPanel()

      Specified by:
        `getISAISPFPanel` in interface `TaurusPackage`
      Returns:
        the meta object for class 'ISAISPF Panel'.
      See Also:
        `ISAISPFPanel`

    - #### getISAISPFPanel_HasAction

          public org.eclipse.emf.ecore.EReference getISAISPFPanel_HasAction()

      Specified by:
        `getISAISPFPanel_HasAction` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Action'.
      See Also:
        `ISAISPFPanel.getHasAction()`, `TaurusPackage.getISAISPFPanel()`

    - #### getISAISPFPanel_HasPanelField

          public org.eclipse.emf.ecore.EReference getISAISPFPanel_HasPanelField()

      Specified by:
        `getISAISPFPanel_HasPanelField` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Panel Field'.
      See Also:
        `ISAISPFPanel.getHasPanelField()`, `TaurusPackage.getISAISPFPanel()`

    - #### getISAISPFPanel_PanelName

          public org.eclipse.emf.ecore.EAttribute getISAISPFPanel_PanelName()

      Specified by:
        `getISAISPFPanel_PanelName` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Panel Name'.
      See Also:
        `ISAISPFPanel.getPanelName()`, `TaurusPackage.getISAISPFPanel()`

    - #### getISAISPFPanel_ProgramID

          public org.eclipse.emf.ecore.EAttribute getISAISPFPanel_ProgramID()

      Specified by:
        `getISAISPFPanel_ProgramID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Program ID'.
      See Also:
        `ISAISPFPanel.getProgramID()`, `TaurusPackage.getISAISPFPanel()`

    - #### getISAISPFTool

          public org.eclipse.emf.ecore.EClass getISAISPFTool()

      Specified by:
        `getISAISPFTool` in interface `TaurusPackage`
      Returns:
        the meta object for class 'ISAISPF Tool'.
      See Also:
        `ISAISPFTool`

    - #### getISAISPFTool_HasPanel

          public org.eclipse.emf.ecore.EReference getISAISPFTool_HasPanel()

      Specified by:
        `getISAISPFTool_HasPanel` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Panel'.
      See Also:
        `ISAISPFTool.getHasPanel()`, `TaurusPackage.getISAISPFTool()`

    - #### getISAISPFTool_InParmSeparator

          public org.eclipse.emf.ecore.EAttribute getISAISPFTool_InParmSeparator()

      Specified by:
        `getISAISPFTool_InParmSeparator` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'In Parm Separator'.
      See Also:
        `ISAISPFTool.getInParmSeparator()`, `TaurusPackage.getISAISPFTool()`

    - #### getISAISPFTool_InvokeForm

          public org.eclipse.emf.ecore.EAttribute getISAISPFTool_InvokeForm()

      Specified by:
        `getISAISPFTool_InvokeForm` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Invoke Form'.
      See Also:
        `ISAISPFTool.getInvokeForm()`, `TaurusPackage.getISAISPFTool()`

    - #### getISAISPFTool_OutParmSeparator

          public org.eclipse.emf.ecore.EAttribute getISAISPFTool_OutParmSeparator()

      Specified by:
        `getISAISPFTool_OutParmSeparator` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Out Parm Separator'.
      See Also:
        `ISAISPFTool.getOutParmSeparator()`, `TaurusPackage.getISAISPFTool()`

    - #### getISAISPFTool_ProgramID

          public org.eclipse.emf.ecore.EAttribute getISAISPFTool_ProgramID()

      Specified by:
        `getISAISPFTool_ProgramID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Program ID'.
      See Also:
        `ISAISPFTool.getProgramID()`, `TaurusPackage.getISAISPFTool()`

    - #### getISAPanelCommand

          public org.eclipse.emf.ecore.EClass getISAPanelCommand()

      Specified by:
        `getISAPanelCommand` in interface `TaurusPackage`
      Returns:
        the meta object for class 'ISA Panel Command'.
      See Also:
        `ISAPanelCommand`

    - #### getISAPanelCommand_CommandName

          public org.eclipse.emf.ecore.EAttribute getISAPanelCommand_CommandName()

      Specified by:
        `getISAPanelCommand_CommandName` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Command Name'.
      See Also:
        `ISAPanelCommand.getCommandName()`, `TaurusPackage.getISAPanelCommand()`

    - #### getISAPanelCommand_CommandVariable

          public org.eclipse.emf.ecore.EReference getISAPanelCommand_CommandVariable()

      Specified by:
        `getISAPanelCommand_CommandVariable` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Command Variable'.
      See Also:
        `ISAPanelCommand.getCommandVariable()`, `TaurusPackage.getISAPanelCommand()`

    - #### getISAPlugIn

          public org.eclipse.emf.ecore.EClass getISAPlugIn()

      Specified by:
        `getISAPlugIn` in interface `TaurusPackage`
      Returns:
        the meta object for class 'ISA Plug In'.
      See Also:
        `ISAPlugIn`

    - #### getISAPlugIn_Description

          public org.eclipse.emf.ecore.EAttribute getISAPlugIn_Description()

      Specified by:
        `getISAPlugIn_Description` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Description'.
      See Also:
        `ISAPlugIn.getDescription()`, `TaurusPackage.getISAPlugIn()`

    - #### getISAPlugIn_PlugInID

          public org.eclipse.emf.ecore.EAttribute getISAPlugIn_PlugInID()

      Specified by:
        `getISAPlugIn_PlugInID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Plug In ID'.
      See Also:
        `ISAPlugIn.getPlugInID()`, `TaurusPackage.getISAPlugIn()`

    - #### getISAPlugIn_Title

          public org.eclipse.emf.ecore.EAttribute getISAPlugIn_Title()

      Specified by:
        `getISAPlugIn_Title` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Title'.
      See Also:
        `ISAPlugIn.getTitle()`, `TaurusPackage.getISAPlugIn()`

    - #### getISAWorkbenchAction

          public org.eclipse.emf.ecore.EClass getISAWorkbenchAction()

      Specified by:
        `getISAWorkbenchAction` in interface `TaurusPackage`
      Returns:
        the meta object for class 'ISA Workbench Action'.
      See Also:
        `ISAWorkbenchAction`

    - #### getISAWorkbenchAction_ToolTip

          public org.eclipse.emf.ecore.EAttribute getISAWorkbenchAction_ToolTip()

      Specified by:
        `getISAWorkbenchAction_ToolTip` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Tool Tip'.
      See Also:
        `ISAWorkbenchAction.getToolTip()`, `TaurusPackage.getISAWorkbenchAction()`

    - #### getISAWorkbenchAction_Type

          public org.eclipse.emf.ecore.EAttribute getISAWorkbenchAction_Type()

      Specified by:
        `getISAWorkbenchAction_Type` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `ISAWorkbenchAction.getType()`, `TaurusPackage.getISAWorkbenchAction()`

    - #### getLinkedElementType

          public org.eclipse.emf.ecore.EClass getLinkedElementType()

      Specified by:
        `getLinkedElementType` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Linked Element Type'.
      See Also:
        `LinkedElementType`

    - #### getLinkedElementType_LinkedElementTypeID

          public org.eclipse.emf.ecore.EAttribute getLinkedElementType_LinkedElementTypeID()

      Specified by:
        `getLinkedElementType_LinkedElementTypeID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Linked Element Type ID'.
      See Also:
        `LinkedElementType.getLinkedElementTypeID()`, `TaurusPackage.getLinkedElementType()`

    - #### getLinkedElementType_LinkedElementTypeLabel

          public org.eclipse.emf.ecore.EAttribute getLinkedElementType_LinkedElementTypeLabel()

      Specified by:
        `getLinkedElementType_LinkedElementTypeLabel` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Linked Element Type Label'.
      See Also:
        `LinkedElementType.getLinkedElementTypeLabel()`, `TaurusPackage.getLinkedElementType()`

    - #### getLinkedProperty

          public org.eclipse.emf.ecore.EClass getLinkedProperty()

      Specified by:
        `getLinkedProperty` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Linked Property'.
      See Also:
        `LinkedProperty`

    - #### getLinkedProperty_LinkedPropertyCategory

          public org.eclipse.emf.ecore.EAttribute getLinkedProperty_LinkedPropertyCategory()

      Specified by:
        `getLinkedProperty_LinkedPropertyCategory` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Linked Property Category'.
      See Also:
        `LinkedProperty.getLinkedPropertyCategory()`, `TaurusPackage.getLinkedProperty()`

    - #### getLinkedProperty_LinkedPropertyID

          public org.eclipse.emf.ecore.EAttribute getLinkedProperty_LinkedPropertyID()

      Specified by:
        `getLinkedProperty_LinkedPropertyID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Linked Property ID'.
      See Also:
        `LinkedProperty.getLinkedPropertyID()`, `TaurusPackage.getLinkedProperty()`

    - #### getLinkedProperty_LinkedPropertyLabel

          public org.eclipse.emf.ecore.EAttribute getLinkedProperty_LinkedPropertyLabel()

      Specified by:
        `getLinkedProperty_LinkedPropertyLabel` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Linked Property Label'.
      See Also:
        `LinkedProperty.getLinkedPropertyLabel()`, `TaurusPackage.getLinkedProperty()`

    - #### getLinkedProperty_RequiresResourceIdentifier

          public org.eclipse.emf.ecore.EAttribute getLinkedProperty_RequiresResourceIdentifier()

      Specified by:
        `getLinkedProperty_RequiresResourceIdentifier` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Requires Resource Identifier'.
      See Also:
        `LinkedProperty.isRequiresResourceIdentifier()`, `TaurusPackage.getLinkedProperty()`

    - #### getLinkedProperty_ResourceIdentifier

          public org.eclipse.emf.ecore.EReference getLinkedProperty_ResourceIdentifier()

      Specified by:
        `getLinkedProperty_ResourceIdentifier` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Resource Identifier'.
      See Also:
        `LinkedProperty.getResourceIdentifier()`, `TaurusPackage.getLinkedProperty()`

    - #### getPredefinedIcon

          public org.eclipse.emf.ecore.EClass getPredefinedIcon()

      Specified by:
        `getPredefinedIcon` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Predefined Icon'.
      See Also:
        `PredefinedIcon`

    - #### getPredefinedIcon_Predefined

          public org.eclipse.emf.ecore.EAttribute getPredefinedIcon_Predefined()

      Specified by:
        `getPredefinedIcon_Predefined` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Predefined'.
      See Also:
        `PredefinedIcon.getPredefined()`, `TaurusPackage.getPredefinedIcon()`

    - #### getProperty

          public org.eclipse.emf.ecore.EClass getProperty()

      Specified by:
        `getProperty` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Property'.
      See Also:
        `Property`

    - #### getProperty_DefaultValue

          public org.eclipse.emf.ecore.EAttribute getProperty_DefaultValue()

      Specified by:
        `getProperty_DefaultValue` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Default Value'.
      See Also:
        `Property.getDefaultValue()`, `TaurusPackage.getProperty()`

    - #### getProperty_FalseValue

          public org.eclipse.emf.ecore.EAttribute getProperty_FalseValue()

      Specified by:
        `getProperty_FalseValue` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'False Value'.
      See Also:
        `Property.getFalseValue()`, `TaurusPackage.getProperty()`

    - #### getProperty_Label

          public org.eclipse.emf.ecore.EAttribute getProperty_Label()

      Specified by:
        `getProperty_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `Property.getLabel()`, `TaurusPackage.getProperty()`

    - #### getProperty_LabelKeys

          public org.eclipse.emf.ecore.EAttribute getProperty_LabelKeys()

      Specified by:
        `getProperty_LabelKeys` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute list 'Label Keys'.
      See Also:
        `Property.getLabelKeys()`, `TaurusPackage.getProperty()`

    - #### getProperty_RetrieveAllValues

          public org.eclipse.emf.ecore.EReference getProperty_RetrieveAllValues()

      Specified by:
        `getProperty_RetrieveAllValues` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Retrieve All Values'.
      See Also:
        `Property.getRetrieveAllValues()`, `TaurusPackage.getProperty()`

    - #### getProperty_RetrieveAllValuesActionValuesFrom

          public org.eclipse.emf.ecore.EAttribute getProperty_RetrieveAllValuesActionValuesFrom()

      Specified by:
        `getProperty_RetrieveAllValuesActionValuesFrom` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Retrieve All Values Action Values From'.
      See Also:
        `Property.getRetrieveAllValuesActionValuesFrom()`, `TaurusPackage.getProperty()`

    - #### getProperty_RetrieveAllValuesActionValueProperty

          public org.eclipse.emf.ecore.EReference getProperty_RetrieveAllValuesActionValueProperty()

      Specified by:
        `getProperty_RetrieveAllValuesActionValueProperty` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Retrieve All Values Action Value Property'.
      See Also:
        `Property.getRetrieveAllValuesActionValueProperty()`, `TaurusPackage.getProperty()`

    - #### getProperty_RetrieveAllValuesActionLabelProperty

          public org.eclipse.emf.ecore.EReference getProperty_RetrieveAllValuesActionLabelProperty()

      Specified by:
        `getProperty_RetrieveAllValuesActionLabelProperty` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Retrieve All Values Action Label Property'.
      See Also:
        `Property.getRetrieveAllValuesActionLabelProperty()`, `TaurusPackage.getProperty()`

    - #### getProperty_SpecialProperty

          public org.eclipse.emf.ecore.EAttribute getProperty_SpecialProperty()

      Specified by:
        `getProperty_SpecialProperty` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Special Property'.
      See Also:
        `Property.getSpecialProperty()`, `TaurusPackage.getProperty()`

    - #### getProperty_StringDelimiter

          public org.eclipse.emf.ecore.EAttribute getProperty_StringDelimiter()

      Specified by:
        `getProperty_StringDelimiter` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'String Delimiter'.
      See Also:
        `Property.getStringDelimiter()`, `TaurusPackage.getProperty()`

    - #### getProperty_TrueValue

          public org.eclipse.emf.ecore.EAttribute getProperty_TrueValue()

      Specified by:
        `getProperty_TrueValue` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'True Value'.
      See Also:
        `Property.getTrueValue()`, `TaurusPackage.getProperty()`

    - #### getProperty_Type

          public org.eclipse.emf.ecore.EAttribute getProperty_Type()

      Specified by:
        `getProperty_Type` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `Property.getType()`, `TaurusPackage.getProperty()`

    - #### getProperty_UpperCase

          public org.eclipse.emf.ecore.EAttribute getProperty_UpperCase()

      Specified by:
        `getProperty_UpperCase` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Upper Case'.
      See Also:
        `Property.isUpperCase()`, `TaurusPackage.getProperty()`

    - #### getProperty_ValueKeys

          public org.eclipse.emf.ecore.EAttribute getProperty_ValueKeys()

      Specified by:
        `getProperty_ValueKeys` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute list 'Value Keys'.
      See Also:
        `Property.getValueKeys()`, `TaurusPackage.getProperty()`

    - #### getProperty_ValueMaxLength

          public org.eclipse.emf.ecore.EAttribute getProperty_ValueMaxLength()

      Specified by:
        `getProperty_ValueMaxLength` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Value Max Length'.
      See Also:
        `Property.getValueMaxLength()`, `TaurusPackage.getProperty()`

    - #### getProperty_ValueMinLength

          public org.eclipse.emf.ecore.EAttribute getProperty_ValueMinLength()

      Specified by:
        `getProperty_ValueMinLength` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Value Min Length'.
      See Also:
        `Property.getValueMinLength()`, `TaurusPackage.getProperty()`

    - #### getProperty_MaxLines

          public org.eclipse.emf.ecore.EAttribute getProperty_MaxLines()

      Specified by:
        `getProperty_MaxLines` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Max Lines'.
      See Also:
        `Property.getMaxLines()`, `TaurusPackage.getProperty()`

    - #### getProperty_CharsPerLine

          public org.eclipse.emf.ecore.EAttribute getProperty_CharsPerLine()

      Specified by:
        `getProperty_CharsPerLine` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Chars Per Line'.
      See Also:
        `Property.getCharsPerLine()`, `TaurusPackage.getProperty()`

    - #### getProperty_DateFormat

          public org.eclipse.emf.ecore.EAttribute getProperty_DateFormat()

      Specified by:
        `getProperty_DateFormat` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Date Format'.
      See Also:
        `Property.getDateFormat()`, `TaurusPackage.getProperty()`

    - #### getRActionComplexCondition

          public org.eclipse.emf.ecore.EClass getRActionComplexCondition()

      Specified by:
        `getRActionComplexCondition` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RAction Complex Condition'.
      See Also:
        `RActionComplexCondition`

    - #### getRActionComplexCondition_SimpleCondition

          public org.eclipse.emf.ecore.EReference getRActionComplexCondition_SimpleCondition()

      Specified by:
        `getRActionComplexCondition_SimpleCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Simple Condition'.
      See Also:
        `RActionComplexCondition.getSimpleCondition()`, `TaurusPackage.getRActionComplexCondition()`

    - #### getRActionComplexCondition_ComplexCondition

          public org.eclipse.emf.ecore.EReference getRActionComplexCondition_ComplexCondition()

      Specified by:
        `getRActionComplexCondition_ComplexCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Complex Condition'.
      See Also:
        `RActionComplexCondition.getComplexCondition()`, `TaurusPackage.getRActionComplexCondition()`

    - #### getRActionComplexCondition_Operator

          public org.eclipse.emf.ecore.EAttribute getRActionComplexCondition_Operator()

      Specified by:
        `getRActionComplexCondition_Operator` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Operator'.
      See Also:
        `RActionComplexCondition.getOperator()`, `TaurusPackage.getRActionComplexCondition()`

    - #### getRActionParmOverride

          public org.eclipse.emf.ecore.EClass getRActionParmOverride()

      Specified by:
        `getRActionParmOverride` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RAction Parm Override'.
      See Also:
        `RActionParmOverride`

    - #### getRActionParmOverride_NewParmFrom

          public org.eclipse.emf.ecore.EAttribute getRActionParmOverride_NewParmFrom()

      Specified by:
        `getRActionParmOverride_NewParmFrom` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'New Parm From'.
      See Also:
        `RActionParmOverride.getNewParmFrom()`, `TaurusPackage.getRActionParmOverride()`

    - #### getRActionParmOverride_NewStaticValue

          public org.eclipse.emf.ecore.EAttribute getRActionParmOverride_NewStaticValue()

      Specified by:
        `getRActionParmOverride_NewStaticValue` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'New Static Value'.
      See Also:
        `RActionParmOverride.getNewStaticValue()`, `TaurusPackage.getRActionParmOverride()`

    - #### getRActionParmOverride_ParmToOverride

          public org.eclipse.emf.ecore.EReference getRActionParmOverride_ParmToOverride()

      Specified by:
        `getRActionParmOverride_ParmToOverride` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Parm To Override'.
      See Also:
        `RActionParmOverride.getParmToOverride()`, `TaurusPackage.getRActionParmOverride()`

    - #### getRActionParmOverride_RemoveParm

          public org.eclipse.emf.ecore.EAttribute getRActionParmOverride_RemoveParm()

      Specified by:
        `getRActionParmOverride_RemoveParm` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Remove Parm'.
      See Also:
        `RActionParmOverride.isRemoveParm()`, `TaurusPackage.getRActionParmOverride()`

    - #### getRActionSimpleCondition

          public org.eclipse.emf.ecore.EClass getRActionSimpleCondition()

      Specified by:
        `getRActionSimpleCondition` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RAction Simple Condition'.
      See Also:
        `RActionSimpleCondition`

    - #### getRActionSimpleCondition_TargetID

          public org.eclipse.emf.ecore.EReference getRActionSimpleCondition_TargetID()

      Specified by:
        `getRActionSimpleCondition_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RActionSimpleCondition.getTargetID()`, `TaurusPackage.getRActionSimpleCondition()`

    - #### getRActionSimpleCondition_Operator

          public org.eclipse.emf.ecore.EAttribute getRActionSimpleCondition_Operator()

      Specified by:
        `getRActionSimpleCondition_Operator` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Operator'.
      See Also:
        `RActionSimpleCondition.getOperator()`, `TaurusPackage.getRActionSimpleCondition()`

    - #### getRActionSimpleCondition_Value

          public org.eclipse.emf.ecore.EAttribute getRActionSimpleCondition_Value()

      Specified by:
        `getRActionSimpleCondition_Value` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `RActionSimpleCondition.getValue()`, `TaurusPackage.getRActionSimpleCondition()`

    - #### getRActionTool

          public org.eclipse.emf.ecore.EClass getRActionTool()

      Specified by:
        `getRActionTool` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RAction Tool'.
      See Also:
        `RActionTool`

    - #### getRActionTool_TargetID

          public org.eclipse.emf.ecore.EReference getRActionTool_TargetID()

      Specified by:
        `getRActionTool_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RActionTool.getTargetID()`, `TaurusPackage.getRActionTool()`

    - #### getRActionTool_ParmFromOverride

          public org.eclipse.emf.ecore.EReference getRActionTool_ParmFromOverride()

      Specified by:
        `getRActionTool_ParmFromOverride` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Parm From Override'.
      See Also:
        `RActionTool.getParmFromOverride()`, `TaurusPackage.getRActionTool()`

    - #### getRActionTool_ToolEnabledCondition

          public org.eclipse.emf.ecore.EReference getRActionTool_ToolEnabledCondition()

      Specified by:
        `getRActionTool_ToolEnabledCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Tool Enabled Condition'.
      See Also:
        `RActionTool.getToolEnabledCondition()`, `TaurusPackage.getRActionTool()`

    - #### getRActionTool_AffectedResourceName

          public org.eclipse.emf.ecore.EAttribute getRActionTool_AffectedResourceName()

      Specified by:
        `getRActionTool_AffectedResourceName` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Affected Resource Name'.
      See Also:
        `RActionTool.getAffectedResourceName()`, `TaurusPackage.getRActionTool()`

    - #### getRActionTool_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRActionTool_SeqNo()

      Specified by:
        `getRActionTool_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RActionTool.getSeqNo()`, `TaurusPackage.getRActionTool()`

    - #### getRApplicationAction

          public org.eclipse.emf.ecore.EClass getRApplicationAction()

      Specified by:
        `getRApplicationAction` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RApplication Action'.
      See Also:
        `RApplicationAction`

    - #### getRApplicationAction_TargetID

          public org.eclipse.emf.ecore.EReference getRApplicationAction_TargetID()

      Specified by:
        `getRApplicationAction_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RApplicationAction.getTargetID()`, `TaurusPackage.getRApplicationAction()`

    - #### getRApplicationAction_ActionEnabledCondition

          public org.eclipse.emf.ecore.EReference getRApplicationAction_ActionEnabledCondition()

      Specified by:
        `getRApplicationAction_ActionEnabledCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Action Enabled Condition'.
      See Also:
        `RApplicationAction.getActionEnabledCondition()`, `TaurusPackage.getRApplicationAction()`

    - #### getRApplicationAction_ActionVisibleCondition

          public org.eclipse.emf.ecore.EReference getRApplicationAction_ActionVisibleCondition()

      Specified by:
        `getRApplicationAction_ActionVisibleCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Action Visible Condition'.
      See Also:
        `RApplicationAction.getActionVisibleCondition()`, `TaurusPackage.getRApplicationAction()`

    - #### getRApplicationAction_DefaultAction

          public org.eclipse.emf.ecore.EAttribute getRApplicationAction_DefaultAction()

      Specified by:
        `getRApplicationAction_DefaultAction` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Default Action'.
      See Also:
        `RApplicationAction.isDefaultAction()`, `TaurusPackage.getRApplicationAction()`

    - #### getRApplicationAction_ExecutionType

          public org.eclipse.emf.ecore.EAttribute getRApplicationAction_ExecutionType()

      Specified by:
        `getRApplicationAction_ExecutionType` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Execution Type'.
      See Also:
        `RApplicationAction.getExecutionType()`, `TaurusPackage.getRApplicationAction()`

    - #### getRApplicationAction_Label

          public org.eclipse.emf.ecore.EAttribute getRApplicationAction_Label()

      Specified by:
        `getRApplicationAction_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `RApplicationAction.getLabel()`, `TaurusPackage.getRApplicationAction()`

    - #### getRApplicationAction_SeparatorAfter

          public org.eclipse.emf.ecore.EAttribute getRApplicationAction_SeparatorAfter()

      Specified by:
        `getRApplicationAction_SeparatorAfter` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Separator After'.
      See Also:
        `RApplicationAction.isSeparatorAfter()`, `TaurusPackage.getRApplicationAction()`

    - #### getRApplicationAction_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRApplicationAction_SeqNo()

      Specified by:
        `getRApplicationAction_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RApplicationAction.getSeqNo()`, `TaurusPackage.getRApplicationAction()`

    - #### getRApplicationAction_SkipModelUpdateCheck

          public org.eclipse.emf.ecore.EAttribute getRApplicationAction_SkipModelUpdateCheck()

      Specified by:
        `getRApplicationAction_SkipModelUpdateCheck` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Skip Model Update Check'.
      See Also:
        `RApplicationAction.isSkipModelUpdateCheck()`, `TaurusPackage.getRApplicationAction()`

    - #### getRElementAction

          public org.eclipse.emf.ecore.EClass getRElementAction()

      Specified by:
        `getRElementAction` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RElement Action'.
      See Also:
        `RElementAction`

    - #### getRElementAction_ActionEnabledCondition

          public org.eclipse.emf.ecore.EReference getRElementAction_ActionEnabledCondition()

      Specified by:
        `getRElementAction_ActionEnabledCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Action Enabled Condition'.
      See Also:
        `RElementAction.getActionEnabledCondition()`, `TaurusPackage.getRElementAction()`

    - #### getRElementAction_ActionVisibleCondition

          public org.eclipse.emf.ecore.EReference getRElementAction_ActionVisibleCondition()

      Specified by:
        `getRElementAction_ActionVisibleCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Action Visible Condition'.
      See Also:
        `RElementAction.getActionVisibleCondition()`, `TaurusPackage.getRElementAction()`

    - #### getRElementAction_DefaultAction

          public org.eclipse.emf.ecore.EAttribute getRElementAction_DefaultAction()

      Specified by:
        `getRElementAction_DefaultAction` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Default Action'.
      See Also:
        `RElementAction.isDefaultAction()`, `TaurusPackage.getRElementAction()`

    - #### getRElementAction_Label

          public org.eclipse.emf.ecore.EAttribute getRElementAction_Label()

      Specified by:
        `getRElementAction_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `RElementAction.getLabel()`, `TaurusPackage.getRElementAction()`

    - #### getRElementAction_SeparatorAfter

          public org.eclipse.emf.ecore.EAttribute getRElementAction_SeparatorAfter()

      Specified by:
        `getRElementAction_SeparatorAfter` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Separator After'.
      See Also:
        `RElementAction.isSeparatorAfter()`, `TaurusPackage.getRElementAction()`

    - #### getRElementAction_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRElementAction_SeqNo()

      Specified by:
        `getRElementAction_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RElementAction.getSeqNo()`, `TaurusPackage.getRElementAction()`

    - #### getRElementAction_ShowInElementView

          public org.eclipse.emf.ecore.EAttribute getRElementAction_ShowInElementView()

      Specified by:
        `getRElementAction_ShowInElementView` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Show In Element View'.
      See Also:
        `RElementAction.isShowInElementView()`, `TaurusPackage.getRElementAction()`

    - #### getRElementAction_ShowInTreeView

          public org.eclipse.emf.ecore.EAttribute getRElementAction_ShowInTreeView()

      Specified by:
        `getRElementAction_ShowInTreeView` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Show In Tree View'.
      See Also:
        `RElementAction.isShowInTreeView()`, `TaurusPackage.getRElementAction()`

    - #### getRElementActionBase

          public org.eclipse.emf.ecore.EClass getRElementActionBase()

      Specified by:
        `getRElementActionBase` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RElement Action Base'.
      See Also:
        `RElementActionBase`

    - #### getRElementActionBase_TargetID

          public org.eclipse.emf.ecore.EReference getRElementActionBase_TargetID()

      Specified by:
        `getRElementActionBase_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RElementActionBase.getTargetID()`, `TaurusPackage.getRElementActionBase()`

    - #### getRElementFilter

          public org.eclipse.emf.ecore.EClass getRElementFilter()

      Specified by:
        `getRElementFilter` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RElement Filter'.
      See Also:
        `RElementFilter`

    - #### getRElementFilter_TargetID

          public org.eclipse.emf.ecore.EReference getRElementFilter_TargetID()

      Specified by:
        `getRElementFilter_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RElementFilter.getTargetID()`, `TaurusPackage.getRElementFilter()`

    - #### getRElementFilter_Label

          public org.eclipse.emf.ecore.EAttribute getRElementFilter_Label()

      Specified by:
        `getRElementFilter_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `RElementFilter.getLabel()`, `TaurusPackage.getRElementFilter()`

    - #### getRElementFilter_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRElementFilter_SeqNo()

      Specified by:
        `getRElementFilter_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RElementFilter.getSeqNo()`, `TaurusPackage.getRElementFilter()`

    - #### getRElementFilter_ShowInElementView

          public org.eclipse.emf.ecore.EAttribute getRElementFilter_ShowInElementView()

      Specified by:
        `getRElementFilter_ShowInElementView` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Show In Element View'.
      See Also:
        `RElementFilter.isShowInElementView()`, `TaurusPackage.getRElementFilter()`

    - #### getRElementFilter_ShowInTreeView

          public org.eclipse.emf.ecore.EAttribute getRElementFilter_ShowInTreeView()

      Specified by:
        `getRElementFilter_ShowInTreeView` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Show In Tree View'.
      See Also:
        `RElementFilter.isShowInTreeView()`, `TaurusPackage.getRElementFilter()`

    - #### getRElementGetProperties

          public org.eclipse.emf.ecore.EClass getRElementGetProperties()

      Specified by:
        `getRElementGetProperties` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RElement Get Properties'.
      See Also:
        `RElementGetProperties`

    - #### getRElementGetProperties_GetPropertiesActionEnabledCondition

          public org.eclipse.emf.ecore.EReference getRElementGetProperties_GetPropertiesActionEnabledCondition()

      Specified by:
        `getRElementGetProperties_GetPropertiesActionEnabledCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Get Properties Action Enabled Condition'.
      See Also:
        `RElementGetProperties.getGetPropertiesActionEnabledCondition()`, `TaurusPackage.getRElementGetProperties()`

    - #### getRElementGetProperties_ExecutionPoint

          public org.eclipse.emf.ecore.EAttribute getRElementGetProperties_ExecutionPoint()

      Specified by:
        `getRElementGetProperties_ExecutionPoint` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Execution Point'.
      See Also:
        `RElementGetProperties.getExecutionPoint()`, `TaurusPackage.getRElementGetProperties()`

    - #### getRElementGetProperties_ExecutionRate

          public org.eclipse.emf.ecore.EAttribute getRElementGetProperties_ExecutionRate()

      Specified by:
        `getRElementGetProperties_ExecutionRate` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Execution Rate'.
      See Also:
        `RElementGetProperties.getExecutionRate()`, `TaurusPackage.getRElementGetProperties()`

    - #### getRElementGetChildrenAction

          public org.eclipse.emf.ecore.EClass getRElementGetChildrenAction()

      Specified by:
        `getRElementGetChildrenAction` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RElement Get Children Action'.
      See Also:
        `RElementGetChildrenAction`

    - #### getRElementGetChildrenAction_GetChildrenActionEnabledCondition

          public org.eclipse.emf.ecore.EReference getRElementGetChildrenAction_GetChildrenActionEnabledCondition()

      Specified by:
        `getRElementGetChildrenAction_GetChildrenActionEnabledCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Get Children Action Enabled Condition'.
      See Also:
        `RElementGetChildrenAction.getGetChildrenActionEnabledCondition()`, `TaurusPackage.getRElementGetChildrenAction()`

    - #### getRElementlistAction

          public org.eclipse.emf.ecore.EClass getRElementlistAction()

      Specified by:
        `getRElementlistAction` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RElementlist Action'.
      See Also:
        `RElementlistAction`

    - #### getRElementlistAction_TargetID

          public org.eclipse.emf.ecore.EReference getRElementlistAction_TargetID()

      Specified by:
        `getRElementlistAction_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RElementlistAction.getTargetID()`, `TaurusPackage.getRElementlistAction()`

    - #### getRElementlistAction_ActionEnabledCondition

          public org.eclipse.emf.ecore.EReference getRElementlistAction_ActionEnabledCondition()

      Specified by:
        `getRElementlistAction_ActionEnabledCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Action Enabled Condition'.
      See Also:
        `RElementlistAction.getActionEnabledCondition()`, `TaurusPackage.getRElementlistAction()`

    - #### getRElementlistAction_ActionVisibleCondition

          public org.eclipse.emf.ecore.EReference getRElementlistAction_ActionVisibleCondition()

      Specified by:
        `getRElementlistAction_ActionVisibleCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Action Visible Condition'.
      See Also:
        `RElementlistAction.getActionVisibleCondition()`, `TaurusPackage.getRElementlistAction()`

    - #### getRElementlistAction_Label

          public org.eclipse.emf.ecore.EAttribute getRElementlistAction_Label()

      Specified by:
        `getRElementlistAction_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `RElementlistAction.getLabel()`, `TaurusPackage.getRElementlistAction()`

    - #### getRElementlistAction_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRElementlistAction_SeqNo()

      Specified by:
        `getRElementlistAction_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RElementlistAction.getSeqNo()`, `TaurusPackage.getRElementlistAction()`

    - #### getRElementlistAction_ShowInContextMenu

          public org.eclipse.emf.ecore.EAttribute getRElementlistAction_ShowInContextMenu()

      Specified by:
        `getRElementlistAction_ShowInContextMenu` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Show In Context Menu'.
      See Also:
        `RElementlistAction.isShowInContextMenu()`, `TaurusPackage.getRElementlistAction()`

    - #### getRElementlistAction_ShowInToolbar

          public org.eclipse.emf.ecore.EAttribute getRElementlistAction_ShowInToolbar()

      Specified by:
        `getRElementlistAction_ShowInToolbar` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Show In Toolbar'.
      See Also:
        `RElementlistAction.isShowInToolbar()`, `TaurusPackage.getRElementlistAction()`

    - #### getRElementlistColumn

          public org.eclipse.emf.ecore.EClass getRElementlistColumn()

      Specified by:
        `getRElementlistColumn` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RElementlist Column'.
      See Also:
        `RElementlistColumn`

    - #### getRElementlistColumn_TargetID

          @Deprecated
          public org.eclipse.emf.ecore.EReference getRElementlistColumn_TargetID()

      Deprecated.
      Description copied from interface: `TaurusPackage`
      Returns the meta object for the reference ' `Target ID`'.
      Specified by:
        `getRElementlistColumn_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RElementlistColumn.getTargetID()`, `TaurusPackage.getRElementlistColumn()`

    - #### getRElementlistColumn_TargetIDs

          public org.eclipse.emf.ecore.EReference getRElementlistColumn_TargetIDs()

      Specified by:
        `getRElementlistColumn_TargetIDs` in interface `TaurusPackage`
      Returns:
        the meta object for the reference list 'Target IDs'.
      See Also:
        `RElementlistColumn.getTargetIDs()`, `TaurusPackage.getRElementlistColumn()`

    - #### getRElementlistColumn_ColNo

          public org.eclipse.emf.ecore.EAttribute getRElementlistColumn_ColNo()

      Specified by:
        `getRElementlistColumn_ColNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Col No'.
      See Also:
        `RElementlistColumn.getColNo()`, `TaurusPackage.getRElementlistColumn()`

    - #### getRElementlistColumn_Label

          public org.eclipse.emf.ecore.EAttribute getRElementlistColumn_Label()

      Specified by:
        `getRElementlistColumn_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `RElementlistColumn.getLabel()`, `TaurusPackage.getRElementlistColumn()`

    - #### getRElementlistColumn_Visible

          public org.eclipse.emf.ecore.EAttribute getRElementlistColumn_Visible()

      Specified by:
        `getRElementlistColumn_Visible` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Visible'.
      See Also:
        `RElementlistColumn.isVisible()`, `TaurusPackage.getRElementlistColumn()`

    - #### getRElementlistColumn_Width

          public org.eclipse.emf.ecore.EAttribute getRElementlistColumn_Width()

      Specified by:
        `getRElementlistColumn_Width` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Width'.
      See Also:
        `RElementlistColumn.getWidth()`, `TaurusPackage.getRElementlistColumn()`

    - #### getRElementlistColumn_Delimiter

          public org.eclipse.emf.ecore.EAttribute getRElementlistColumn_Delimiter()

      Specified by:
        `getRElementlistColumn_Delimiter` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Delimiter'.
      See Also:
        `RElementlistColumn.getDelimiter()`, `TaurusPackage.getRElementlistColumn()`

    - #### getRApplicationProperty

          public org.eclipse.emf.ecore.EClass getRApplicationProperty()

      Specified by:
        `getRApplicationProperty` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RApplication Property'.
      See Also:
        `RApplicationProperty`

    - #### getRApplicationProperty_TargetID

          public org.eclipse.emf.ecore.EReference getRApplicationProperty_TargetID()

      Specified by:
        `getRApplicationProperty_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RApplicationProperty.getTargetID()`, `TaurusPackage.getRApplicationProperty()`

    - #### getRApplicationProperty_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRApplicationProperty_SeqNo()

      Specified by:
        `getRApplicationProperty_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RApplicationProperty.getSeqNo()`, `TaurusPackage.getRApplicationProperty()`

    - #### getRApplicationProperty_Constant

          public org.eclipse.emf.ecore.EAttribute getRApplicationProperty_Constant()

      Specified by:
        `getRApplicationProperty_Constant` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Constant'.
      See Also:
        `RApplicationProperty.isConstant()`, `TaurusPackage.getRApplicationProperty()`

    - #### getRApplicationProperty_Mandatory

          public org.eclipse.emf.ecore.EAttribute getRApplicationProperty_Mandatory()

      Specified by:
        `getRApplicationProperty_Mandatory` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Mandatory'.
      See Also:
        `RApplicationProperty.isMandatory()`, `TaurusPackage.getRApplicationProperty()`

    - #### getRElementlistProperty

          public org.eclipse.emf.ecore.EClass getRElementlistProperty()

      Specified by:
        `getRElementlistProperty` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RElementlist Property'.
      See Also:
        `RElementlistProperty`

    - #### getRElementlistProperty_TargetID

          public org.eclipse.emf.ecore.EReference getRElementlistProperty_TargetID()

      Specified by:
        `getRElementlistProperty_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RElementlistProperty.getTargetID()`, `TaurusPackage.getRElementlistProperty()`

    - #### getRElementlistProperty_Label

          public org.eclipse.emf.ecore.EAttribute getRElementlistProperty_Label()

      Specified by:
        `getRElementlistProperty_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `RElementlistProperty.getLabel()`, `TaurusPackage.getRElementlistProperty()`

    - #### getRElementlistProperty_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRElementlistProperty_SeqNo()

      Specified by:
        `getRElementlistProperty_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RElementlistProperty.getSeqNo()`, `TaurusPackage.getRElementlistProperty()`

    - #### getRElementProperty

          public org.eclipse.emf.ecore.EClass getRElementProperty()

      Specified by:
        `getRElementProperty` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RElement Property'.
      See Also:
        `RElementProperty`

    - #### getRElementProperty_TargetID

          public org.eclipse.emf.ecore.EReference getRElementProperty_TargetID()

      Specified by:
        `getRElementProperty_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RElementProperty.getTargetID()`, `TaurusPackage.getRElementProperty()`

    - #### getRElementProperty_PropertyVisibleCondition

          public org.eclipse.emf.ecore.EReference getRElementProperty_PropertyVisibleCondition()

      Specified by:
        `getRElementProperty_PropertyVisibleCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Property Visible Condition'.
      See Also:
        `RElementProperty.getPropertyVisibleCondition()`, `TaurusPackage.getRElementProperty()`

    - #### getRElementProperty_Category

          public org.eclipse.emf.ecore.EAttribute getRElementProperty_Category()

      Specified by:
        `getRElementProperty_Category` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Category'.
      See Also:
        `RElementProperty.getCategory()`, `TaurusPackage.getRElementProperty()`

    - #### getRElementProperty_ElementName

          public org.eclipse.emf.ecore.EAttribute getRElementProperty_ElementName()

      Specified by:
        `getRElementProperty_ElementName` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Element Name'.
      See Also:
        `RElementProperty.isElementName()`, `TaurusPackage.getRElementProperty()`

    - #### getRElementProperty_Label

          public org.eclipse.emf.ecore.EAttribute getRElementProperty_Label()

      Specified by:
        `getRElementProperty_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `RElementProperty.getLabel()`, `TaurusPackage.getRElementProperty()`

    - #### getRElementProperty_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRElementProperty_SeqNo()

      Specified by:
        `getRElementProperty_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RElementProperty.getSeqNo()`, `TaurusPackage.getRElementProperty()`

    - #### getRElementProperty_SortDirection

          public org.eclipse.emf.ecore.EAttribute getRElementProperty_SortDirection()

      Specified by:
        `getRElementProperty_SortDirection` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Sort Direction'.
      See Also:
        `RElementProperty.getSortDirection()`, `TaurusPackage.getRElementProperty()`

    - #### getRElementProperty_TreeViewLabel

          public org.eclipse.emf.ecore.EAttribute getRElementProperty_TreeViewLabel()

      Specified by:
        `getRElementProperty_TreeViewLabel` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Tree View Label'.
      See Also:
        `RElementProperty.isTreeViewLabel()`, `TaurusPackage.getRElementProperty()`

    - #### getRSelectionEnabledCondition

          public org.eclipse.emf.ecore.EClass getRSelectionEnabledCondition()

      Specified by:
        `getRSelectionEnabledCondition` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RSelection Enabled Condition'.
      See Also:
        `RSelectionEnabledCondition`

    - #### getRSelectionVisibleCondition

          public org.eclipse.emf.ecore.EClass getRSelectionVisibleCondition()

      Specified by:
        `getRSelectionVisibleCondition` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RSelection Visible Condition'.
      See Also:
        `RSelectionVisibleCondition`

    - #### getISelectionCondition

          public org.eclipse.emf.ecore.EClass getISelectionCondition()

      Specified by:
        `getISelectionCondition` in interface `TaurusPackage`
      Returns:
        the meta object for class 'ISelection Condition'.
      See Also:
        `ISelectionCondition`

    - #### getISelectionCondition_SelectionCount

          public org.eclipse.emf.ecore.EAttribute getISelectionCondition_SelectionCount()

      Specified by:
        `getISelectionCondition_SelectionCount` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Selection Count'.
      See Also:
        `ISelectionCondition.getSelectionCount()`, `TaurusPackage.getISelectionCondition()`

    - #### getREnabledCondition

          public org.eclipse.emf.ecore.EClass getREnabledCondition()

      Specified by:
        `getREnabledCondition` in interface `TaurusPackage`
      Returns:
        the meta object for class 'REnabled Condition'.
      See Also:
        `REnabledCondition`

    - #### getRVisibleCondition

          public org.eclipse.emf.ecore.EClass getRVisibleCondition()

      Specified by:
        `getRVisibleCondition` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RVisible Condition'.
      See Also:
        `RVisibleCondition`

    - #### getREnabledConditionBase

          public org.eclipse.emf.ecore.EClass getREnabledConditionBase()

      Specified by:
        `getREnabledConditionBase` in interface `TaurusPackage`
      Returns:
        the meta object for class 'REnabled Condition Base'.
      See Also:
        `REnabledConditionBase`

    - #### getREnabledConditionBase_ComplexCondition

          public org.eclipse.emf.ecore.EReference getREnabledConditionBase_ComplexCondition()

      Specified by:
        `getREnabledConditionBase_ComplexCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Complex Condition'.
      See Also:
        `REnabledConditionBase.getComplexCondition()`, `TaurusPackage.getREnabledConditionBase()`

    - #### getREnabledConditionBase_SimpleCondition

          public org.eclipse.emf.ecore.EReference getREnabledConditionBase_SimpleCondition()

      Specified by:
        `getREnabledConditionBase_SimpleCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Simple Condition'.
      See Also:
        `REnabledConditionBase.getSimpleCondition()`, `TaurusPackage.getREnabledConditionBase()`

    - #### getRElementTextDecoration

          public org.eclipse.emf.ecore.EClass getRElementTextDecoration()

      Specified by:
        `getRElementTextDecoration` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RElement Text Decoration'.
      See Also:
        `RElementTextDecoration`

    - #### getRElementTextDecoration_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRElementTextDecoration_SeqNo()

      Specified by:
        `getRElementTextDecoration_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RElementTextDecoration.getSeqNo()`, `TaurusPackage.getRElementTextDecoration()`

    - #### getRElementTextDecoration_TextDecorationPosition

          public org.eclipse.emf.ecore.EAttribute getRElementTextDecoration_TextDecorationPosition()

      Specified by:
        `getRElementTextDecoration_TextDecorationPosition` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Text Decoration Position'.
      See Also:
        `RElementTextDecoration.getTextDecorationPosition()`, `TaurusPackage.getRElementTextDecoration()`

    - #### getRElementTextDecoration_Separator

          public org.eclipse.emf.ecore.EAttribute getRElementTextDecoration_Separator()

      Specified by:
        `getRElementTextDecoration_Separator` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Separator'.
      See Also:
        `RElementTextDecoration.getSeparator()`, `TaurusPackage.getRElementTextDecoration()`

    - #### getRElementTextDecoration_StartCharacter

          public org.eclipse.emf.ecore.EAttribute getRElementTextDecoration_StartCharacter()

      Specified by:
        `getRElementTextDecoration_StartCharacter` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Start Character'.
      See Also:
        `RElementTextDecoration.getStartCharacter()`, `TaurusPackage.getRElementTextDecoration()`

    - #### getRElementTextDecoration_EndCharacter

          public org.eclipse.emf.ecore.EAttribute getRElementTextDecoration_EndCharacter()

      Specified by:
        `getRElementTextDecoration_EndCharacter` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'End Character'.
      See Also:
        `RElementTextDecoration.getEndCharacter()`, `TaurusPackage.getRElementTextDecoration()`

    - #### getRElementTextDecoration_HasValue

          public org.eclipse.emf.ecore.EReference getRElementTextDecoration_HasValue()

      Specified by:
        `getRElementTextDecoration_HasValue` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Has Value'.
      See Also:
        `RElementTextDecoration.getHasValue()`, `TaurusPackage.getRElementTextDecoration()`

    - #### getRDecorationValue

          public org.eclipse.emf.ecore.EClass getRDecorationValue()

      Specified by:
        `getRDecorationValue` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RDecoration Value'.
      See Also:
        `RDecorationValue`

    - #### getRDecorationValue_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRDecorationValue_SeqNo()

      Specified by:
        `getRDecorationValue_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RDecorationValue.getSeqNo()`, `TaurusPackage.getRDecorationValue()`

    - #### getRDecorationValue_TargetID

          public org.eclipse.emf.ecore.EReference getRDecorationValue_TargetID()

      Specified by:
        `getRDecorationValue_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RDecorationValue.getTargetID()`, `TaurusPackage.getRDecorationValue()`

    - #### getRDecorationValue_StaticValue

          public org.eclipse.emf.ecore.EAttribute getRDecorationValue_StaticValue()

      Specified by:
        `getRDecorationValue_StaticValue` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Static Value'.
      See Also:
        `RDecorationValue.getStaticValue()`, `TaurusPackage.getRDecorationValue()`

    - #### getRDecorationValue_DecorationValueVisibleCondition

          public org.eclipse.emf.ecore.EReference getRDecorationValue_DecorationValueVisibleCondition()

      Specified by:
        `getRDecorationValue_DecorationValueVisibleCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Decoration Value Visible Condition'.
      See Also:
        `RDecorationValue.getDecorationValueVisibleCondition()`, `TaurusPackage.getRDecorationValue()`

    - #### getRErrorViewAction

          public org.eclipse.emf.ecore.EClass getRErrorViewAction()

      Specified by:
        `getRErrorViewAction` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RError View Action'.
      See Also:
        `RErrorViewAction`

    - #### getRErrorViewAction_TargetID

          public org.eclipse.emf.ecore.EReference getRErrorViewAction_TargetID()

      Specified by:
        `getRErrorViewAction_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RErrorViewAction.getTargetID()`, `TaurusPackage.getRErrorViewAction()`

    - #### getRErrorViewAction_DefaultAction

          public org.eclipse.emf.ecore.EAttribute getRErrorViewAction_DefaultAction()

      Specified by:
        `getRErrorViewAction_DefaultAction` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Default Action'.
      See Also:
        `RErrorViewAction.isDefaultAction()`, `TaurusPackage.getRErrorViewAction()`

    - #### getRErrorViewAction_Label

          public org.eclipse.emf.ecore.EAttribute getRErrorViewAction_Label()

      Specified by:
        `getRErrorViewAction_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `RErrorViewAction.getLabel()`, `TaurusPackage.getRErrorViewAction()`

    - #### getRErrorViewAction_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRErrorViewAction_SeqNo()

      Specified by:
        `getRErrorViewAction_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RErrorViewAction.getSeqNo()`, `TaurusPackage.getRErrorViewAction()`

    - #### getRFileAction

          public org.eclipse.emf.ecore.EClass getRFileAction()

      Specified by:
        `getRFileAction` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RFile Action'.
      See Also:
        `RFileAction`

    - #### getRFileAction_TargetID

          public org.eclipse.emf.ecore.EReference getRFileAction_TargetID()

      Specified by:
        `getRFileAction_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RFileAction.getTargetID()`, `TaurusPackage.getRFileAction()`

    - #### getRFileAction_ActionEnabledCondition

          public org.eclipse.emf.ecore.EReference getRFileAction_ActionEnabledCondition()

      Specified by:
        `getRFileAction_ActionEnabledCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Action Enabled Condition'.
      See Also:
        `RFileAction.getActionEnabledCondition()`, `TaurusPackage.getRFileAction()`

    - #### getRFileAction_ActionVisibleCondition

          public org.eclipse.emf.ecore.EReference getRFileAction_ActionVisibleCondition()

      Specified by:
        `getRFileAction_ActionVisibleCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Action Visible Condition'.
      See Also:
        `RFileAction.getActionVisibleCondition()`, `TaurusPackage.getRFileAction()`

    - #### getRFileAction_DefaultAction

          public org.eclipse.emf.ecore.EAttribute getRFileAction_DefaultAction()

      Specified by:
        `getRFileAction_DefaultAction` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Default Action'.
      See Also:
        `RFileAction.isDefaultAction()`, `TaurusPackage.getRFileAction()`

    - #### getRFileAction_Label

          public org.eclipse.emf.ecore.EAttribute getRFileAction_Label()

      Specified by:
        `getRFileAction_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `RFileAction.getLabel()`, `TaurusPackage.getRFileAction()`

    - #### getRFileAction_SeparatorAfter

          public org.eclipse.emf.ecore.EAttribute getRFileAction_SeparatorAfter()

      Specified by:
        `getRFileAction_SeparatorAfter` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Separator After'.
      See Also:
        `RFileAction.isSeparatorAfter()`, `TaurusPackage.getRFileAction()`

    - #### getRFileAction_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRFileAction_SeqNo()

      Specified by:
        `getRFileAction_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RFileAction.getSeqNo()`, `TaurusPackage.getRFileAction()`

    - #### getRFileAttribute

          public org.eclipse.emf.ecore.EClass getRFileAttribute()

      Specified by:
        `getRFileAttribute` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RFile Attribute'.
      See Also:
        `RFileAttribute`

    - #### getRFileAttribute_TargetID

          public org.eclipse.emf.ecore.EReference getRFileAttribute_TargetID()

      Specified by:
        `getRFileAttribute_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RFileAttribute.getTargetID()`, `TaurusPackage.getRFileAttribute()`

    - #### getRFileAttribute_ID

          public org.eclipse.emf.ecore.EAttribute getRFileAttribute_ID()

      Specified by:
        `getRFileAttribute_ID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `RFileAttribute.getID()`, `TaurusPackage.getRFileAttribute()`

    - #### getRFileAttribute_StaticValue

          public org.eclipse.emf.ecore.EAttribute getRFileAttribute_StaticValue()

      Specified by:
        `getRFileAttribute_StaticValue` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Static Value'.
      See Also:
        `RFileAttribute.getStaticValue()`, `TaurusPackage.getRFileAttribute()`

    - #### getRFileAttribute_Type

          public org.eclipse.emf.ecore.EAttribute getRFileAttribute_Type()

      Specified by:
        `getRFileAttribute_Type` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `RFileAttribute.getType()`, `TaurusPackage.getRFileAttribute()`

    - #### getRFileAttribute_Mandatory

          public org.eclipse.emf.ecore.EAttribute getRFileAttribute_Mandatory()

      Specified by:
        `getRFileAttribute_Mandatory` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Mandatory'.
      See Also:
        `RFileAttribute.isMandatory()`, `TaurusPackage.getRFileAttribute()`

    - #### getRFileElement

          public org.eclipse.emf.ecore.EClass getRFileElement()

      Specified by:
        `getRFileElement` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RFile Element'.
      See Also:
        `RFileElement`

    - #### getRFileElement_ID

          public org.eclipse.emf.ecore.EAttribute getRFileElement_ID()

      Specified by:
        `getRFileElement_ID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `RFileElement.getID()`, `TaurusPackage.getRFileElement()`

    - #### getRFileElement_Type

          public org.eclipse.emf.ecore.EAttribute getRFileElement_Type()

      Specified by:
        `getRFileElement_Type` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `RFileElement.getType()`, `TaurusPackage.getRFileElement()`

    - #### getRFileElement_HasFileElement

          public org.eclipse.emf.ecore.EReference getRFileElement_HasFileElement()

      Specified by:
        `getRFileElement_HasFileElement` in interface `TaurusPackage`
      Returns:
        the meta object for the reference list 'Has File Element'.
      See Also:
        `RFileElement.getHasFileElement()`, `TaurusPackage.getRFileElement()`

    - #### getRFileElement_HasFileAttribute

          public org.eclipse.emf.ecore.EReference getRFileElement_HasFileAttribute()

      Specified by:
        `getRFileElement_HasFileAttribute` in interface `TaurusPackage`
      Returns:
        the meta object for the reference list 'Has File Attribute'.
      See Also:
        `RFileElement.getHasFileAttribute()`, `TaurusPackage.getRFileElement()`

    - #### getRFileElement_Mandatory

          public org.eclipse.emf.ecore.EAttribute getRFileElement_Mandatory()

      Specified by:
        `getRFileElement_Mandatory` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Mandatory'.
      See Also:
        `RFileElement.isMandatory()`, `TaurusPackage.getRFileElement()`

    - #### getRFileProperty

          public org.eclipse.emf.ecore.EClass getRFileProperty()

      Specified by:
        `getRFileProperty` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RFile Property'.
      See Also:
        `RFileProperty`

    - #### getRFileProperty_TargetID

          public org.eclipse.emf.ecore.EReference getRFileProperty_TargetID()

      Specified by:
        `getRFileProperty_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RFileProperty.getTargetID()`, `TaurusPackage.getRFileProperty()`

    - #### getRFileProperty_Editable

          public org.eclipse.emf.ecore.EAttribute getRFileProperty_Editable()

      Specified by:
        `getRFileProperty_Editable` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Editable'.
      See Also:
        `RFileProperty.isEditable()`, `TaurusPackage.getRFileProperty()`

    - #### getRFileProperty_Label

          public org.eclipse.emf.ecore.EAttribute getRFileProperty_Label()

      Specified by:
        `getRFileProperty_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `RFileProperty.getLabel()`, `TaurusPackage.getRFileProperty()`

    - #### getRFileProperty_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRFileProperty_SeqNo()

      Specified by:
        `getRFileProperty_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RFileProperty.getSeqNo()`, `TaurusPackage.getRFileProperty()`

    - #### getRFileProperty_Visible

          public org.eclipse.emf.ecore.EAttribute getRFileProperty_Visible()

      Specified by:
        `getRFileProperty_Visible` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Visible'.
      See Also:
        `RFileProperty.isVisible()`, `TaurusPackage.getRFileProperty()`

    - #### getRFilterAction

          public org.eclipse.emf.ecore.EClass getRFilterAction()

      Specified by:
        `getRFilterAction` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RFilter Action'.
      See Also:
        `RFilterAction`

    - #### getRFilterAction_TargetID

          public org.eclipse.emf.ecore.EReference getRFilterAction_TargetID()

      Specified by:
        `getRFilterAction_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RFilterAction.getTargetID()`, `TaurusPackage.getRFilterAction()`

    - #### getRFilterAction_DefaultAction

          public org.eclipse.emf.ecore.EAttribute getRFilterAction_DefaultAction()

      Specified by:
        `getRFilterAction_DefaultAction` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Default Action'.
      See Also:
        `RFilterAction.isDefaultAction()`, `TaurusPackage.getRFilterAction()`

    - #### getRFilterAction_Label

          public org.eclipse.emf.ecore.EAttribute getRFilterAction_Label()

      Specified by:
        `getRFilterAction_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `RFilterAction.getLabel()`, `TaurusPackage.getRFilterAction()`

    - #### getRFilterFiltercriterion

          public org.eclipse.emf.ecore.EClass getRFilterFiltercriterion()

      Specified by:
        `getRFilterFiltercriterion` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RFilter Filtercriterion'.
      See Also:
        `RFilterFiltercriterion`

    - #### getRFilterFiltercriterion_TargetID

          public org.eclipse.emf.ecore.EReference getRFilterFiltercriterion_TargetID()

      Specified by:
        `getRFilterFiltercriterion_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RFilterFiltercriterion.getTargetID()`, `TaurusPackage.getRFilterFiltercriterion()`

    - #### getRFilterFiltercriterion_Generic

          public org.eclipse.emf.ecore.EAttribute getRFilterFiltercriterion_Generic()

      Specified by:
        `getRFilterFiltercriterion_Generic` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Generic'.
      See Also:
        `RFilterFiltercriterion.isGeneric()`, `TaurusPackage.getRFilterFiltercriterion()`

    - #### getRFilterFiltercriterion_Label

          public org.eclipse.emf.ecore.EAttribute getRFilterFiltercriterion_Label()

      Specified by:
        `getRFilterFiltercriterion_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `RFilterFiltercriterion.getLabel()`, `TaurusPackage.getRFilterFiltercriterion()`

    - #### getRFilterFiltercriterion_Category

          public org.eclipse.emf.ecore.EAttribute getRFilterFiltercriterion_Category()

      Specified by:
        `getRFilterFiltercriterion_Category` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Category'.
      See Also:
        `RFilterFiltercriterion.getCategory()`, `TaurusPackage.getRFilterFiltercriterion()`

    - #### getRFilterFiltercriterion_Mandatory

          public org.eclipse.emf.ecore.EAttribute getRFilterFiltercriterion_Mandatory()

      Specified by:
        `getRFilterFiltercriterion_Mandatory` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Mandatory'.
      See Also:
        `RFilterFiltercriterion.isMandatory()`, `TaurusPackage.getRFilterFiltercriterion()`

    - #### getRFilterFiltercriterion_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRFilterFiltercriterion_SeqNo()

      Specified by:
        `getRFilterFiltercriterion_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RFilterFiltercriterion.getSeqNo()`, `TaurusPackage.getRFilterFiltercriterion()`

    - #### getRIDProperty

          public org.eclipse.emf.ecore.EClass getRIDProperty()

      Specified by:
        `getRIDProperty` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RID Property'.
      See Also:
        `RIDProperty`

    - #### getRIDProperty_TargetID

          public org.eclipse.emf.ecore.EReference getRIDProperty_TargetID()

      Specified by:
        `getRIDProperty_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RIDProperty.getTargetID()`, `TaurusPackage.getRIDProperty()`

    - #### getRIDProperty_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRIDProperty_SeqNo()

      Specified by:
        `getRIDProperty_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RIDProperty.getSeqNo()`, `TaurusPackage.getRIDProperty()`

    - #### getRISPFToolPanel

          public org.eclipse.emf.ecore.EClass getRISPFToolPanel()

      Specified by:
        `getRISPFToolPanel` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RISPF Tool Panel'.
      See Also:
        `RISPFToolPanel`

    - #### getRISPFToolPanel_TargetID

          public org.eclipse.emf.ecore.EReference getRISPFToolPanel_TargetID()

      Specified by:
        `getRISPFToolPanel_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RISPFToolPanel.getTargetID()`, `TaurusPackage.getRISPFToolPanel()`

    - #### getRPanelField

          public org.eclipse.emf.ecore.EClass getRPanelField()

      Specified by:
        `getRPanelField` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RPanel Field'.
      See Also:
        `RPanelField`

    - #### getRPanelField_TargetIDParm

          public org.eclipse.emf.ecore.EReference getRPanelField_TargetIDParm()

      Specified by:
        `getRPanelField_TargetIDParm` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID Parm'.
      See Also:
        `RPanelField.getTargetIDParm()`, `TaurusPackage.getRPanelField()`

    - #### getRPanelField_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRPanelField_SeqNo()

      Specified by:
        `getRPanelField_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RPanelField.getSeqNo()`, `TaurusPackage.getRPanelField()`

    - #### getRToolInParameter

          public org.eclipse.emf.ecore.EClass getRToolInParameter()

      Specified by:
        `getRToolInParameter` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RTool In Parameter'.
      See Also:
        `RToolInParameter`

    - #### getRToolInParameter_DefaultValue

          public org.eclipse.emf.ecore.EAttribute getRToolInParameter_DefaultValue()

      Specified by:
        `getRToolInParameter_DefaultValue` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Default Value'.
      See Also:
        `RToolInParameter.getDefaultValue()`, `TaurusPackage.getRToolInParameter()`

    - #### getRToolInParameter_ParameterFrom

          public org.eclipse.emf.ecore.EAttribute getRToolInParameter_ParameterFrom()

      Specified by:
        `getRToolInParameter_ParameterFrom` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Parameter From'.
      See Also:
        `RToolInParameter.getParameterFrom()`, `TaurusPackage.getRToolInParameter()`

    - #### getRToolInParameter_StaticValue

          public org.eclipse.emf.ecore.EAttribute getRToolInParameter_StaticValue()

      Specified by:
        `getRToolInParameter_StaticValue` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Static Value'.
      See Also:
        `RToolInParameter.getStaticValue()`, `TaurusPackage.getRToolInParameter()`

    - #### getRToolInParameter_ParameterVisibleCondition

          public org.eclipse.emf.ecore.EReference getRToolInParameter_ParameterVisibleCondition()

      Specified by:
        `getRToolInParameter_ParameterVisibleCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Parameter Visible Condition'.
      See Also:
        `RToolInParameter.getParameterVisibleCondition()`, `TaurusPackage.getRToolInParameter()`

    - #### getRToolInParameter_ParameterEnabledCondition

          public org.eclipse.emf.ecore.EReference getRToolInParameter_ParameterEnabledCondition()

      Specified by:
        `getRToolInParameter_ParameterEnabledCondition` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Parameter Enabled Condition'.
      See Also:
        `RToolInParameter.getParameterEnabledCondition()`, `TaurusPackage.getRToolInParameter()`

    - #### getRToolInParameter_UiEditable

          public org.eclipse.emf.ecore.EAttribute getRToolInParameter_UiEditable()

      Specified by:
        `getRToolInParameter_UiEditable` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Ui Editable'.
      See Also:
        `RToolInParameter.isUiEditable()`, `TaurusPackage.getRToolInParameter()`

    - #### getRToolInParameter_UiForm

          public org.eclipse.emf.ecore.EAttribute getRToolInParameter_UiForm()

      Specified by:
        `getRToolInParameter_UiForm` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Ui Form'.
      See Also:
        `RToolInParameter.getUiForm()`, `TaurusPackage.getRToolInParameter()`

    - #### getRToolInParameter_UiGenericAllowed

          public org.eclipse.emf.ecore.EAttribute getRToolInParameter_UiGenericAllowed()

      Specified by:
        `getRToolInParameter_UiGenericAllowed` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Ui Generic Allowed'.
      See Also:
        `RToolInParameter.isUiGenericAllowed()`, `TaurusPackage.getRToolInParameter()`

    - #### getRToolInParameter_UiHelpText

          public org.eclipse.emf.ecore.EAttribute getRToolInParameter_UiHelpText()

      Specified by:
        `getRToolInParameter_UiHelpText` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Ui Help Text'.
      See Also:
        `RToolInParameter.getUiHelpText()`, `TaurusPackage.getRToolInParameter()`

    - #### getRToolInParameter_UiMandatory

          public org.eclipse.emf.ecore.EAttribute getRToolInParameter_UiMandatory()

      Specified by:
        `getRToolInParameter_UiMandatory` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Ui Mandatory'.
      See Also:
        `RToolInParameter.isUiMandatory()`, `TaurusPackage.getRToolInParameter()`

    - #### getRToolInParameter_UiMultiSelection

          public org.eclipse.emf.ecore.EAttribute getRToolInParameter_UiMultiSelection()

      Specified by:
        `getRToolInParameter_UiMultiSelection` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Ui Multi Selection'.
      See Also:
        `RToolInParameter.isUiMultiSelection()`, `TaurusPackage.getRToolInParameter()`

    - #### getRToolInParameter_UiTab

          public org.eclipse.emf.ecore.EAttribute getRToolInParameter_UiTab()

      Specified by:
        `getRToolInParameter_UiTab` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Ui Tab'.
      See Also:
        `RToolInParameter.getUiTab()`, `TaurusPackage.getRToolInParameter()`

    - #### getRToolInParameter_UiToolTip

          public org.eclipse.emf.ecore.EAttribute getRToolInParameter_UiToolTip()

      Specified by:
        `getRToolInParameter_UiToolTip` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Ui Tool Tip'.
      See Also:
        `RToolInParameter.getUiToolTip()`, `TaurusPackage.getRToolInParameter()`

    - #### getRToolOutParameter

          public org.eclipse.emf.ecore.EClass getRToolOutParameter()

      Specified by:
        `getRToolOutParameter` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RTool Out Parameter'.
      See Also:
        `RToolOutParameter`

    - #### getRToolOutParameter_ToOutputDialog

          public org.eclipse.emf.ecore.EAttribute getRToolOutParameter_ToOutputDialog()

      Specified by:
        `getRToolOutParameter_ToOutputDialog` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'To Output Dialog'.
      See Also:
        `RToolOutParameter.isToOutputDialog()`, `TaurusPackage.getRToolOutParameter()`

    - #### getRToolParameter

          public org.eclipse.emf.ecore.EClass getRToolParameter()

      Specified by:
        `getRToolParameter` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RTool Parameter'.
      See Also:
        `RToolParameter`

    - #### getRToolParameter_TargetIDFile

          public org.eclipse.emf.ecore.EReference getRToolParameter_TargetIDFile()

      Specified by:
        `getRToolParameter_TargetIDFile` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID File'.
      See Also:
        `RToolParameter.getTargetIDFile()`, `TaurusPackage.getRToolParameter()`

    - #### getRToolParameter_TargetIDParm

          public org.eclipse.emf.ecore.EReference getRToolParameter_TargetIDParm()

      Specified by:
        `getRToolParameter_TargetIDParm` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID Parm'.
      See Also:
        `RToolParameter.getTargetIDParm()`, `TaurusPackage.getRToolParameter()`

    - #### getRToolParameter_SeqNo

          public org.eclipse.emf.ecore.EAttribute getRToolParameter_SeqNo()

      Specified by:
        `getRToolParameter_SeqNo` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Seq No'.
      See Also:
        `RToolParameter.getSeqNo()`, `TaurusPackage.getRToolParameter()`

    - #### getRToolParameter_Type

          public org.eclipse.emf.ecore.EAttribute getRToolParameter_Type()

      Specified by:
        `getRToolParameter_Type` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Type'.
      See Also:
        `RToolParameter.getType()`, `TaurusPackage.getRToolParameter()`

    - #### getRToolParameter_Label

          public org.eclipse.emf.ecore.EAttribute getRToolParameter_Label()

      Specified by:
        `getRToolParameter_Label` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `RToolParameter.getLabel()`, `TaurusPackage.getRToolParameter()`

    - #### getRToolParameter_MassProcessing

          public org.eclipse.emf.ecore.EAttribute getRToolParameter_MassProcessing()

      Specified by:
        `getRToolParameter_MassProcessing` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Mass Processing'.
      See Also:
        `RToolParameter.isMassProcessing()`, `TaurusPackage.getRToolParameter()`

    - #### getRToolParameter_ComplexAttribute

          public org.eclipse.emf.ecore.EReference getRToolParameter_ComplexAttribute()

      Specified by:
        `getRToolParameter_ComplexAttribute` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Complex Attribute'.
      See Also:
        `RToolParameter.getComplexAttribute()`, `TaurusPackage.getRToolParameter()`

    - #### getRToolParameter_UiCategory

          public org.eclipse.emf.ecore.EAttribute getRToolParameter_UiCategory()

      Specified by:
        `getRToolParameter_UiCategory` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Ui Category'.
      See Also:
        `RToolParameter.getUiCategory()`, `TaurusPackage.getRToolParameter()`

    - #### getRToolParameter_UiResizable

          public org.eclipse.emf.ecore.EAttribute getRToolParameter_UiResizable()

      Specified by:
        `getRToolParameter_UiResizable` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Ui Resizable'.
      See Also:
        `RToolParameter.isUiResizable()`, `TaurusPackage.getRToolParameter()`

    - #### getRToolValidateAction

          public org.eclipse.emf.ecore.EClass getRToolValidateAction()

      Specified by:
        `getRToolValidateAction` in interface `TaurusPackage`
      Returns:
        the meta object for class 'RTool Validate Action'.
      See Also:
        `RToolValidateAction`

    - #### getRToolValidateAction_TargetID

          public org.eclipse.emf.ecore.EReference getRToolValidateAction_TargetID()

      Specified by:
        `getRToolValidateAction_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `RToolValidateAction.getTargetID()`, `TaurusPackage.getRToolValidateAction()`

    - #### getSelectionPropertyMapping

          public org.eclipse.emf.ecore.EClass getSelectionPropertyMapping()

      Specified by:
        `getSelectionPropertyMapping` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Selection Property Mapping'.
      See Also:
        `SelectionPropertyMapping`

    - #### getSelectionPropertyMapping_Keyword

          public org.eclipse.emf.ecore.EAttribute getSelectionPropertyMapping_Keyword()

      Specified by:
        `getSelectionPropertyMapping_Keyword` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Keyword'.
      See Also:
        `SelectionPropertyMapping.getKeyword()`, `TaurusPackage.getSelectionPropertyMapping()`

    - #### getSelectionPropertyMapping_Mandatory

          public org.eclipse.emf.ecore.EAttribute getSelectionPropertyMapping_Mandatory()

      Specified by:
        `getSelectionPropertyMapping_Mandatory` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Mandatory'.
      See Also:
        `SelectionPropertyMapping.isMandatory()`, `TaurusPackage.getSelectionPropertyMapping()`

    - #### getSelectionPropertyMapping_TargetID

          public org.eclipse.emf.ecore.EReference getSelectionPropertyMapping_TargetID()

      Specified by:
        `getSelectionPropertyMapping_TargetID` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'Target ID'.
      See Also:
        `SelectionPropertyMapping.getTargetID()`, `TaurusPackage.getSelectionPropertyMapping()`

    - #### getSelectionPropertyMapping_ValueFrom

          public org.eclipse.emf.ecore.EAttribute getSelectionPropertyMapping_ValueFrom()

      Specified by:
        `getSelectionPropertyMapping_ValueFrom` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Value From'.
      See Also:
        `SelectionPropertyMapping.getValueFrom()`, `TaurusPackage.getSelectionPropertyMapping()`

    - #### getSpecificAttribute

          public org.eclipse.emf.ecore.EClass getSpecificAttribute()

      Specified by:
        `getSpecificAttribute` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Specific Attribute'.
      See Also:
        `SpecificAttribute`

    - #### getSpecificAttribute_Name

          public org.eclipse.emf.ecore.EAttribute getSpecificAttribute_Name()

      Specified by:
        `getSpecificAttribute_Name` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Name'.
      See Also:
        `SpecificAttribute.getName()`, `TaurusPackage.getSpecificAttribute()`

    - #### getSpecificAttribute_Value

          public org.eclipse.emf.ecore.EAttribute getSpecificAttribute_Value()

      Specified by:
        `getSpecificAttribute_Value` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `SpecificAttribute.getValue()`, `TaurusPackage.getSpecificAttribute()`

    - #### getTAURUSConfiguration

          public org.eclipse.emf.ecore.EClass getTAURUSConfiguration()

      Specified by:
        `getTAURUSConfiguration` in interface `TaurusPackage`
      Returns:
        the meta object for class 'TAURUS Configuration'.
      See Also:
        `TAURUSConfiguration`

    - #### getTAURUSConfiguration_ApplicationOptions

          public org.eclipse.emf.ecore.EReference getTAURUSConfiguration_ApplicationOptions()

      Specified by:
        `getTAURUSConfiguration_ApplicationOptions` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Application Options'.
      See Also:
        `TAURUSConfiguration.getApplicationOptions()`, `TaurusPackage.getTAURUSConfiguration()`

    - #### getTAURUSConfiguration_FunctionPackages

          public org.eclipse.emf.ecore.EReference getTAURUSConfiguration_FunctionPackages()

      Specified by:
        `getTAURUSConfiguration_FunctionPackages` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Function Packages'.
      See Also:
        `TAURUSConfiguration.getFunctionPackages()`, `TaurusPackage.getTAURUSConfiguration()`

    - #### getTAURUSConfiguration_IDDefinitions

          public org.eclipse.emf.ecore.EReference getTAURUSConfiguration_IDDefinitions()

      Specified by:
        `getTAURUSConfiguration_IDDefinitions` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'ID Definitions'.
      See Also:
        `TAURUSConfiguration.getIDDefinitions()`, `TaurusPackage.getTAURUSConfiguration()`

    - #### getTAURUSConfiguration_ActionDescriptors

          public org.eclipse.emf.ecore.EReference getTAURUSConfiguration_ActionDescriptors()

      Specified by:
        `getTAURUSConfiguration_ActionDescriptors` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Action Descriptors'.
      See Also:
        `TAURUSConfiguration.getActionDescriptors()`, `TaurusPackage.getTAURUSConfiguration()`

    - #### getTAURUSConfiguration_GlobalActions

          public org.eclipse.emf.ecore.EReference getTAURUSConfiguration_GlobalActions()

      Specified by:
        `getTAURUSConfiguration_GlobalActions` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Global Actions'.
      See Also:
        `TAURUSConfiguration.getGlobalActions()`, `TaurusPackage.getTAURUSConfiguration()`

    - #### getTAURUSConfiguration_ElementTypes

          public org.eclipse.emf.ecore.EReference getTAURUSConfiguration_ElementTypes()

      Specified by:
        `getTAURUSConfiguration_ElementTypes` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Element Types'.
      See Also:
        `TAURUSConfiguration.getElementTypes()`, `TaurusPackage.getTAURUSConfiguration()`

    - #### getTAURUSConfiguration_ElementListStructures

          public org.eclipse.emf.ecore.EReference getTAURUSConfiguration_ElementListStructures()

      Specified by:
        `getTAURUSConfiguration_ElementListStructures` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Element List Structures'.
      See Also:
        `TAURUSConfiguration.getElementListStructures()`, `TaurusPackage.getTAURUSConfiguration()`

    - #### getTAURUSConfiguration_FileDescriptors

          public org.eclipse.emf.ecore.EReference getTAURUSConfiguration_FileDescriptors()

      Specified by:
        `getTAURUSConfiguration_FileDescriptors` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'File Descriptors'.
      See Also:
        `TAURUSConfiguration.getFileDescriptors()`, `TaurusPackage.getTAURUSConfiguration()`

    - #### getTAURUSConfiguration_FilterTypes

          public org.eclipse.emf.ecore.EReference getTAURUSConfiguration_FilterTypes()

      Specified by:
        `getTAURUSConfiguration_FilterTypes` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Filter Types'.
      See Also:
        `TAURUSConfiguration.getFilterTypes()`, `TaurusPackage.getTAURUSConfiguration()`

    - #### getTAURUSConfiguration_Properties

          public org.eclipse.emf.ecore.EReference getTAURUSConfiguration_Properties()

      Specified by:
        `getTAURUSConfiguration_Properties` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Properties'.
      See Also:
        `TAURUSConfiguration.getProperties()`, `TaurusPackage.getTAURUSConfiguration()`

    - #### getTAURUSConfiguration_ToolDescriptors

          public org.eclipse.emf.ecore.EReference getTAURUSConfiguration_ToolDescriptors()

      Specified by:
        `getTAURUSConfiguration_ToolDescriptors` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Tool Descriptors'.
      See Also:
        `TAURUSConfiguration.getToolDescriptors()`, `TaurusPackage.getTAURUSConfiguration()`

    - #### getTAURUSConfiguration_Icons

          public org.eclipse.emf.ecore.EReference getTAURUSConfiguration_Icons()

      Specified by:
        `getTAURUSConfiguration_Icons` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'Icons'.
      See Also:
        `TAURUSConfiguration.getIcons()`, `TaurusPackage.getTAURUSConfiguration()`

    - #### getToolDescriptor

          public org.eclipse.emf.ecore.EClass getToolDescriptor()

      Specified by:
        `getToolDescriptor` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Tool Descriptor'.
      See Also:
        `ToolDescriptor`

    - #### getToolDescriptor_InputParm

          public org.eclipse.emf.ecore.EReference getToolDescriptor_InputParm()

      Specified by:
        `getToolDescriptor_InputParm` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Input Parm'.
      See Also:
        `ToolDescriptor.getInputParm()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_OutputParm

          public org.eclipse.emf.ecore.EReference getToolDescriptor_OutputParm()

      Specified by:
        `getToolDescriptor_OutputParm` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Output Parm'.
      See Also:
        `ToolDescriptor.getOutputParm()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_RefreshResource

          public org.eclipse.emf.ecore.EAttribute getToolDescriptor_RefreshResource()

      Specified by:
        `getToolDescriptor_RefreshResource` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Refresh Resource'.
      See Also:
        `ToolDescriptor.isRefreshResource()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_ResourceProcessing

          public org.eclipse.emf.ecore.EAttribute getToolDescriptor_ResourceProcessing()

      Specified by:
        `getToolDescriptor_ResourceProcessing` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Resource Processing'.
      See Also:
        `ToolDescriptor.getResourceProcessing()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_ToolType

          public org.eclipse.emf.ecore.EAttribute getToolDescriptor_ToolType()

      Specified by:
        `getToolDescriptor_ToolType` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Tool Type'.
      See Also:
        `ToolDescriptor.getToolType()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_SpecificAttribute

          public org.eclipse.emf.ecore.EReference getToolDescriptor_SpecificAttribute()

      Specified by:
        `getToolDescriptor_SpecificAttribute` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Specific Attribute'.
      See Also:
        `ToolDescriptor.getSpecificAttribute()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_ValidateAction

          public org.eclipse.emf.ecore.EReference getToolDescriptor_ValidateAction()

      Specified by:
        `getToolDescriptor_ValidateAction` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Validate Action'.
      See Also:
        `ToolDescriptor.getValidateAction()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_ISAISPFTool

          public org.eclipse.emf.ecore.EReference getToolDescriptor_ISAISPFTool()

      Specified by:
        `getToolDescriptor_ISAISPFTool` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'ISAISPF Tool'.
      See Also:
        `ToolDescriptor.getISAISPFTool()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_ISAPlugIn

          public org.eclipse.emf.ecore.EReference getToolDescriptor_ISAPlugIn()

      Specified by:
        `getToolDescriptor_ISAPlugIn` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'ISA Plug In'.
      See Also:
        `ToolDescriptor.getISAPlugIn()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_ISAISPFPanel

          public org.eclipse.emf.ecore.EReference getToolDescriptor_ISAISPFPanel()

      Specified by:
        `getToolDescriptor_ISAISPFPanel` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'ISAISPF Panel'.
      See Also:
        `ToolDescriptor.getISAISPFPanel()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_ISAISPFPanelCommand

          public org.eclipse.emf.ecore.EReference getToolDescriptor_ISAISPFPanelCommand()

      Specified by:
        `getToolDescriptor_ISAISPFPanelCommand` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference 'ISAISPF Panel Command'.
      See Also:
        `ToolDescriptor.getISAISPFPanelCommand()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_AfterJobAction

          public org.eclipse.emf.ecore.EReference getToolDescriptor_AfterJobAction()

      Specified by:
        `getToolDescriptor_AfterJobAction` in interface `TaurusPackage`
      Returns:
        the meta object for the reference 'After Job Action'.
      See Also:
        `ToolDescriptor.getAfterJobAction()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_HelpText

          public org.eclipse.emf.ecore.EAttribute getToolDescriptor_HelpText()

      Specified by:
        `getToolDescriptor_HelpText` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Help Text'.
      See Also:
        `ToolDescriptor.getHelpText()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_InParmSeparator

          public org.eclipse.emf.ecore.EAttribute getToolDescriptor_InParmSeparator()

      Specified by:
        `getToolDescriptor_InParmSeparator` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'In Parm Separator'.
      See Also:
        `ToolDescriptor.getInParmSeparator()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_IntegratedTool

          public org.eclipse.emf.ecore.EAttribute getToolDescriptor_IntegratedTool()

      Specified by:
        `getToolDescriptor_IntegratedTool` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Integrated Tool'.
      See Also:
        `ToolDescriptor.getIntegratedTool()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_OutParmSeparator

          public org.eclipse.emf.ecore.EAttribute getToolDescriptor_OutParmSeparator()

      Specified by:
        `getToolDescriptor_OutParmSeparator` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Out Parm Separator'.
      See Also:
        `ToolDescriptor.getOutParmSeparator()`, `TaurusPackage.getToolDescriptor()`

    - #### getToolDescriptor_RunAsJob

          public org.eclipse.emf.ecore.EAttribute getToolDescriptor_RunAsJob()

      Specified by:
        `getToolDescriptor_RunAsJob` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Run As Job'.
      See Also:
        `ToolDescriptor.getRunAsJob()`, `TaurusPackage.getToolDescriptor()`

    - #### getAWMObject

          public org.eclipse.emf.ecore.EClass getAWMObject()

      Specified by:
        `getAWMObject` in interface `TaurusPackage`
      Returns:
        the meta object for class 'AWM Object'.
      See Also:
        `AWMObject`

    - #### getAWMObject_Comment

          public org.eclipse.emf.ecore.EAttribute getAWMObject_Comment()

      Specified by:
        `getAWMObject_Comment` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Comment'.
      See Also:
        `AWMObject.getComment()`, `TaurusPackage.getAWMObject()`

    - #### getAWMIdentifiableObject

          public org.eclipse.emf.ecore.EClass getAWMIdentifiableObject()

      Specified by:
        `getAWMIdentifiableObject` in interface `TaurusPackage`
      Returns:
        the meta object for class 'AWM Identifiable Object'.
      See Also:
        `AWMIdentifiableObject`

    - #### getAWMIdentifiableObject_ID

          public org.eclipse.emf.ecore.EAttribute getAWMIdentifiableObject_ID()

      Specified by:
        `getAWMIdentifiableObject_ID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'ID'.
      See Also:
        `AWMIdentifiableObject.getID()`, `TaurusPackage.getAWMIdentifiableObject()`

    - #### getAWMIdentifiableObject_ModelEditorGroup

          public org.eclipse.emf.ecore.EAttribute getAWMIdentifiableObject_ModelEditorGroup()

      Specified by:
        `getAWMIdentifiableObject_ModelEditorGroup` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Model Editor Group'.
      See Also:
        `AWMIdentifiableObject.getModelEditorGroup()`, `TaurusPackage.getAWMIdentifiableObject()`

    - #### getIFunctionPackageDefinable

          public org.eclipse.emf.ecore.EClass getIFunctionPackageDefinable()

      Specified by:
        `getIFunctionPackageDefinable` in interface `TaurusPackage`
      Returns:
        the meta object for class 'IFunction Package Definable'.
      See Also:
        `IFunctionPackageDefinable`

    - #### getIFunctionPackageDefinable_ExtensionID

          public org.eclipse.emf.ecore.EAttribute getIFunctionPackageDefinable_ExtensionID()

      Specified by:
        `getIFunctionPackageDefinable_ExtensionID` in interface `TaurusPackage`
      Returns:
        the meta object for the attribute 'Extension ID'.
      See Also:
        `IFunctionPackageDefinable.getExtensionID()`, `TaurusPackage.getIFunctionPackageDefinable()`

    - #### getEExecutionRate

          public org.eclipse.emf.ecore.EEnum getEExecutionRate()

      Specified by:
        `getEExecutionRate` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EExecution Rate'.
      See Also:
        `EExecutionRate`

    - #### getEExecutionPoint

          public org.eclipse.emf.ecore.EEnum getEExecutionPoint()

      Specified by:
        `getEExecutionPoint` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EExecution Point'.
      See Also:
        `EExecutionPoint`

    - #### getDynamicToolDescriptor

          public org.eclipse.emf.ecore.EClass getDynamicToolDescriptor()

      Specified by:
        `getDynamicToolDescriptor` in interface `TaurusPackage`
      Returns:
        the meta object for class 'Dynamic Tool Descriptor'.
      See Also:
        `ToolDescriptor`

    - #### getDynamicToolDescriptor_ComplexAttribute

          public org.eclipse.emf.ecore.EReference getDynamicToolDescriptor_ComplexAttribute()

      Specified by:
        `getDynamicToolDescriptor_ComplexAttribute` in interface `TaurusPackage`
      Returns:
        the meta object for the containment reference list 'Complex Attribute'.
      See Also:
        `com.microfocus.awm.meta.interfaces.ToolDescriptor#getComplexAttribute()`, `TaurusPackage.getDynamicToolDescriptor()`

    - #### getEActionExecutionMode

          public org.eclipse.emf.ecore.EEnum getEActionExecutionMode()

      Specified by:
        `getEActionExecutionMode` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EAction Execution Mode'.
      See Also:
        `EActionExecutionMode`

    - #### getEApplicationActionExecutionType

          public org.eclipse.emf.ecore.EEnum getEApplicationActionExecutionType()

      Specified by:
        `getEApplicationActionExecutionType` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EApplication Action Execution Type'.
      See Also:
        `EApplicationActionExecutionType`

    - #### getEConditionOperators

          public org.eclipse.emf.ecore.EEnum getEConditionOperators()

      Specified by:
        `getEConditionOperators` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'ECondition Operators'.
      See Also:
        `EConditionOperators`

    - #### getEEditorSelectionType

          public org.eclipse.emf.ecore.EEnum getEEditorSelectionType()

      Specified by:
        `getEEditorSelectionType` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EEditor Selection Type'.
      See Also:
        `EEditorSelectionType`

    - #### getEFileStructures

          public org.eclipse.emf.ecore.EEnum getEFileStructures()

      Specified by:
        `getEFileStructures` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EFile Structures'.
      See Also:
        `EFileStructures`

    - #### getEFileTypes

          public org.eclipse.emf.ecore.EEnum getEFileTypes()

      Specified by:
        `getEFileTypes` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EFile Types'.
      See Also:
        `EFileTypes`

    - #### getETextDecorationPosition

          public org.eclipse.emf.ecore.EEnum getETextDecorationPosition()

      Specified by:
        `getETextDecorationPosition` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EText Decoration Position'.
      See Also:
        `ETextDecorationPosition`

    - #### getEFileElementType

          public org.eclipse.emf.ecore.EEnum getEFileElementType()

      Specified by:
        `getEFileElementType` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EFile Element Type'.
      See Also:
        `EFileElementType`

    - #### getEFileAttributeType

          public org.eclipse.emf.ecore.EEnum getEFileAttributeType()

      Specified by:
        `getEFileAttributeType` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EFile Attribute Type'.
      See Also:
        `EFileAttributeType`

    - #### getEIcons

          public org.eclipse.emf.ecore.EEnum getEIcons()

      Specified by:
        `getEIcons` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EIcons'.
      See Also:
        `EIcons`

    - #### getEIntegratedTools

          public org.eclipse.emf.ecore.EEnum getEIntegratedTools()

      Specified by:
        `getEIntegratedTools` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EIntegrated Tools'.
      See Also:
        `EIntegratedTools`

    - #### getEInvokeForms

          public org.eclipse.emf.ecore.EEnum getEInvokeForms()

      Specified by:
        `getEInvokeForms` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EInvoke Forms'.
      See Also:
        `EInvokeForms`

    - #### getEMassProcessing

          public org.eclipse.emf.ecore.EEnum getEMassProcessing()

      Specified by:
        `getEMassProcessing` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EMass Processing'.
      See Also:
        `EMassProcessing`

    - #### getEOperators

          public org.eclipse.emf.ecore.EEnum getEOperators()

      Specified by:
        `getEOperators` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EOperators'.
      See Also:
        `EOperators`

    - #### getEParameterTypes

          public org.eclipse.emf.ecore.EEnum getEParameterTypes()

      Specified by:
        `getEParameterTypes` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EParameter Types'.
      See Also:
        `EParameterTypes`

    - #### getEParmFromTypes

          public org.eclipse.emf.ecore.EEnum getEParmFromTypes()

      Specified by:
        `getEParmFromTypes` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EParm From Types'.
      See Also:
        `EParmFromTypes`

    - #### getERelativePosition

          public org.eclipse.emf.ecore.EEnum getERelativePosition()

      Specified by:
        `getERelativePosition` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'ERelative Position'.
      See Also:
        `ERelativePosition`

    - #### getEResourceProcessingTypes

          public org.eclipse.emf.ecore.EEnum getEResourceProcessingTypes()

      Specified by:
        `getEResourceProcessingTypes` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EResource Processing Types'.
      See Also:
        `EResourceProcessingTypes`

    - #### getERunAsJobTypes

          public org.eclipse.emf.ecore.EEnum getERunAsJobTypes()

      Specified by:
        `getERunAsJobTypes` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'ERun As Job Types'.
      See Also:
        `ERunAsJobTypes`

    - #### getESortDirection

          public org.eclipse.emf.ecore.EEnum getESortDirection()

      Specified by:
        `getESortDirection` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'ESort Direction'.
      See Also:
        `ESortDirection`

    - #### getESpecialProperties

          public org.eclipse.emf.ecore.EEnum getESpecialProperties()

      Specified by:
        `getESpecialProperties` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'ESpecial Properties'.
      See Also:
        `ESpecialProperties`

    - #### getETableMode

          public org.eclipse.emf.ecore.EEnum getETableMode()

      Specified by:
        `getETableMode` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'ETable Mode'.
      See Also:
        `ETableMode`

    - #### getETypes

          public org.eclipse.emf.ecore.EEnum getETypes()

      Specified by:
        `getETypes` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'ETypes'.
      See Also:
        `ETypes`

    - #### getEWorkbenchActionType

          public org.eclipse.emf.ecore.EEnum getEWorkbenchActionType()

      Specified by:
        `getEWorkbenchActionType` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'EWorkbench Action Type'.
      See Also:
        `EWorkbenchActionType`

    - #### getERetrieveAllValues

          public org.eclipse.emf.ecore.EEnum getERetrieveAllValues()

      Specified by:
        `getERetrieveAllValues` in interface `TaurusPackage`
      Returns:
        the meta object for enum 'ERetrieve All Values'.
      See Also:
        `ERetrieveAllValues`

    - #### getEExecutionRateObject

          public org.eclipse.emf.ecore.EDataType getEExecutionRateObject()

      Specified by:
        `getEExecutionRateObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EExecution Rate Object'.
      See Also:
        `EExecutionRate`

    - #### getEExecutionPointObject

          public org.eclipse.emf.ecore.EDataType getEExecutionPointObject()

      Specified by:
        `getEExecutionPointObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EExecution Point Object'.
      See Also:
        `EExecutionPoint`

    - #### getEActionExecutionModeObject

          public org.eclipse.emf.ecore.EDataType getEActionExecutionModeObject()

      Specified by:
        `getEActionExecutionModeObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EAction Execution Mode Object'.
      See Also:
        `EActionExecutionMode`

    - #### getEApplicationActionExecutionTypeObject

          public org.eclipse.emf.ecore.EDataType getEApplicationActionExecutionTypeObject()

      Specified by:
        `getEApplicationActionExecutionTypeObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EApplication Action Execution Type Object'.
      See Also:
        `EApplicationActionExecutionType`

    - #### getEConditionOperatorsObject

          public org.eclipse.emf.ecore.EDataType getEConditionOperatorsObject()

      Specified by:
        `getEConditionOperatorsObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'ECondition Operators Object'.
      See Also:
        `EConditionOperators`

    - #### getEEditorSelectionTypeObject

          public org.eclipse.emf.ecore.EDataType getEEditorSelectionTypeObject()

      Specified by:
        `getEEditorSelectionTypeObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EEditor Selection Type Object'.
      See Also:
        `EEditorSelectionType`

    - #### getEFileStructuresObject

          public org.eclipse.emf.ecore.EDataType getEFileStructuresObject()

      Specified by:
        `getEFileStructuresObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EFile Structures Object'.
      See Also:
        `EFileStructures`

    - #### getEFileTypesObject

          public org.eclipse.emf.ecore.EDataType getEFileTypesObject()

      Specified by:
        `getEFileTypesObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EFile Types Object'.
      See Also:
        `EFileTypes`

    - #### getEIconsObject

          public org.eclipse.emf.ecore.EDataType getEIconsObject()

      Specified by:
        `getEIconsObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EIcons Object'.
      See Also:
        `EIcons`

    - #### getEIntegratedToolsObject

          public org.eclipse.emf.ecore.EDataType getEIntegratedToolsObject()

      Specified by:
        `getEIntegratedToolsObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EIntegrated Tools Object'.
      See Also:
        `EIntegratedTools`

    - #### getEInvokeFormsObject

          public org.eclipse.emf.ecore.EDataType getEInvokeFormsObject()

      Specified by:
        `getEInvokeFormsObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EInvoke Forms Object'.
      See Also:
        `EInvokeForms`

    - #### getEMassProcessingObject

          public org.eclipse.emf.ecore.EDataType getEMassProcessingObject()

      Specified by:
        `getEMassProcessingObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EMass Processing Object'.
      See Also:
        `EMassProcessing`

    - #### getEOperatorsObject

          public org.eclipse.emf.ecore.EDataType getEOperatorsObject()

      Specified by:
        `getEOperatorsObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EOperators Object'.
      See Also:
        `EOperators`

    - #### getEParameterTypesObject

          public org.eclipse.emf.ecore.EDataType getEParameterTypesObject()

      Specified by:
        `getEParameterTypesObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EParameter Types Object'.
      See Also:
        `EParameterTypes`

    - #### getEParmFromTypesObject

          public org.eclipse.emf.ecore.EDataType getEParmFromTypesObject()

      Specified by:
        `getEParmFromTypesObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EParm From Types Object'.
      See Also:
        `EParmFromTypes`

    - #### getERelativePositionObject

          public org.eclipse.emf.ecore.EDataType getERelativePositionObject()

      Specified by:
        `getERelativePositionObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'ERelative Position Object'.
      See Also:
        `ERelativePosition`

    - #### getEResourceProcessingTypesObject

          public org.eclipse.emf.ecore.EDataType getEResourceProcessingTypesObject()

      Specified by:
        `getEResourceProcessingTypesObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EResource Processing Types Object'.
      See Also:
        `EResourceProcessingTypes`

    - #### getERunAsJobTypesObject

          public org.eclipse.emf.ecore.EDataType getERunAsJobTypesObject()

      Specified by:
        `getERunAsJobTypesObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'ERun As Job Types Object'.
      See Also:
        `ERunAsJobTypes`

    - #### getESortDirectionObject

          public org.eclipse.emf.ecore.EDataType getESortDirectionObject()

      Specified by:
        `getESortDirectionObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'ESort Direction Object'.
      See Also:
        `ESortDirection`

    - #### getESpecialPropertiesObject

          public org.eclipse.emf.ecore.EDataType getESpecialPropertiesObject()

      Specified by:
        `getESpecialPropertiesObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'ESpecial Properties Object'.
      See Also:
        `ESpecialProperties`

    - #### getETableModeObject

          public org.eclipse.emf.ecore.EDataType getETableModeObject()

      Specified by:
        `getETableModeObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'ETable Mode Object'.
      See Also:
        `ETableMode`

    - #### getETypesObject

          public org.eclipse.emf.ecore.EDataType getETypesObject()

      Specified by:
        `getETypesObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'ETypes Object'.
      See Also:
        `ETypes`

    - #### getEWorkbenchActionTypeObject

          public org.eclipse.emf.ecore.EDataType getEWorkbenchActionTypeObject()

      Specified by:
        `getEWorkbenchActionTypeObject` in interface `TaurusPackage`
      Returns:
        the meta object for data type 'EWorkbench Action Type Object'.
      See Also:
        `EWorkbenchActionType`

    - #### getTaurusFactory

          public TaurusFactory getTaurusFactory()

      Specified by:
        `getTaurusFactory` in interface `TaurusPackage`
      Returns:
        the factory that creates the instances of the model.

    - #### createPackageContents

          public void createPackageContents()

      Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

    - #### initializePackageContents

          public void initializePackageContents()

      Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

    - #### createFunctionPackageContents

          public void createFunctionPackageContents(FunctionPackageExtension pFpe)

      Description copied from interface: `TaurusPackage`
      Creates dynamic classes for the given function package.
      Specified by:
        `createFunctionPackageContents` in interface `TaurusPackage`
      Parameters:
        `pFpe` - the function package extension to be registered

Copyright © 2015 Micro Focus GmbH. All rights reserved.